/**
    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements.  See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership.  The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License.  You may obtain a copy of the License at
    
      http://www.apache.org/licenses/LICENSE-2.0
    
    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, either express or implied.  See the License for the
    specific language governing permissions and limitations
    under the License.
*/
package org.pepstock.charba.client.annotation.listeners;

import org.pepstock.charba.client.annotation.AnnotationContext;
import org.pepstock.charba.client.annotation.AnnotationPlugin;
import org.pepstock.charba.client.events.ChartEventContext;

/**
 * Callback interface of {@link AnnotationPlugin#ID} plugin that is called once leave is fired.
 * 
 * @author Andrea "Stock" Stocchero
 *
 */
public interface LeaveCallback {

	/**
	 * Method called once leave is fired.
	 * 
	 * @param context context instance
	 * @param event event instance
	 * @return if <code>true</code>, it will ask to Chart.js to redraw
	 */
	boolean onLeave(AnnotationContext context, ChartEventContext event);

}