/**
    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements.  See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership.  The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License.  You may obtain a copy of the License at
    
      http://www.apache.org/licenses/LICENSE-2.0
    
    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, either express or implied.  See the License for the
    specific language governing permissions and limitations
    under the License.
*/
package org.pepstock.charba.client.colors;

/**
 * GWT material color constants.
 * 
 * @author Andrea "Stock" Stocchero
 * 
 * @see <a href="http://gwtmaterialdesign.github.io/gwt-material-demo/#colors">GWT material colors</a>
 *
 */
public enum GwtMaterialColor implements IsEnumeratedColor
{
	/**
	 * GWT material color name "RED_LIGHTEN_5" - <span style="background-color:#ffebee; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	RED_LIGHTEN_5("#ffebee"),
	/**
	 * GWT material color name "RED_LIGHTEN_4" - <span style="background-color:#ffcdd2; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	RED_LIGHTEN_4("#ffcdd2"),
	/**
	 * GWT material color name "RED_LIGHTEN_3" - <span style="background-color:#ef9a9a; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	RED_LIGHTEN_3("#ef9a9a"),
	/**
	 * GWT material color name "RED_LIGHTEN_2" - <span style="background-color:#e57373; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	RED_LIGHTEN_2("#e57373"),
	/**
	 * GWT material color name "RED_LIGHTEN_1" - <span style="background-color:#ef5350; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	RED_LIGHTEN_1("#ef5350"),
	/**
	 * GWT material color name "RED" - <span style="background-color:#f44336; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	RED("#f44336"),
	/**
	 * GWT material color name "RED_DARKEN_1" - <span style="background-color:#e53935; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	RED_DARKEN_1("#e53935"),
	/**
	 * GWT material color name "RED_DARKEN_2" - <span style="background-color:#d32f2f; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	RED_DARKEN_2("#d32f2f"),
	/**
	 * GWT material color name "RED_DARKEN_3" - <span style="background-color:#c62828; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	RED_DARKEN_3("#c62828"),
	/**
	 * GWT material color name "RED_DARKEN_4" - <span style="background-color:#b71c1c; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	RED_DARKEN_4("#b71c1c"),
	/**
	 * GWT material color name "RED_ACCENT_1" - <span style="background-color:#ff8a80; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	RED_ACCENT_1("#ff8a80"),
	/**
	 * GWT material color name "RED_ACCENT_2" - <span style="background-color:#ff5252; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	RED_ACCENT_2("#ff5252"),
	/**
	 * GWT material color name "RED_ACCENT_3" - <span style="background-color:#ff1744; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	RED_ACCENT_3("#ff1744"),
	/**
	 * GWT material color name "RED_ACCENT_4" - <span style="background-color:#d50000; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	RED_ACCENT_4("#d50000"),
	/**
	 * GWT material color name "PINK_LIGHTEN_5" - <span style="background-color:#fce4ec; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PINK_LIGHTEN_5("#fce4ec"),
	/**
	 * GWT material color name "PINK_LIGHTEN_4" - <span style="background-color:#f8bbd0; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PINK_LIGHTEN_4("#f8bbd0"),
	/**
	 * GWT material color name "PINK_LIGHTEN_3" - <span style="background-color:#f48fb1; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PINK_LIGHTEN_3("#f48fb1"),
	/**
	 * GWT material color name "PINK_LIGHTEN_2" - <span style="background-color:#f06292; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PINK_LIGHTEN_2("#f06292"),
	/**
	 * GWT material color name "PINK_LIGHTEN_1" - <span style="background-color:#ec407a; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PINK_LIGHTEN_1("#ec407a"),
	/**
	 * GWT material color name "PINK" - <span style="background-color:#e91e63; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PINK("#e91e63"),
	/**
	 * GWT material color name "PINK_DARKEN_1" - <span style="background-color:#d81b60; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PINK_DARKEN_1("#d81b60"),
	/**
	 * GWT material color name "PINK_DARKEN_2" - <span style="background-color:#c2185b; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PINK_DARKEN_2("#c2185b"),
	/**
	 * GWT material color name "PINK_DARKEN_3" - <span style="background-color:#ad1457; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PINK_DARKEN_3("#ad1457"),
	/**
	 * GWT material color name "PINK_DARKEN_4" - <span style="background-color:#880e4f; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PINK_DARKEN_4("#880e4f"),
	/**
	 * GWT material color name "PINK_ACCENT_1" - <span style="background-color:#ff80ab; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PINK_ACCENT_1("#ff80ab"),
	/**
	 * GWT material color name "PINK_ACCENT_2" - <span style="background-color:#ff4081; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PINK_ACCENT_2("#ff4081"),
	/**
	 * GWT material color name "PINK_ACCENT_3" - <span style="background-color:#f50057; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PINK_ACCENT_3("#f50057"),
	/**
	 * GWT material color name "PINK_ACCENT_4" - <span style="background-color:#c51162; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PINK_ACCENT_4("#c51162"),
	/**
	 * GWT material color name "PURPLE_LIGHTEN_5" -
	 * <span style="background-color:#f3e5f5; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PURPLE_LIGHTEN_5("#f3e5f5"),
	/**
	 * GWT material color name "PURPLE_LIGHTEN_4" -
	 * <span style="background-color:#e1bee7; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PURPLE_LIGHTEN_4("#e1bee7"),
	/**
	 * GWT material color name "PURPLE_LIGHTEN_3" -
	 * <span style="background-color:#ce93d8; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PURPLE_LIGHTEN_3("#ce93d8"),
	/**
	 * GWT material color name "PURPLE_LIGHTEN_2" -
	 * <span style="background-color:#ba68c8; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PURPLE_LIGHTEN_2("#ba68c8"),
	/**
	 * GWT material color name "PURPLE_LIGHTEN_1" -
	 * <span style="background-color:#ab47bc; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PURPLE_LIGHTEN_1("#ab47bc"),
	/**
	 * GWT material color name "PURPLE" - <span style="background-color:#9c27b0; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PURPLE("#9c27b0"),
	/**
	 * GWT material color name "PURPLE_DARKEN_1" - <span style="background-color:#8e24aa; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PURPLE_DARKEN_1("#8e24aa"),
	/**
	 * GWT material color name "PURPLE_DARKEN_2" - <span style="background-color:#7b1fa2; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PURPLE_DARKEN_2("#7b1fa2"),
	/**
	 * GWT material color name "PURPLE_DARKEN_3" - <span style="background-color:#6a1b9a; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PURPLE_DARKEN_3("#6a1b9a"),
	/**
	 * GWT material color name "PURPLE_DARKEN_4" - <span style="background-color:#4a148c; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PURPLE_DARKEN_4("#4a148c"),
	/**
	 * GWT material color name "PURPLE_ACCENT_1" - <span style="background-color:#ea80fc; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PURPLE_ACCENT_1("#ea80fc"),
	/**
	 * GWT material color name "PURPLE_ACCENT_2" - <span style="background-color:#e040fb; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PURPLE_ACCENT_2("#e040fb"),
	/**
	 * GWT material color name "PURPLE_ACCENT_3" - <span style="background-color:#d500f9; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PURPLE_ACCENT_3("#d500f9"),
	/**
	 * GWT material color name "PURPLE_ACCENT_4" - <span style="background-color:#aa00ff; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	PURPLE_ACCENT_4("#aa00ff"),
	/**
	 * GWT material color name "DEEP_PURPLE_LIGHTEN_5" -
	 * <span style="background-color:#ede7f6; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_PURPLE_LIGHTEN_5("#ede7f6"),
	/**
	 * GWT material color name "DEEP_PURPLE_LIGHTEN_4" -
	 * <span style="background-color:#d1c4e9; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_PURPLE_LIGHTEN_4("#d1c4e9"),
	/**
	 * GWT material color name "DEEP_PURPLE_LIGHTEN_3" -
	 * <span style="background-color:#b39ddb; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_PURPLE_LIGHTEN_3("#b39ddb"),
	/**
	 * GWT material color name "DEEP_PURPLE_LIGHTEN_2" -
	 * <span style="background-color:#9575cd; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_PURPLE_LIGHTEN_2("#9575cd"),
	/**
	 * GWT material color name "DEEP_PURPLE_LIGHTEN_1" -
	 * <span style="background-color:#7e57c2; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_PURPLE_LIGHTEN_1("#7e57c2"),
	/**
	 * GWT material color name "DEEP_PURPLE" - <span style="background-color:#673ab7; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_PURPLE("#673ab7"),
	/**
	 * GWT material color name "DEEP_PURPLE_DARKEN_1" -
	 * <span style="background-color:#5e35b1; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_PURPLE_DARKEN_1("#5e35b1"),
	/**
	 * GWT material color name "DEEP_PURPLE_DARKEN_2" -
	 * <span style="background-color:#512da8; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_PURPLE_DARKEN_2("#512da8"),
	/**
	 * GWT material color name "DEEP_PURPLE_DARKEN_3" -
	 * <span style="background-color:#4527a0; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_PURPLE_DARKEN_3("#4527a0"),
	/**
	 * GWT material color name "DEEP_PURPLE_DARKEN_4" -
	 * <span style="background-color:#311b92; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_PURPLE_DARKEN_4("#311b92"),
	/**
	 * GWT material color name "DEEP_PURPLE_ACCENT_1" -
	 * <span style="background-color:#b388ff; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_PURPLE_ACCENT_1("#b388ff"),
	/**
	 * GWT material color name "DEEP_PURPLE_ACCENT_2" -
	 * <span style="background-color:#7c4dff; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_PURPLE_ACCENT_2("#7c4dff"),
	/**
	 * GWT material color name "DEEP_PURPLE_ACCENT_3" -
	 * <span style="background-color:#651fff; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_PURPLE_ACCENT_3("#651fff"),
	/**
	 * GWT material color name "DEEP_PURPLE_ACCENT_4" -
	 * <span style="background-color:#6200ea; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_PURPLE_ACCENT_4("#6200ea"),
	/**
	 * GWT material color name "INDIGO_LIGHTEN_5" -
	 * <span style="background-color:#e8eaf6; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	INDIGO_LIGHTEN_5("#e8eaf6"),
	/**
	 * GWT material color name "INDIGO_LIGHTEN_4" -
	 * <span style="background-color:#c5cae9; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	INDIGO_LIGHTEN_4("#c5cae9"),
	/**
	 * GWT material color name "INDIGO_LIGHTEN_3" -
	 * <span style="background-color:#9fa8da; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	INDIGO_LIGHTEN_3("#9fa8da"),
	/**
	 * GWT material color name "INDIGO_LIGHTEN_2" -
	 * <span style="background-color:#7986cb; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	INDIGO_LIGHTEN_2("#7986cb"),
	/**
	 * GWT material color name "INDIGO_LIGHTEN_1" -
	 * <span style="background-color:#5c6bc0; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	INDIGO_LIGHTEN_1("#5c6bc0"),
	/**
	 * GWT material color name "INDIGO" - <span style="background-color:#3f51b5; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	INDIGO("#3f51b5"),
	/**
	 * GWT material color name "INDIGO_DARKEN_1" - <span style="background-color:#3949ab; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	INDIGO_DARKEN_1("#3949ab"),
	/**
	 * GWT material color name "INDIGO_DARKEN_2" - <span style="background-color:#303f9f; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	INDIGO_DARKEN_2("#303f9f"),
	/**
	 * GWT material color name "INDIGO_DARKEN_3" - <span style="background-color:#283593; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	INDIGO_DARKEN_3("#283593"),
	/**
	 * GWT material color name "INDIGO_DARKEN_4" - <span style="background-color:#1a237e; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	INDIGO_DARKEN_4("#1a237e"),
	/**
	 * GWT material color name "INDIGO_ACCENT_1" - <span style="background-color:#8c9eff; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	INDIGO_ACCENT_1("#8c9eff"),
	/**
	 * GWT material color name "INDIGO_ACCENT_2" - <span style="background-color:#536dfe; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	INDIGO_ACCENT_2("#536dfe"),
	/**
	 * GWT material color name "INDIGO_ACCENT_3" - <span style="background-color:#3d5afe; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	INDIGO_ACCENT_3("#3d5afe"),
	/**
	 * GWT material color name "INDIGO_ACCENT_4" - <span style="background-color:#304ffe; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	INDIGO_ACCENT_4("#304ffe"),
	/**
	 * GWT material color name "BLUE_LIGHTEN_5" - <span style="background-color:#e3f2fd; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_LIGHTEN_5("#e3f2fd"),
	/**
	 * GWT material color name "BLUE_LIGHTEN_4" - <span style="background-color:#bbdefb; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_LIGHTEN_4("#bbdefb"),
	/**
	 * GWT material color name "BLUE_LIGHTEN_3" - <span style="background-color:#90caf9; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_LIGHTEN_3("#90caf9"),
	/**
	 * GWT material color name "BLUE_LIGHTEN_2" - <span style="background-color:#64b5f6; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_LIGHTEN_2("#64b5f6"),
	/**
	 * GWT material color name "BLUE_LIGHTEN_1" - <span style="background-color:#42a5f5; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_LIGHTEN_1("#42a5f5"),
	/**
	 * GWT material color name "BLUE" - <span style="background-color:#2196f3; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE("#2196f3"),
	/**
	 * GWT material color name "BLUE_DARKEN_1" - <span style="background-color:#1e88e5; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_DARKEN_1("#1e88e5"),
	/**
	 * GWT material color name "BLUE_DARKEN_2" - <span style="background-color:#1976d2; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_DARKEN_2("#1976d2"),
	/**
	 * GWT material color name "BLUE_DARKEN_3" - <span style="background-color:#1565c0; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_DARKEN_3("#1565c0"),
	/**
	 * GWT material color name "BLUE_DARKEN_4" - <span style="background-color:#0d47a1; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_DARKEN_4("#0d47a1"),
	/**
	 * GWT material color name "BLUE_ACCENT_1" - <span style="background-color:#82b1ff; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_ACCENT_1("#82b1ff"),
	/**
	 * GWT material color name "BLUE_ACCENT_2" - <span style="background-color:#448aff; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_ACCENT_2("#448aff"),
	/**
	 * GWT material color name "BLUE_ACCENT_3" - <span style="background-color:#2979ff; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_ACCENT_3("#2979ff"),
	/**
	 * GWT material color name "BLUE_ACCENT_4" - <span style="background-color:#2962ff; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_ACCENT_4("#2962ff"),
	/**
	 * GWT material color name "LIGHT_BLUE_LIGHTEN_5" -
	 * <span style="background-color:#e1f5fe; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_BLUE_LIGHTEN_5("#e1f5fe"),
	/**
	 * GWT material color name "LIGHT_BLUE_LIGHTEN_4" -
	 * <span style="background-color:#b3e5fc; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_BLUE_LIGHTEN_4("#b3e5fc"),
	/**
	 * GWT material color name "LIGHT_BLUE_LIGHTEN_3" -
	 * <span style="background-color:#81d4fa; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_BLUE_LIGHTEN_3("#81d4fa"),
	/**
	 * GWT material color name "LIGHT_BLUE_LIGHTEN_2" -
	 * <span style="background-color:#4fc3f7; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_BLUE_LIGHTEN_2("#4fc3f7"),
	/**
	 * GWT material color name "LIGHT_BLUE_LIGHTEN_1" -
	 * <span style="background-color:#29b6f6; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_BLUE_LIGHTEN_1("#29b6f6"),
	/**
	 * GWT material color name "LIGHT_BLUE" - <span style="background-color:#03a9f4; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_BLUE("#03a9f4"),
	/**
	 * GWT material color name "LIGHT_BLUE_DARKEN_1" -
	 * <span style="background-color:#039be5; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_BLUE_DARKEN_1("#039be5"),
	/**
	 * GWT material color name "LIGHT_BLUE_DARKEN_2" -
	 * <span style="background-color:#0288d1; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_BLUE_DARKEN_2("#0288d1"),
	/**
	 * GWT material color name "LIGHT_BLUE_DARKEN_3" -
	 * <span style="background-color:#0277bd; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_BLUE_DARKEN_3("#0277bd"),
	/**
	 * GWT material color name "LIGHT_BLUE_DARKEN_4" -
	 * <span style="background-color:#01579b; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_BLUE_DARKEN_4("#01579b"),
	/**
	 * GWT material color name "LIGHT_BLUE_ACCENT_1" -
	 * <span style="background-color:#80d8ff; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_BLUE_ACCENT_1("#80d8ff"),
	/**
	 * GWT material color name "LIGHT_BLUE_ACCENT_2" -
	 * <span style="background-color:#40c4ff; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_BLUE_ACCENT_2("#40c4ff"),
	/**
	 * GWT material color name "LIGHT_BLUE_ACCENT_3" -
	 * <span style="background-color:#00b0ff; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_BLUE_ACCENT_3("#00b0ff"),
	/**
	 * GWT material color name "LIGHT_BLUE_ACCENT_4" -
	 * <span style="background-color:#0091ea; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_BLUE_ACCENT_4("#0091ea"),
	/**
	 * GWT material color name "CYAN_LIGHTEN_5" - <span style="background-color:#e0f7fa; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	CYAN_LIGHTEN_5("#e0f7fa"),
	/**
	 * GWT material color name "CYAN_LIGHTEN_4" - <span style="background-color:#b2ebf2; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	CYAN_LIGHTEN_4("#b2ebf2"),
	/**
	 * GWT material color name "CYAN_LIGHTEN_3" - <span style="background-color:#80deea; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	CYAN_LIGHTEN_3("#80deea"),
	/**
	 * GWT material color name "CYAN_LIGHTEN_2" - <span style="background-color:#4dd0e1; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	CYAN_LIGHTEN_2("#4dd0e1"),
	/**
	 * GWT material color name "CYAN_LIGHTEN_1" - <span style="background-color:#26c6da; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	CYAN_LIGHTEN_1("#26c6da"),
	/**
	 * GWT material color name "CYAN" - <span style="background-color:#00bcd4; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	CYAN("#00bcd4"),
	/**
	 * GWT material color name "CYAN_DARKEN_1" - <span style="background-color:#00acc1; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	CYAN_DARKEN_1("#00acc1"),
	/**
	 * GWT material color name "CYAN_DARKEN_2" - <span style="background-color:#0097a7; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	CYAN_DARKEN_2("#0097a7"),
	/**
	 * GWT material color name "CYAN_DARKEN_3" - <span style="background-color:#00838f; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	CYAN_DARKEN_3("#00838f"),
	/**
	 * GWT material color name "CYAN_DARKEN_4" - <span style="background-color:#006064; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	CYAN_DARKEN_4("#006064"),
	/**
	 * GWT material color name "CYAN_ACCENT_1" - <span style="background-color:#84ffff; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	CYAN_ACCENT_1("#84ffff"),
	/**
	 * GWT material color name "CYAN_ACCENT_2" - <span style="background-color:#18ffff; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	CYAN_ACCENT_2("#18ffff"),
	/**
	 * GWT material color name "CYAN_ACCENT_3" - <span style="background-color:#00e5ff; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	CYAN_ACCENT_3("#00e5ff"),
	/**
	 * GWT material color name "CYAN_ACCENT_4" - <span style="background-color:#00b8d4; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	CYAN_ACCENT_4("#00b8d4"),
	/**
	 * GWT material color name "TEAL_LIGHTEN_5" - <span style="background-color:#e0f2f1; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	TEAL_LIGHTEN_5("#e0f2f1"),
	/**
	 * GWT material color name "TEAL_LIGHTEN_4" - <span style="background-color:#b2dfdb; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	TEAL_LIGHTEN_4("#b2dfdb"),
	/**
	 * GWT material color name "TEAL_LIGHTEN_3" - <span style="background-color:#80cbc4; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	TEAL_LIGHTEN_3("#80cbc4"),
	/**
	 * GWT material color name "TEAL_LIGHTEN_2" - <span style="background-color:#4db6ac; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	TEAL_LIGHTEN_2("#4db6ac"),
	/**
	 * GWT material color name "TEAL_LIGHTEN_1" - <span style="background-color:#26a69a; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	TEAL_LIGHTEN_1("#26a69a"),
	/**
	 * GWT material color name "TEAL" - <span style="background-color:#009688; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	TEAL("#009688"),
	/**
	 * GWT material color name "TEAL_DARKEN_1" - <span style="background-color:#00897b; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	TEAL_DARKEN_1("#00897b"),
	/**
	 * GWT material color name "TEAL_DARKEN_2" - <span style="background-color:#00796b; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	TEAL_DARKEN_2("#00796b"),
	/**
	 * GWT material color name "TEAL_DARKEN_3" - <span style="background-color:#00695c; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	TEAL_DARKEN_3("#00695c"),
	/**
	 * GWT material color name "TEAL_DARKEN_4" - <span style="background-color:#004d40; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	TEAL_DARKEN_4("#004d40"),
	/**
	 * GWT material color name "TEAL_ACCENT_1" - <span style="background-color:#a7ffeb; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	TEAL_ACCENT_1("#a7ffeb"),
	/**
	 * GWT material color name "TEAL_ACCENT_2" - <span style="background-color:#64ffda; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	TEAL_ACCENT_2("#64ffda"),
	/**
	 * GWT material color name "TEAL_ACCENT_3" - <span style="background-color:#1de9b6; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	TEAL_ACCENT_3("#1de9b6"),
	/**
	 * GWT material color name "TEAL_ACCENT_4" - <span style="background-color:#00bfa5; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	TEAL_ACCENT_4("#00bfa5"),
	/**
	 * GWT material color name "GREEN_LIGHTEN_5" - <span style="background-color:#e8f5e9; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREEN_LIGHTEN_5("#e8f5e9"),
	/**
	 * GWT material color name "GREEN_LIGHTEN_4" - <span style="background-color:#c8e6c9; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREEN_LIGHTEN_4("#c8e6c9"),
	/**
	 * GWT material color name "GREEN_LIGHTEN_3" - <span style="background-color:#a5d6a7; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREEN_LIGHTEN_3("#a5d6a7"),
	/**
	 * GWT material color name "GREEN_LIGHTEN_2" - <span style="background-color:#81c784; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREEN_LIGHTEN_2("#81c784"),
	/**
	 * GWT material color name "GREEN_LIGHTEN_1" - <span style="background-color:#66bb6a; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREEN_LIGHTEN_1("#66bb6a"),
	/**
	 * GWT material color name "GREEN" - <span style="background-color:#4caf50; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREEN("#4caf50"),
	/**
	 * GWT material color name "GREEN_DARKEN_1" - <span style="background-color:#43a047; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREEN_DARKEN_1("#43a047"),
	/**
	 * GWT material color name "GREEN_DARKEN_2" - <span style="background-color:#388e3c; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREEN_DARKEN_2("#388e3c"),
	/**
	 * GWT material color name "GREEN_DARKEN_3" - <span style="background-color:#2e7d32; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREEN_DARKEN_3("#2e7d32"),
	/**
	 * GWT material color name "GREEN_DARKEN_4" - <span style="background-color:#1b5e20; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREEN_DARKEN_4("#1b5e20"),
	/**
	 * GWT material color name "GREEN_ACCENT_1" - <span style="background-color:#b9f6ca; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREEN_ACCENT_1("#b9f6ca"),
	/**
	 * GWT material color name "GREEN_ACCENT_2" - <span style="background-color:#69f0ae; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREEN_ACCENT_2("#69f0ae"),
	/**
	 * GWT material color name "GREEN_ACCENT_3" - <span style="background-color:#00e676; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREEN_ACCENT_3("#00e676"),
	/**
	 * GWT material color name "GREEN_ACCENT_4" - <span style="background-color:#00c853; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREEN_ACCENT_4("#00c853"),
	/**
	 * GWT material color name "LIGHT_GREEN_LIGHTEN_5" -
	 * <span style="background-color:#f1f8e9; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_GREEN_LIGHTEN_5("#f1f8e9"),
	/**
	 * GWT material color name "LIGHT_GREEN_LIGHTEN_4" -
	 * <span style="background-color:#dcedc8; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_GREEN_LIGHTEN_4("#dcedc8"),
	/**
	 * GWT material color name "LIGHT_GREEN_LIGHTEN_3" -
	 * <span style="background-color:#c5e1a5; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_GREEN_LIGHTEN_3("#c5e1a5"),
	/**
	 * GWT material color name "LIGHT_GREEN_LIGHTEN_2" -
	 * <span style="background-color:#aed581; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_GREEN_LIGHTEN_2("#aed581"),
	/**
	 * GWT material color name "LIGHT_GREEN_LIGHTEN_1" -
	 * <span style="background-color:#9ccc65; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_GREEN_LIGHTEN_1("#9ccc65"),
	/**
	 * GWT material color name "LIGHT_GREEN" - <span style="background-color:#8bc34a; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_GREEN("#8bc34a"),
	/**
	 * GWT material color name "LIGHT_GREEN_DARKEN_1" -
	 * <span style="background-color:#7cb342; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_GREEN_DARKEN_1("#7cb342"),
	/**
	 * GWT material color name "LIGHT_GREEN_DARKEN_2" -
	 * <span style="background-color:#689f38; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_GREEN_DARKEN_2("#689f38"),
	/**
	 * GWT material color name "LIGHT_GREEN_DARKEN_3" -
	 * <span style="background-color:#558b2f; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_GREEN_DARKEN_3("#558b2f"),
	/**
	 * GWT material color name "LIGHT_GREEN_DARKEN_4" -
	 * <span style="background-color:#33691e; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_GREEN_DARKEN_4("#33691e"),
	/**
	 * GWT material color name "LIGHT_GREEN_ACCENT_1" -
	 * <span style="background-color:#ccff90; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_GREEN_ACCENT_1("#ccff90"),
	/**
	 * GWT material color name "LIGHT_GREEN_ACCENT_2" -
	 * <span style="background-color:#b2ff59; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_GREEN_ACCENT_2("#b2ff59"),
	/**
	 * GWT material color name "LIGHT_GREEN_ACCENT_3" -
	 * <span style="background-color:#76ff03; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_GREEN_ACCENT_3("#76ff03"),
	/**
	 * GWT material color name "LIGHT_GREEN_ACCENT_4" -
	 * <span style="background-color:#64dd17; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIGHT_GREEN_ACCENT_4("#64dd17"),
	/**
	 * GWT material color name "LIME_LIGHTEN_5" - <span style="background-color:#f9fbe7; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIME_LIGHTEN_5("#f9fbe7"),
	/**
	 * GWT material color name "LIME_LIGHTEN_4" - <span style="background-color:#f0f4c3; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIME_LIGHTEN_4("#f0f4c3"),
	/**
	 * GWT material color name "LIME_LIGHTEN_3" - <span style="background-color:#e6ee9c; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIME_LIGHTEN_3("#e6ee9c"),
	/**
	 * GWT material color name "LIME_LIGHTEN_2" - <span style="background-color:#dce775; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIME_LIGHTEN_2("#dce775"),
	/**
	 * GWT material color name "LIME_LIGHTEN_1" - <span style="background-color:#d4e157; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIME_LIGHTEN_1("#d4e157"),
	/**
	 * GWT material color name "LIME" - <span style="background-color:#cddc39; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIME("#cddc39"),
	/**
	 * GWT material color name "LIME_DARKEN_1" - <span style="background-color:#c0ca33; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIME_DARKEN_1("#c0ca33"),
	/**
	 * GWT material color name "LIME_DARKEN_2" - <span style="background-color:#afb42b; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIME_DARKEN_2("#afb42b"),
	/**
	 * GWT material color name "LIME_DARKEN_3" - <span style="background-color:#9e9d24; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIME_DARKEN_3("#9e9d24"),
	/**
	 * GWT material color name "LIME_DARKEN_4" - <span style="background-color:#827717; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIME_DARKEN_4("#827717"),
	/**
	 * GWT material color name "LIME_ACCENT_1" - <span style="background-color:#f4ff81; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIME_ACCENT_1("#f4ff81"),
	/**
	 * GWT material color name "LIME_ACCENT_2" - <span style="background-color:#eeff41; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIME_ACCENT_2("#eeff41"),
	/**
	 * GWT material color name "LIME_ACCENT_3" - <span style="background-color:#c6ff00; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIME_ACCENT_3("#c6ff00"),
	/**
	 * GWT material color name "LIME_ACCENT_4" - <span style="background-color:#aeea00; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	LIME_ACCENT_4("#aeea00"),
	/**
	 * GWT material color name "YELLOW_LIGHTEN_5" -
	 * <span style="background-color:#fffde7; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	YELLOW_LIGHTEN_5("#fffde7"),
	/**
	 * GWT material color name "YELLOW_LIGHTEN_4" -
	 * <span style="background-color:#fff9c4; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	YELLOW_LIGHTEN_4("#fff9c4"),
	/**
	 * GWT material color name "YELLOW_LIGHTEN_3" -
	 * <span style="background-color:#fff59d; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	YELLOW_LIGHTEN_3("#fff59d"),
	/**
	 * GWT material color name "YELLOW_LIGHTEN_2" -
	 * <span style="background-color:#fff176; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	YELLOW_LIGHTEN_2("#fff176"),
	/**
	 * GWT material color name "YELLOW_LIGHTEN_1" -
	 * <span style="background-color:#ffee58; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	YELLOW_LIGHTEN_1("#ffee58"),
	/**
	 * GWT material color name "YELLOW" - <span style="background-color:#ffeb3b; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	YELLOW("#ffeb3b"),
	/**
	 * GWT material color name "YELLOW_DARKEN_1" - <span style="background-color:#fdd835; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	YELLOW_DARKEN_1("#fdd835"),
	/**
	 * GWT material color name "YELLOW_DARKEN_2" - <span style="background-color:#fbc02d; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	YELLOW_DARKEN_2("#fbc02d"),
	/**
	 * GWT material color name "YELLOW_DARKEN_3" - <span style="background-color:#f9a825; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	YELLOW_DARKEN_3("#f9a825"),
	/**
	 * GWT material color name "YELLOW_DARKEN_4" - <span style="background-color:#f57f17; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	YELLOW_DARKEN_4("#f57f17"),
	/**
	 * GWT material color name "YELLOW_ACCENT_1" - <span style="background-color:#ffff8d; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	YELLOW_ACCENT_1("#ffff8d"),
	/**
	 * GWT material color name "YELLOW_ACCENT_2" - <span style="background-color:#ffff00; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	YELLOW_ACCENT_2("#ffff00"),
	/**
	 * GWT material color name "YELLOW_ACCENT_3" - <span style="background-color:#ffea00; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	YELLOW_ACCENT_3("#ffea00"),
	/**
	 * GWT material color name "YELLOW_ACCENT_4" - <span style="background-color:#ffd600; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	YELLOW_ACCENT_4("#ffd600"),
	/**
	 * GWT material color name "AMBER_LIGHTEN_5" - <span style="background-color:#fff8e1; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	AMBER_LIGHTEN_5("#fff8e1"),
	/**
	 * GWT material color name "AMBER_LIGHTEN_4" - <span style="background-color:#ffecb3; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	AMBER_LIGHTEN_4("#ffecb3"),
	/**
	 * GWT material color name "AMBER_LIGHTEN_3" - <span style="background-color:#ffe082; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	AMBER_LIGHTEN_3("#ffe082"),
	/**
	 * GWT material color name "AMBER_LIGHTEN_2" - <span style="background-color:#ffd54f; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	AMBER_LIGHTEN_2("#ffd54f"),
	/**
	 * GWT material color name "AMBER_LIGHTEN_1" - <span style="background-color:#ffca28; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	AMBER_LIGHTEN_1("#ffca28"),
	/**
	 * GWT material color name "AMBER" - <span style="background-color:#ffc107; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	AMBER("#ffc107"),
	/**
	 * GWT material color name "AMBER_DARKEN_1" - <span style="background-color:#ffb300; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	AMBER_DARKEN_1("#ffb300"),
	/**
	 * GWT material color name "AMBER_DARKEN_2" - <span style="background-color:#ffa000; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	AMBER_DARKEN_2("#ffa000"),
	/**
	 * GWT material color name "AMBER_DARKEN_3" - <span style="background-color:#ff8f00; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	AMBER_DARKEN_3("#ff8f00"),
	/**
	 * GWT material color name "AMBER_DARKEN_4" - <span style="background-color:#ff6f00; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	AMBER_DARKEN_4("#ff6f00"),
	/**
	 * GWT material color name "AMBER_ACCENT_1" - <span style="background-color:#ffe57f; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	AMBER_ACCENT_1("#ffe57f"),
	/**
	 * GWT material color name "AMBER_ACCENT_2" - <span style="background-color:#ffd740; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	AMBER_ACCENT_2("#ffd740"),
	/**
	 * GWT material color name "AMBER_ACCENT_3" - <span style="background-color:#ffc400; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	AMBER_ACCENT_3("#ffc400"),
	/**
	 * GWT material color name "AMBER_ACCENT_4" - <span style="background-color:#ffab00; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	AMBER_ACCENT_4("#ffab00"),
	/**
	 * GWT material color name "ORANGE_LIGHTEN_5" -
	 * <span style="background-color:#fff3e0; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	ORANGE_LIGHTEN_5("#fff3e0"),
	/**
	 * GWT material color name "ORANGE_LIGHTEN_4" -
	 * <span style="background-color:#ffe0b2; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	ORANGE_LIGHTEN_4("#ffe0b2"),
	/**
	 * GWT material color name "ORANGE_LIGHTEN_3" -
	 * <span style="background-color:#ffcc80; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	ORANGE_LIGHTEN_3("#ffcc80"),
	/**
	 * GWT material color name "ORANGE_LIGHTEN_2" -
	 * <span style="background-color:#ffb74d; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	ORANGE_LIGHTEN_2("#ffb74d"),
	/**
	 * GWT material color name "ORANGE_LIGHTEN_1" -
	 * <span style="background-color:#ffa726; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	ORANGE_LIGHTEN_1("#ffa726"),
	/**
	 * GWT material color name "ORANGE" - <span style="background-color:#ff9800; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	ORANGE("#ff9800"),
	/**
	 * GWT material color name "ORANGE_DARKEN_1" - <span style="background-color:#fb8c00; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	ORANGE_DARKEN_1("#fb8c00"),
	/**
	 * GWT material color name "ORANGE_DARKEN_2" - <span style="background-color:#f57c00; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	ORANGE_DARKEN_2("#f57c00"),
	/**
	 * GWT material color name "ORANGE_DARKEN_3" - <span style="background-color:#ef6c00; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	ORANGE_DARKEN_3("#ef6c00"),
	/**
	 * GWT material color name "ORANGE_DARKEN_4" - <span style="background-color:#e65100; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	ORANGE_DARKEN_4("#e65100"),
	/**
	 * GWT material color name "ORANGE_ACCENT_1" - <span style="background-color:#ffd180; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	ORANGE_ACCENT_1("#ffd180"),
	/**
	 * GWT material color name "ORANGE_ACCENT_2" - <span style="background-color:#ffab40; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	ORANGE_ACCENT_2("#ffab40"),
	/**
	 * GWT material color name "ORANGE_ACCENT_3" - <span style="background-color:#ff9100; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	ORANGE_ACCENT_3("#ff9100"),
	/**
	 * GWT material color name "ORANGE_ACCENT_4" - <span style="background-color:#ff6d00; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	ORANGE_ACCENT_4("#ff6d00"),
	/**
	 * GWT material color name "DEEP_ORANGE_LIGHTEN_5" -
	 * <span style="background-color:#fbe9e7; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_ORANGE_LIGHTEN_5("#fbe9e7"),
	/**
	 * GWT material color name "DEEP_ORANGE_LIGHTEN_4" -
	 * <span style="background-color:#ffccbc; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_ORANGE_LIGHTEN_4("#ffccbc"),
	/**
	 * GWT material color name "DEEP_ORANGE_LIGHTEN_3" -
	 * <span style="background-color:#ffab91; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_ORANGE_LIGHTEN_3("#ffab91"),
	/**
	 * GWT material color name "DEEP_ORANGE_LIGHTEN_2" -
	 * <span style="background-color:#ff8a65; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_ORANGE_LIGHTEN_2("#ff8a65"),
	/**
	 * GWT material color name "DEEP_ORANGE_LIGHTEN_1" -
	 * <span style="background-color:#ff7043; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_ORANGE_LIGHTEN_1("#ff7043"),
	/**
	 * GWT material color name "DEEP_ORANGE" - <span style="background-color:#ff5722; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_ORANGE("#ff5722"),
	/**
	 * GWT material color name "DEEP_ORANGE_DARKEN_1" -
	 * <span style="background-color:#f4511e; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_ORANGE_DARKEN_1("#f4511e"),
	/**
	 * GWT material color name "DEEP_ORANGE_DARKEN_2" -
	 * <span style="background-color:#e64a19; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_ORANGE_DARKEN_2("#e64a19"),
	/**
	 * GWT material color name "DEEP_ORANGE_DARKEN_3" -
	 * <span style="background-color:#d84315; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_ORANGE_DARKEN_3("#d84315"),
	/**
	 * GWT material color name "DEEP_ORANGE_DARKEN_4" -
	 * <span style="background-color:#bf360c; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_ORANGE_DARKEN_4("#bf360c"),
	/**
	 * GWT material color name "DEEP_ORANGE_ACCENT_1" -
	 * <span style="background-color:#ff9e80; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_ORANGE_ACCENT_1("#ff9e80"),
	/**
	 * GWT material color name "DEEP_ORANGE_ACCENT_2" -
	 * <span style="background-color:#ff6e40; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_ORANGE_ACCENT_2("#ff6e40"),
	/**
	 * GWT material color name "DEEP_ORANGE_ACCENT_3" -
	 * <span style="background-color:#ff3d00; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_ORANGE_ACCENT_3("#ff3d00"),
	/**
	 * GWT material color name "DEEP_ORANGE_ACCENT_4" -
	 * <span style="background-color:#dd2c00; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	DEEP_ORANGE_ACCENT_4("#dd2c00"),
	/**
	 * GWT material color name "BROWN_LIGHTEN_5" - <span style="background-color:#efebe9; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BROWN_LIGHTEN_5("#efebe9"),
	/**
	 * GWT material color name "BROWN_LIGHTEN_4" - <span style="background-color:#d7ccc8; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BROWN_LIGHTEN_4("#d7ccc8"),
	/**
	 * GWT material color name "BROWN_LIGHTEN_3" - <span style="background-color:#bcaaa4; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BROWN_LIGHTEN_3("#bcaaa4"),
	/**
	 * GWT material color name "BROWN_LIGHTEN_2" - <span style="background-color:#a1887f; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BROWN_LIGHTEN_2("#a1887f"),
	/**
	 * GWT material color name "BROWN_LIGHTEN_1" - <span style="background-color:#8d6e63; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BROWN_LIGHTEN_1("#8d6e63"),
	/**
	 * GWT material color name "BROWN" - <span style="background-color:#795548; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BROWN("#795548"),
	/**
	 * GWT material color name "BROWN_DARKEN_1" - <span style="background-color:#6d4c41; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BROWN_DARKEN_1("#6d4c41"),
	/**
	 * GWT material color name "BROWN_DARKEN_2" - <span style="background-color:#5d4037; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BROWN_DARKEN_2("#5d4037"),
	/**
	 * GWT material color name "BROWN_DARKEN_3" - <span style="background-color:#4e342e; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BROWN_DARKEN_3("#4e342e"),
	/**
	 * GWT material color name "BROWN_DARKEN_4" - <span style="background-color:#3e2723; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BROWN_DARKEN_4("#3e2723"),
	/**
	 * GWT material color name "GREY_LIGHTEN_5" - <span style="background-color:#fafafa; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREY_LIGHTEN_5("#fafafa"),
	/**
	 * GWT material color name "GREY_LIGHTEN_4" - <span style="background-color:#f5f5f5; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREY_LIGHTEN_4("#f5f5f5"),
	/**
	 * GWT material color name "GREY_LIGHTEN_3" - <span style="background-color:#eeeeee; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREY_LIGHTEN_3("#eeeeee"),
	/**
	 * GWT material color name "GREY_LIGHTEN_2" - <span style="background-color:#e0e0e0; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREY_LIGHTEN_2("#e0e0e0"),
	/**
	 * GWT material color name "GREY_LIGHTEN_1" - <span style="background-color:#bdbdbd; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREY_LIGHTEN_1("#bdbdbd"),
	/**
	 * GWT material color name "GREY" - <span style="background-color:#9e9e9e; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREY("#9e9e9e"),
	/**
	 * GWT material color name "GREY_DARKEN_1" - <span style="background-color:#757575; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREY_DARKEN_1("#757575"),
	/**
	 * GWT material color name "GREY_DARKEN_2" - <span style="background-color:#616161; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREY_DARKEN_2("#616161"),
	/**
	 * GWT material color name "GREY_DARKEN_3" - <span style="background-color:#424242; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREY_DARKEN_3("#424242"),
	/**
	 * GWT material color name "GREY_DARKEN_4" - <span style="background-color:#212121; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	GREY_DARKEN_4("#212121"),
	/**
	 * GWT material color name "BLUE_GREY_LIGHTEN_5" -
	 * <span style="background-color:#eceff1; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_GREY_LIGHTEN_5("#eceff1"),
	/**
	 * GWT material color name "BLUE_GREY_LIGHTEN_4" -
	 * <span style="background-color:#cfd8dc; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_GREY_LIGHTEN_4("#cfd8dc"),
	/**
	 * GWT material color name "BLUE_GREY_LIGHTEN_3" -
	 * <span style="background-color:#b0bec5; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_GREY_LIGHTEN_3("#b0bec5"),
	/**
	 * GWT material color name "BLUE_GREY_LIGHTEN_2" -
	 * <span style="background-color:#90a4ae; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_GREY_LIGHTEN_2("#90a4ae"),
	/**
	 * GWT material color name "BLUE_GREY_LIGHTEN_1" -
	 * <span style="background-color:#78909c; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_GREY_LIGHTEN_1("#78909c"),
	/**
	 * GWT material color name "BLUE_GREY" - <span style="background-color:#607d8b; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_GREY("#607d8b"),
	/**
	 * GWT material color name "BLUE_GREY_DARKEN_1" -
	 * <span style="background-color:#546e7a; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_GREY_DARKEN_1("#546e7a"),
	/**
	 * GWT material color name "BLUE_GREY_DARKEN_2" -
	 * <span style="background-color:#455a64; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_GREY_DARKEN_2("#455a64"),
	/**
	 * GWT material color name "BLUE_GREY_DARKEN_3" -
	 * <span style="background-color:#37474f; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_GREY_DARKEN_3("#37474f"),
	/**
	 * GWT material color name "BLUE_GREY_DARKEN_4" -
	 * <span style="background-color:#263238; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLUE_GREY_DARKEN_4("#263238"),
	/**
	 * GWT material color name "BLACK" - <span style="background-color:#000000; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	BLACK("#000000"),
	/**
	 * GWT material color name "WHITE" - <span style="background-color:#ffffff; border-style: solid; border-width: 1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	WHITE("#ffffff");

	// color instance
	private final IsColor color;

	/**
	 * Creates a color with HEX value.
	 * 
	 * @param hexValue color string representation in HEX
	 */
	private GwtMaterialColor(String hexValue) {
		color = ColorBuilder.buildByHexValue(hexValue, false);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.pepstock.charba.client.colors.IsEnumeratedColor#getColor()
	 */
	@Override
	public IsColor getColor() {
		return color;
	}
}