/**
    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements.  See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership.  The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License.  You may obtain a copy of the License at
    
      http://www.apache.org/licenses/LICENSE-2.0
    
    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, either express or implied.  See the License for the
    specific language governing permissions and limitations
    under the License.
*/
package org.pepstock.charba.client.intl.enums;

/**
 * Contains all UTC offset values used by {@link TimeZone}, to avoid to have more instances of the same label.
 * 
 * @author Andrea "Stock" Stocchero
 *
 */
final class UTCOffsetConstants {

	/**
	 * International key, to use for localization, for <b>+00:00</b> UTC offset.
	 */
	static final String UTC_PLUS_00_00 = "+00:00";

	/**
	 * International key, to use for localization, for <b>+01:00</b> UTC offset.
	 */
	static final String UTC_PLUS_01_00 = "+01:00";

	/**
	 * International key, to use for localization, for <b>+02:00</b> UTC offset.
	 */
	static final String UTC_PLUS_02_00 = "+02:00";

	/**
	 * International key, to use for localization, for <b>+03:00</b> UTC offset.
	 */
	static final String UTC_PLUS_03_00 = "+03:00";

	/**
	 * International key, to use for localization, for <b>+03:30</b> UTC offset.
	 */
	static final String UTC_PLUS_03_30 = "+03:30";

	/**
	 * International key, to use for localization, for <b>+04:00</b> UTC offset.
	 */
	static final String UTC_PLUS_04_00 = "+04:00";

	/**
	 * International key, to use for localization, for <b>+04:30</b> UTC offset.
	 */
	static final String UTC_PLUS_04_30 = "+04:30";

	/**
	 * International key, to use for localization, for <b>+05:00</b> UTC offset.
	 */
	static final String UTC_PLUS_05_00 = "+05:00";

	/**
	 * International key, to use for localization, for <b>+05:30</b> UTC offset.
	 */
	static final String UTC_PLUS_05_30 = "+05:30";

	/**
	 * International key, to use for localization, for <b>+05:45</b> UTC offset.
	 */
	static final String UTC_PLUS_05_45 = "+05:45";

	/**
	 * International key, to use for localization, for <b>+06:00</b> UTC offset.
	 */
	static final String UTC_PLUS_06_00 = "+06:00";

	/**
	 * International key, to use for localization, for <b>+06:30</b> UTC offset.
	 */
	static final String UTC_PLUS_06_30 = "+06:30";

	/**
	 * International key, to use for localization, for <b>+07:00</b> UTC offset.
	 */
	static final String UTC_PLUS_07_00 = "+07:00";

	/**
	 * International key, to use for localization, for <b>+08:00</b> UTC offset.
	 */
	static final String UTC_PLUS_08_00 = "+08:00";

	/**
	 * International key, to use for localization, for <b>+08:45</b> UTC offset.
	 */
	static final String UTC_PLUS_08_45 = "+08:45";

	/**
	 * International key, to use for localization, for <b>+09:00</b> UTC offset.
	 */
	static final String UTC_PLUS_09_00 = "+09:00";

	/**
	 * International key, to use for localization, for <b>+09:30</b> UTC offset.
	 */
	static final String UTC_PLUS_09_30 = "+09:30";

	/**
	 * International key, to use for localization, for <b>+10:00</b> UTC offset.
	 */
	static final String UTC_PLUS_10_00 = "+10:00";

	/**
	 * International key, to use for localization, for <b>+10:30</b> UTC offset.
	 */
	static final String UTC_PLUS_10_30 = "+10:30";

	/**
	 * International key, to use for localization, for <b>+11:00</b> UTC offset.
	 */
	static final String UTC_PLUS_11_00 = "+11:00";

	/**
	 * International key, to use for localization, for <b>+11:30</b> UTC offset.
	 */
	static final String UTC_PLUS_11_30 = "+11:30";

	/**
	 * International key, to use for localization, for <b>+12:00</b> UTC offset.
	 */
	static final String UTC_PLUS_12_00 = "+12:00";

	/**
	 * International key, to use for localization, for <b>+12:45</b> UTC offset.
	 */
	static final String UTC_PLUS_12_45 = "+12:45";

	/**
	 * International key, to use for localization, for <b>+13:00</b> UTC offset.
	 */
	static final String UTC_PLUS_13_00 = "+13:00";

	/**
	 * International key, to use for localization, for <b>+14:00</b> UTC offset.
	 */
	static final String UTC_PLUS_14_00 = "+14:00";

	/**
	 * International key, to use for localization, for <b>-01:00</b> UTC offset.
	 */
	static final String UTC_MINUS_01_00 = "-01:00";

	/**
	 * International key, to use for localization, for <b>-02:00</b> UTC offset.
	 */
	static final String UTC_MINUS_02_00 = "-02:00";

	/**
	 * International key, to use for localization, for <b>-03:00</b> UTC offset.
	 */
	static final String UTC_MINUS_03_00 = "-03:00";

	/**
	 * International key, to use for localization, for <b>-03:30</b> UTC offset.
	 */
	static final String UTC_MINUS_03_30 = "-03:30";

	/**
	 * International key, to use for localization, for <b>-04:00</b> UTC offset.
	 */
	static final String UTC_MINUS_04_00 = "-04:00";

	/**
	 * International key, to use for localization, for <b>-04:30</b> UTC offset.
	 */
	static final String UTC_MINUS_04_30 = "-04:30";

	/**
	 * International key, to use for localization, for <b>-05:00</b> UTC offset.
	 */
	static final String UTC_MINUS_05_00 = "-05:00";

	/**
	 * International key, to use for localization, for <b>-06:00</b> UTC offset.
	 */
	static final String UTC_MINUS_06_00 = "-06:00";

	/**
	 * International key, to use for localization, for <b>-07:00</b> UTC offset.
	 */
	static final String UTC_MINUS_07_00 = "-07:00";

	/**
	 * International key, to use for localization, for <b>-08:00</b> UTC offset.
	 */
	static final String UTC_MINUS_08_00 = "-08:00";

	/**
	 * International key, to use for localization, for <b>-09:00</b> UTC offset.
	 */
	static final String UTC_MINUS_09_00 = "-09:00";

	/**
	 * International key, to use for localization, for <b>-09:30</b> UTC offset.
	 */
	static final String UTC_MINUS_09_30 = "-09:30";

	/**
	 * International key, to use for localization, for <b>-10:00</b> UTC offset.
	 */
	static final String UTC_MINUS_10_00 = "-10:00";

	/**
	 * International key, to use for localization, for <b>-11:00</b> UTC offset.
	 */
	static final String UTC_MINUS_11_00 = "-11:00";

	/**
	 * To avoid any instantiation
	 */
	private UTCOffsetConstants() {
		// do nothing
	}

}