/**
    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements.  See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership.  The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License.  You may obtain a copy of the License at
    
      http://www.apache.org/licenses/LICENSE-2.0
    
    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, either express or implied.  See the License for the
    specific language governing permissions and limitations
    under the License.
*/
package org.pepstock.charba.client.impl.plugins.enums;

/**
 * Contains all colors used in the schemes, to avoid to have more instances of the same color in the color schemes definition.
 * 
 * @author Andrea "Stock" Stocchero
 *
 */
final class SchemeCostants {

	/**
	 * Constant color "#c7e9b4" <span style="background-color:#c7e9b4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C7E9B4 = "#c7e9b4";

	/**
	 * Constant color "#a63212" <span style="background-color:#a63212; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A63212 = "#a63212";

	/**
	 * Constant color "#9eb060" <span style="background-color:#9eb060; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9EB060 = "#9eb060";

	/**
	 * Constant color "#45934d" <span style="background-color:#45934d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_45934D = "#45934d";

	/**
	 * Constant color "#f1b6da" <span style="background-color:#f1b6da; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F1B6DA = "#f1b6da";

	/**
	 * Constant color "#bb6348" <span style="background-color:#bb6348; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BB6348 = "#bb6348";

	/**
	 * Constant color "#ffc2c5" <span style="background-color:#ffc2c5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFC2C5 = "#ffc2c5";

	/**
	 * Constant color "#ffb91d" <span style="background-color:#ffb91d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFB91D = "#ffb91d";

	/**
	 * Constant color "#ffffb3" <span style="background-color:#ffffb3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFFFB3 = "#ffffb3";

	/**
	 * Constant color "#b9ca5d" <span style="background-color:#b9ca5d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B9CA5D = "#b9ca5d";

	/**
	 * Constant color "#bdc9e1" <span style="background-color:#bdc9e1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BDC9E1 = "#bdc9e1";

	/**
	 * Constant color "#4d4d4d" <span style="background-color:#4d4d4d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4D4D4D = "#4d4d4d";

	/**
	 * Constant color "#40bad2" <span style="background-color:#40bad2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_40BAD2 = "#40bad2";

	/**
	 * Constant color "#e8950e" <span style="background-color:#e8950e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E8950E = "#e8950e";

	/**
	 * Constant color "#ffffb2" <span style="background-color:#ffffb2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFFFB2 = "#ffffb2";

	/**
	 * Constant color "#c7e9c0" <span style="background-color:#c7e9c0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C7E9C0 = "#c7e9c0";

	/**
	 * Constant color "#005824" <span style="background-color:#005824; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_005824 = "#005824";

	/**
	 * Constant color "#7fc97f" <span style="background-color:#7fc97f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7FC97F = "#7fc97f";

	/**
	 * Constant color "#f47942" <span style="background-color:#f47942; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F47942 = "#f47942";

	/**
	 * Constant color "#8e887c" <span style="background-color:#8e887c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8E887C = "#8e887c";

	/**
	 * Constant color "#00a2e6" <span style="background-color:#00a2e6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_00A2E6 = "#00a2e6";

	/**
	 * Constant color "#6997af" <span style="background-color:#6997af; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6997AF = "#6997af";

	/**
	 * Constant color "#85ca77" <span style="background-color:#85ca77; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_85CA77 = "#85ca77";

	/**
	 * Constant color "#df513f" <span style="background-color:#df513f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DF513F = "#df513f";

	/**
	 * Constant color "#ed7d31" <span style="background-color:#ed7d31; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ED7D31 = "#ed7d31";

	/**
	 * Constant color "#377eb8" <span style="background-color:#377eb8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_377EB8 = "#377eb8";

	/**
	 * Constant color "#c4eab1" <span style="background-color:#c4eab1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C4EAB1 = "#c4eab1";

	/**
	 * Constant color "#e6550d" <span style="background-color:#e6550d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E6550D = "#e6550d";

	/**
	 * Constant color "#ffc2a1" <span style="background-color:#ffc2a1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFC2A1 = "#ffc2a1";

	/**
	 * Constant color "#e29c36" <span style="background-color:#e29c36; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E29C36 = "#e29c36";

	/**
	 * Constant color "#98d687" <span style="background-color:#98d687; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_98D687 = "#98d687";

	/**
	 * Constant color "#dbd4c5" <span style="background-color:#dbd4c5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DBD4C5 = "#dbd4c5";

	/**
	 * Constant color "#a6b727" <span style="background-color:#a6b727; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A6B727 = "#a6b727";

	/**
	 * Constant color "#f77b66" <span style="background-color:#f77b66; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F77B66 = "#f77b66";

	/**
	 * Constant color "#f5c75f" <span style="background-color:#f5c75f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F5C75F = "#f5c75f";

	/**
	 * Constant color "#aeafa9" <span style="background-color:#aeafa9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AEAFA9 = "#aeafa9";

	/**
	 * Constant color "#fff7bc" <span style="background-color:#fff7bc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFF7BC = "#fff7bc";

	/**
	 * Constant color "#333333" <span style="background-color:#333333; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_333333 = "#333333";

	/**
	 * Constant color "#3896c4" <span style="background-color:#3896c4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3896C4 = "#3896c4";

	/**
	 * Constant color "#ad8f67" <span style="background-color:#ad8f67; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AD8F67 = "#ad8f67";

	/**
	 * Constant color "#553876" <span style="background-color:#553876; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_553876 = "#553876";

	/**
	 * Constant color "#e7e1ef" <span style="background-color:#e7e1ef; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E7E1EF = "#e7e1ef";

	/**
	 * Constant color "#90bb23" <span style="background-color:#90bb23; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_90BB23 = "#90bb23";

	/**
	 * Constant color "#a6dba0" <span style="background-color:#a6dba0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A6DBA0 = "#a6dba0";

	/**
	 * Constant color "#fee391" <span style="background-color:#fee391; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEE391 = "#fee391";

	/**
	 * Constant color "#bb7693" <span style="background-color:#bb7693; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BB7693 = "#bb7693";

	/**
	 * Constant color "#31b6fd" <span style="background-color:#31b6fd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_31B6FD = "#31b6fd";

	/**
	 * Constant color "#004529" <span style="background-color:#004529; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_004529 = "#004529";

	/**
	 * Constant color "#7cca62" <span style="background-color:#7cca62; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7CCA62 = "#7cca62";

	/**
	 * Constant color "#5430bb" <span style="background-color:#5430bb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5430BB = "#5430bb";

	/**
	 * Constant color "#ffffe5" <span style="background-color:#ffffe5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFFFE5 = "#ffffe5";

	/**
	 * Constant color "#ffb977" <span style="background-color:#ffb977; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFB977 = "#ffb977";

	/**
	 * Constant color "#f9d23c" <span style="background-color:#f9d23c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F9D23C = "#f9d23c";

	/**
	 * Constant color "#6076b4" <span style="background-color:#6076b4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6076B4 = "#6076b4";

	/**
	 * Constant color "#e8bc4a" <span style="background-color:#e8bc4a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E8BC4A = "#e8bc4a";

	/**
	 * Constant color "#ffffcc" <span style="background-color:#ffffcc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFFFCC = "#ffffcc";

	/**
	 * Constant color "#e78ac3" <span style="background-color:#e78ac3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E78AC3 = "#e78ac3";

	/**
	 * Constant color "#c16941" <span style="background-color:#c16941; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C16941 = "#c16941";

	/**
	 * Constant color "#6c9e6e" <span style="background-color:#6c9e6e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6C9E6E = "#6c9e6e";

	/**
	 * Constant color "#ebe1d9" <span style="background-color:#ebe1d9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EBE1D9 = "#ebe1d9";

	/**
	 * Constant color "#aa2b1e" <span style="background-color:#aa2b1e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AA2B1E = "#aa2b1e";

	/**
	 * Constant color "#d75521" <span style="background-color:#d75521; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D75521 = "#d75521";

	/**
	 * Constant color "#ffd1d3" <span style="background-color:#ffd1d3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFD1D3 = "#ffd1d3";

	/**
	 * Constant color "#8a60b0" <span style="background-color:#8a60b0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8A60B0 = "#8a60b0";

	/**
	 * Constant color "#081d58" <span style="background-color:#081d58; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_081D58 = "#081d58";

	/**
	 * Constant color "#da1f28" <span style="background-color:#da1f28; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DA1F28 = "#da1f28";

	/**
	 * Constant color "#c14f22" <span style="background-color:#c14f22; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C14F22 = "#c14f22";

	/**
	 * Constant color "#a0cbe8" <span style="background-color:#a0cbe8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A0CBE8 = "#a0cbe8";

	/**
	 * Constant color "#30bcad" <span style="background-color:#30bcad; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_30BCAD = "#30bcad";

	/**
	 * Constant color "#ebc994" <span style="background-color:#ebc994; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EBC994 = "#ebc994";

	/**
	 * Constant color "#6b6b6b" <span style="background-color:#6b6b6b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6B6B6B = "#6b6b6b";

	/**
	 * Constant color "#7a855d" <span style="background-color:#7a855d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7A855D = "#7a855d";

	/**
	 * Constant color "#5ea049" <span style="background-color:#5ea049; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5EA049 = "#5ea049";

	/**
	 * Constant color "#b35806" <span style="background-color:#b35806; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B35806 = "#b35806";

	/**
	 * Constant color "#9f3632" <span style="background-color:#9f3632; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9F3632 = "#9f3632";

	/**
	 * Constant color "#fbb04e" <span style="background-color:#fbb04e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FBB04E = "#fbb04e";

	/**
	 * Constant color "#a64122" <span style="background-color:#a64122; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A64122 = "#a64122";

	/**
	 * Constant color "#c11a3b" <span style="background-color:#c11a3b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C11A3B = "#c11a3b";

	/**
	 * Constant color "#fff7ec" <span style="background-color:#fff7ec; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFF7EC = "#fff7ec";

	/**
	 * Constant color "#e76618" <span style="background-color:#e76618; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E76618 = "#e76618";

	/**
	 * Constant color "#fc719e" <span style="background-color:#fc719e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FC719E = "#fc719e";

	/**
	 * Constant color "#fff7f3" <span style="background-color:#fff7f3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFF7F3 = "#fff7f3";

	/**
	 * Constant color "#e8b7b7" <span style="background-color:#e8b7b7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E8B7B7 = "#e8b7b7";

	/**
	 * Constant color "#a6761d" <span style="background-color:#a6761d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A6761D = "#a6761d";

	/**
	 * Constant color "#f8931d" <span style="background-color:#f8931d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F8931D = "#f8931d";

	/**
	 * Constant color "#e377c2" <span style="background-color:#e377c2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E377C2 = "#e377c2";

	/**
	 * Constant color "#4b9b5f" <span style="background-color:#4b9b5f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4B9B5F = "#4b9b5f";

	/**
	 * Constant color "#20768c" <span style="background-color:#20768c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_20768C = "#20768c";

	/**
	 * Constant color "#c7c7c7" <span style="background-color:#c7c7c7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C7C7C7 = "#c7c7c7";

	/**
	 * Constant color "#67bf5c" <span style="background-color:#67bf5c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_67BF5C = "#67bf5c";

	/**
	 * Constant color "#fff7fb" <span style="background-color:#fff7fb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFF7FB = "#fff7fb";

	/**
	 * Constant color "#ffffd4" <span style="background-color:#ffffd4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFFFD4 = "#ffffd4";

	/**
	 * Constant color "#f8b252" <span style="background-color:#f8b252; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F8B252 = "#f8b252";

	/**
	 * Constant color "#ffffd9" <span style="background-color:#ffffd9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFFFD9 = "#ffffd9";

	/**
	 * Constant color "#d37295" <span style="background-color:#d37295; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D37295 = "#d37295";

	/**
	 * Constant color "#ffffbf" <span style="background-color:#ffffbf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFFFBF = "#ffffbf";

	/**
	 * Constant color "#fee6ce" <span style="background-color:#fee6ce; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEE6CE = "#fee6ce";

	/**
	 * Constant color "#c799bc" <span style="background-color:#c799bc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C799BC = "#c799bc";

	/**
	 * Constant color "#d098ee" <span style="background-color:#d098ee; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D098EE = "#d098ee";

	/**
	 * Constant color "#eac1df" <span style="background-color:#eac1df; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EAC1DF = "#eac1df";

	/**
	 * Constant color "#b5dffd" <span style="background-color:#b5dffd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B5DFFD = "#b5dffd";

	/**
	 * Constant color "#748560" <span style="background-color:#748560; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_748560 = "#748560";

	/**
	 * Constant color "#6a9e1f" <span style="background-color:#6a9e1f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6A9E1F = "#6a9e1f";

	/**
	 * Constant color "#d5bb21" <span style="background-color:#d5bb21; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D5BB21 = "#d5bb21";

	/**
	 * Constant color "#98d9e4" <span style="background-color:#98d9e4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_98D9E4 = "#98d9e4";

	/**
	 * Constant color "#09622a" <span style="background-color:#09622a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_09622A = "#09622a";

	/**
	 * Constant color "#bd1100" <span style="background-color:#bd1100; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BD1100 = "#bd1100";

	/**
	 * Constant color "#fc7d0b" <span style="background-color:#fc7d0b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FC7D0B = "#fc7d0b";

	/**
	 * Constant color "#8856a7" <span style="background-color:#8856a7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8856A7 = "#8856a7";

	/**
	 * Constant color "#bbc9e5" <span style="background-color:#bbc9e5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BBC9E5 = "#bbc9e5";

	/**
	 * Constant color "#bccfb4" <span style="background-color:#bccfb4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BCCFB4 = "#bccfb4";

	/**
	 * Constant color "#a53010" <span style="background-color:#a53010; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A53010 = "#a53010";

	/**
	 * Constant color "#ca3a42" <span style="background-color:#ca3a42; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CA3A42 = "#ca3a42";

	/**
	 * Constant color "#958b8b" <span style="background-color:#958b8b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_958B8B = "#958b8b";

	/**
	 * Constant color "#b85a0d" <span style="background-color:#b85a0d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B85A0D = "#b85a0d";

	/**
	 * Constant color "#8fb08c" <span style="background-color:#8fb08c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8FB08C = "#8fb08c";

	/**
	 * Constant color "#feb5a2" <span style="background-color:#feb5a2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEB5A2 = "#feb5a2";

	/**
	 * Constant color "#8b5d3d" <span style="background-color:#8b5d3d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8B5D3D = "#8b5d3d";

	/**
	 * Constant color "#d2c2f1" <span style="background-color:#d2c2f1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D2C2F1 = "#d2c2f1";

	/**
	 * Constant color "#ffed6f" <span style="background-color:#ffed6f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFED6F = "#ffed6f";

	/**
	 * Constant color "#b2ad8f" <span style="background-color:#b2ad8f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B2AD8F = "#b2ad8f";

	/**
	 * Constant color "#94b6d2" <span style="background-color:#94b6d2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_94B6D2 = "#94b6d2";

	/**
	 * Constant color "#a5300f" <span style="background-color:#a5300f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A5300F = "#a5300f";

	/**
	 * Constant color "#c32d2e" <span style="background-color:#c32d2e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C32D2E = "#c32d2e";

	/**
	 * Constant color "#0c2c84" <span style="background-color:#0c2c84; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_0C2C84 = "#0c2c84";

	/**
	 * Constant color "#9c8265" <span style="background-color:#9c8265; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9C8265 = "#9c8265";

	/**
	 * Constant color "#897b61" <span style="background-color:#897b61; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_897B61 = "#897b61";

	/**
	 * Constant color "#decbe4" <span style="background-color:#decbe4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DECBE4 = "#decbe4";

	/**
	 * Constant color "#efb251" <span style="background-color:#efb251; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EFB251 = "#efb251";

	/**
	 * Constant color "#2da2bf" <span style="background-color:#2da2bf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2DA2BF = "#2da2bf";

	/**
	 * Constant color "#afd6ed" <span style="background-color:#afd6ed; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AFD6ED = "#afd6ed";

	/**
	 * Constant color "#bd0a36" <span style="background-color:#bd0a36; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BD0A36 = "#bd0a36";

	/**
	 * Constant color "#808da9" <span style="background-color:#808da9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_808DA9 = "#808da9";

	/**
	 * Constant color "#8fd9fb" <span style="background-color:#8fd9fb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8FD9FB = "#8fd9fb";

	/**
	 * Constant color "#ff9d9a" <span style="background-color:#ff9d9a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF9D9A = "#ff9d9a";

	/**
	 * Constant color "#f6ba57" <span style="background-color:#f6ba57; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F6BA57 = "#f6ba57";

	/**
	 * Constant color "#376491" <span style="background-color:#376491; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_376491 = "#376491";

	/**
	 * Constant color "#a3a101" <span style="background-color:#a3a101; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A3A101 = "#a3a101";

	/**
	 * Constant color "#808da0" <span style="background-color:#808da0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_808DA0 = "#808da0";

	/**
	 * Constant color "#ed444a" <span style="background-color:#ed444a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ED444A = "#ed444a";

	/**
	 * Constant color "#a2b627" <span style="background-color:#a2b627; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A2B627 = "#a2b627";

	/**
	 * Constant color "#7a7a7a" <span style="background-color:#7a7a7a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7A7A7A = "#7a7a7a";

	/**
	 * Constant color "#308344" <span style="background-color:#308344; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_308344 = "#308344";

	/**
	 * Constant color "#F5F5F5" <span style="background-color:#F5F5F5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F5F5F5 = "#F5F5F5";

	/**
	 * Constant color "#c54f71" <span style="background-color:#c54f71; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C54F71 = "#c54f71";

	/**
	 * Constant color "#e35745" <span style="background-color:#e35745; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E35745 = "#e35745";

	/**
	 * Constant color "#969fa7" <span style="background-color:#969fa7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_969FA7 = "#969fa7";

	/**
	 * Constant color "#d16349" <span style="background-color:#d16349; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D16349 = "#d16349";

	/**
	 * Constant color "#6cae59" <span style="background-color:#6cae59; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6CAE59 = "#6cae59";

	/**
	 * Constant color "#c21417" <span style="background-color:#c21417; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C21417 = "#c21417";

	/**
	 * Constant color "#fe801a" <span style="background-color:#fe801a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FE801A = "#fe801a";

	/**
	 * Constant color "#d0d1e6" <span style="background-color:#d0d1e6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D0D1E6 = "#d0d1e6";

	/**
	 * Constant color "#1170aa" <span style="background-color:#1170aa; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1170AA = "#1170aa";

	/**
	 * Constant color "#9d936f" <span style="background-color:#9d936f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9D936F = "#9d936f";

	/**
	 * Constant color "#d36f68" <span style="background-color:#d36f68; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D36F68 = "#d36f68";

	/**
	 * Constant color "#8d89a4" <span style="background-color:#8d89a4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8D89A4 = "#8d89a4";

	/**
	 * Constant color "#94a088" <span style="background-color:#94a088; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_94A088 = "#94a088";

	/**
	 * Constant color "#2f6790" <span style="background-color:#2f6790; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2F6790 = "#2f6790";

	/**
	 * Constant color "#94bb83" <span style="background-color:#94bb83; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_94BB83 = "#94bb83";

	/**
	 * Constant color "#d53dd0" <span style="background-color:#d53dd0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D53DD0 = "#d53dd0";

	/**
	 * Constant color "#93a299" <span style="background-color:#93a299; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_93A299 = "#93a299";

	/**
	 * Constant color "#f97817" <span style="background-color:#f97817; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F97817 = "#f97817";

	/**
	 * Constant color "#849db1" <span style="background-color:#849db1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_849DB1 = "#849db1";

	/**
	 * Constant color "#238b45" <span style="background-color:#238b45; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_238B45 = "#238b45";

	/**
	 * Constant color "#755dd9" <span style="background-color:#755dd9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_755DD9 = "#755dd9";

	/**
	 * Constant color "#a6d96a" <span style="background-color:#a6d96a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A6D96A = "#a6d96a";

	/**
	 * Constant color "#824f1c" <span style="background-color:#824f1c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_824F1C = "#824f1c";

	/**
	 * Constant color "#D3D3D3" <span style="background-color:#D3D3D3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D3D3D3 = "#D3D3D3";

	/**
	 * Constant color "#f2882d" <span style="background-color:#f2882d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F2882D = "#f2882d";

	/**
	 * Constant color "#a90c38" <span style="background-color:#a90c38; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A90C38 = "#a90c38";

	/**
	 * Constant color "#b84b23" <span style="background-color:#b84b23; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B84B23 = "#b84b23";

	/**
	 * Constant color "#8c5f86" <span style="background-color:#8c5f86; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8C5F86 = "#8c5f86";

	/**
	 * Constant color "#39737c" <span style="background-color:#39737c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_39737C = "#39737c";

	/**
	 * Constant color "#424e5b" <span style="background-color:#424e5b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_424E5B = "#424e5b";

	/**
	 * Constant color "#efab16" <span style="background-color:#efab16; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EFAB16 = "#efab16";

	/**
	 * Constant color "#4d1434" <span style="background-color:#4d1434; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4D1434 = "#4d1434";

	/**
	 * Constant color "#cf7133" <span style="background-color:#cf7133; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CF7133 = "#cf7133";

	/**
	 * Constant color "#6bb76d" <span style="background-color:#6bb76d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6BB76D = "#6bb76d";

	/**
	 * Constant color "#c6dbef" <span style="background-color:#c6dbef; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C6DBEF = "#c6dbef";

	/**
	 * Constant color "#d2610c" <span style="background-color:#d2610c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D2610C = "#d2610c";

	/**
	 * Constant color "#fcbe75" <span style="background-color:#fcbe75; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FCBE75 = "#fcbe75";

	/**
	 * Constant color "#b258d3" <span style="background-color:#b258d3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B258D3 = "#b258d3";

	/**
	 * Constant color "#860908" <span style="background-color:#860908; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_860908 = "#860908";

	/**
	 * Constant color "#7f5f52" <span style="background-color:#7f5f52; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7F5F52 = "#7f5f52";

	/**
	 * Constant color "#b74d21" <span style="background-color:#b74d21; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B74D21 = "#b74d21";

	/**
	 * Constant color "#fb9984" <span style="background-color:#fb9984; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FB9984 = "#fb9984";

	/**
	 * Constant color "#877f6c" <span style="background-color:#877f6c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_877F6C = "#877f6c";

	/**
	 * Constant color "#eb6615" <span style="background-color:#eb6615; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EB6615 = "#eb6615";

	/**
	 * Constant color "#d04344" <span style="background-color:#d04344; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D04344 = "#d04344";

	/**
	 * Constant color "#526db0" <span style="background-color:#526db0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_526DB0 = "#526db0";

	/**
	 * Constant color "#ef755f" <span style="background-color:#ef755f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EF755F = "#ef755f";

	/**
	 * Constant color "#ca5422" <span style="background-color:#ca5422; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CA5422 = "#ca5422";

	/**
	 * Constant color "#4eb3cf" <span style="background-color:#4eb3cf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4EB3CF = "#4eb3cf";

	/**
	 * Constant color "#be2a3e" <span style="background-color:#be2a3e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BE2A3E = "#be2a3e";

	/**
	 * Constant color "#63891f" <span style="background-color:#63891f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_63891F = "#63891f";

	/**
	 * Constant color "#edc948" <span style="background-color:#edc948; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EDC948 = "#edc948";

	/**
	 * Constant color "#4eb3d3" <span style="background-color:#4eb3d3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4EB3D3 = "#4eb3d3";

	/**
	 * Constant color "#bacc82" <span style="background-color:#bacc82; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BACC82 = "#bacc82";

	/**
	 * Constant color "#ff388c" <span style="background-color:#ff388c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF388C = "#ff388c";

	/**
	 * Constant color "#6f8183" <span style="background-color:#6f8183; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6F8183 = "#6f8183";

	/**
	 * Constant color "#0c5986" <span style="background-color:#0c5986; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_0C5986 = "#0c5986";

	/**
	 * Constant color "#a6987d" <span style="background-color:#a6987d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A6987D = "#a6987d";

	/**
	 * Constant color "#542788" <span style="background-color:#542788; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_542788 = "#542788";

	/**
	 * Constant color "#418ab3" <span style="background-color:#418ab3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_418AB3 = "#418ab3";

	/**
	 * Constant color "#4f5864" <span style="background-color:#4f5864; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4F5864 = "#4f5864";

	/**
	 * Constant color "#5f5a41" <span style="background-color:#5f5a41; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5F5A41 = "#5f5a41";

	/**
	 * Constant color "#ccebc5" <span style="background-color:#ccebc5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CCEBC5 = "#ccebc5";

	/**
	 * Constant color "#e5e5e5" <span style="background-color:#e5e5e5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E5E5E5 = "#e5e5e5";

	/**
	 * Constant color "#ccb400" <span style="background-color:#ccb400; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CCB400 = "#ccb400";

	/**
	 * Constant color "#506e94" <span style="background-color:#506e94; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_506E94 = "#506e94";

	/**
	 * Constant color "#8976ac" <span style="background-color:#8976ac; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8976AC = "#8976ac";

	/**
	 * Constant color "#66bd63" <span style="background-color:#66bd63; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_66BD63 = "#66bd63";

	/**
	 * Constant color "#5c92b5" <span style="background-color:#5c92b5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5C92B5 = "#5c92b5";

	/**
	 * Constant color "#f3a546" <span style="background-color:#f3a546; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F3A546 = "#f3a546";

	/**
	 * Constant color "#657689" <span style="background-color:#657689; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_657689 = "#657689";

	/**
	 * Constant color "#acd98d" <span style="background-color:#acd98d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ACD98D = "#acd98d";

	/**
	 * Constant color "#dfd4d1" <span style="background-color:#dfd4d1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DFD4D1 = "#dfd4d1";

	/**
	 * Constant color "#9cb084" <span style="background-color:#9cb084; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9CB084 = "#9cb084";

	/**
	 * Constant color "#54278f" <span style="background-color:#54278f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_54278F = "#54278f";

	/**
	 * Constant color "#5aa2ae" <span style="background-color:#5aa2ae; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5AA2AE = "#5aa2ae";

	/**
	 * Constant color "#69c5be" <span style="background-color:#69c5be; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_69C5BE = "#69c5be";

	/**
	 * Constant color "#ea157a" <span style="background-color:#ea157a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EA157A = "#ea157a";

	/**
	 * Constant color "#7ec1ca" <span style="background-color:#7ec1ca; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7EC1CA = "#7ec1ca";

	/**
	 * Constant color "#59a253" <span style="background-color:#59a253; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_59A253 = "#59a253";

	/**
	 * Constant color "#76c5ef" <span style="background-color:#76c5ef; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_76C5EF = "#76c5ef";

	/**
	 * Constant color "#e88651" <span style="background-color:#e88651; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E88651 = "#e88651";

	/**
	 * Constant color "#ffda66" <span style="background-color:#ffda66; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFDA66 = "#ffda66";

	/**
	 * Constant color "#4ca198" <span style="background-color:#4ca198; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4CA198 = "#4ca198";

	/**
	 * Constant color "#414451" <span style="background-color:#414451; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_414451 = "#414451";

	/**
	 * Constant color "#ed665d" <span style="background-color:#ed665d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ED665D = "#ed665d";

	/**
	 * Constant color "#97cfd0" <span style="background-color:#97cfd0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_97CFD0 = "#97cfd0";

	/**
	 * Constant color "#c42f1a" <span style="background-color:#c42f1a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C42F1A = "#c42f1a";

	/**
	 * Constant color "#5eccf3" <span style="background-color:#5eccf3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5ECCF3 = "#5eccf3";

	/**
	 * Constant color "#4c5a6a" <span style="background-color:#4c5a6a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4C5A6A = "#4c5a6a";

	/**
	 * Constant color "#f64971" <span style="background-color:#f64971; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F64971 = "#f64971";

	/**
	 * Constant color "#8175aa" <span style="background-color:#8175aa; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8175AA = "#8175aa";

	/**
	 * Constant color "#330f42" <span style="background-color:#330f42; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_330F42 = "#330f42";

	/**
	 * Constant color "#59b0b9" <span style="background-color:#59b0b9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_59B0B9 = "#59b0b9";

	/**
	 * Constant color "#ce8d3e" <span style="background-color:#ce8d3e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CE8D3E = "#ce8d3e";

	/**
	 * Constant color "#9b9256" <span style="background-color:#9b9256; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9B9256 = "#9b9256";

	/**
	 * Constant color "#b07aa1" <span style="background-color:#b07aa1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B07AA1 = "#b07aa1";

	/**
	 * Constant color "#7c984a" <span style="background-color:#7c984a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7C984A = "#7c984a";

	/**
	 * Constant color "#9bc7e4" <span style="background-color:#9bc7e4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9BC7E4 = "#9bc7e4";

	/**
	 * Constant color "#c1ad79" <span style="background-color:#c1ad79; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C1AD79 = "#c1ad79";

	/**
	 * Constant color "#9fdafb" <span style="background-color:#9fdafb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9FDAFB = "#9fdafb";

	/**
	 * Constant color "#d94701" <span style="background-color:#d94701; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D94701 = "#d94701";

	/**
	 * Constant color "#a55a43" <span style="background-color:#a55a43; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A55A43 = "#a55a43";

	/**
	 * Constant color "#51c2a9" <span style="background-color:#51c2a9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_51C2A9 = "#51c2a9";

	/**
	 * Constant color "#8ed07f" <span style="background-color:#8ed07f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8ED07F = "#8ed07f";

	/**
	 * Constant color "#2c5985" <span style="background-color:#2c5985; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2C5985 = "#2c5985";

	/**
	 * Constant color "#559633" <span style="background-color:#559633; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_559633 = "#559633";

	/**
	 * Constant color "#97e9d5" <span style="background-color:#97e9d5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_97E9D5 = "#97e9d5";

	/**
	 * Constant color "#c48fb2" <span style="background-color:#c48fb2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C48FB2 = "#c48fb2";

	/**
	 * Constant color "#fdd0aa" <span style="background-color:#fdd0aa; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDD0AA = "#fdd0aa";

	/**
	 * Constant color "#08519c" <span style="background-color:#08519c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_08519C = "#08519c";

	/**
	 * Constant color "#8e0152" <span style="background-color:#8e0152; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8E0152 = "#8e0152";

	/**
	 * Constant color "#44c1a3" <span style="background-color:#44c1a3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_44C1A3 = "#44c1a3";

	/**
	 * Constant color "#92c0df" <span style="background-color:#92c0df; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_92C0DF = "#92c0df";

	/**
	 * Constant color "#786c71" <span style="background-color:#786c71; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_786C71 = "#786c71";

	/**
	 * Constant color "#69b764" <span style="background-color:#69b764; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_69B764 = "#69b764";

	/**
	 * Constant color "#7a0177" <span style="background-color:#7a0177; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7A0177 = "#7a0177";

	/**
	 * Constant color "#cab2d6" <span style="background-color:#cab2d6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CAB2D6 = "#cab2d6";

	/**
	 * Constant color "#b71d3e" <span style="background-color:#b71d3e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B71D3E = "#b71d3e";

	/**
	 * Constant color "#d9d9d9" <span style="background-color:#d9d9d9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D9D9D9 = "#d9d9d9";

	/**
	 * Constant color "#ef6f6a" <span style="background-color:#ef6f6a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EF6F6A = "#ef6f6a";

	/**
	 * Constant color "#5982db" <span style="background-color:#5982db; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5982DB = "#5982db";

	/**
	 * Constant color "#f781bf" <span style="background-color:#f781bf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F781BF = "#f781bf";

	/**
	 * Constant color "#4e7fac" <span style="background-color:#4e7fac; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4E7FAC = "#4e7fac";

	/**
	 * Constant color "#a5b592" <span style="background-color:#a5b592; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A5B592 = "#a5b592";

	/**
	 * Constant color "#4e7fab" <span style="background-color:#4e7fab; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4E7FAB = "#4e7fab";

	/**
	 * Constant color "#a46645" <span style="background-color:#a46645; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A46645 = "#a46645";

	/**
	 * Constant color "#7c4d79" <span style="background-color:#7c4d79; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7C4D79 = "#7c4d79";

	/**
	 * Constant color "#e26f08" <span style="background-color:#e26f08; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E26F08 = "#e26f08";

	/**
	 * Constant color "#2d004b" <span style="background-color:#2d004b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2D004B = "#2d004b";

	/**
	 * Constant color "#9a66ca" <span style="background-color:#9a66ca; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9A66CA = "#9a66ca";

	/**
	 * Constant color "#f7f7f7" <span style="background-color:#f7f7f7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7F7F7 = "#f7f7f7";

	/**
	 * Constant color "#acdc7a" <span style="background-color:#acdc7a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ACDC7A = "#acdc7a";

	/**
	 * Constant color "#ae017e" <span style="background-color:#ae017e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AE017E = "#ae017e";

	/**
	 * Constant color "#22763f" <span style="background-color:#22763f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_22763F = "#22763f";

	/**
	 * Constant color "#d8b25c" <span style="background-color:#d8b25c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D8B25C = "#d8b25c";

	/**
	 * Constant color "#479751" <span style="background-color:#479751; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_479751 = "#479751";

	/**
	 * Constant color "#7f0000" <span style="background-color:#7f0000; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7F0000 = "#7f0000";

	/**
	 * Constant color "#b5bb83" <span style="background-color:#b5bb83; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B5BB83 = "#b5bb83";

	/**
	 * Constant color "#6eb663" <span style="background-color:#6eb663; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6EB663 = "#6eb663";

	/**
	 * Constant color "#7b3014" <span style="background-color:#7b3014; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7B3014 = "#7b3014";

	/**
	 * Constant color "#ad9d7b" <span style="background-color:#ad9d7b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AD9D7B = "#ad9d7b";

	/**
	 * Constant color "#91b3d7" <span style="background-color:#91b3d7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_91B3D7 = "#91b3d7";

	/**
	 * Constant color "#e5ae6c" <span style="background-color:#e5ae6c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E5AE6C = "#e5ae6c";

	/**
	 * Constant color "#b882a6" <span style="background-color:#b882a6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B882A6 = "#b882a6";

	/**
	 * Constant color "#a8cdd7" <span style="background-color:#a8cdd7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A8CDD7 = "#a8cdd7";

	/**
	 * Constant color "#d9d5c9" <span style="background-color:#d9d5c9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D9D5C9 = "#d9d5c9";

	/**
	 * Constant color "#4a9ccc" <span style="background-color:#4a9ccc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4A9CCC = "#4a9ccc";

	/**
	 * Constant color "#cc9900" <span style="background-color:#cc9900; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CC9900 = "#cc9900";

	/**
	 * Constant color "#5f5654" <span style="background-color:#5f5654; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5F5654 = "#5f5654";

	/**
	 * Constant color "#a666e1" <span style="background-color:#a666e1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A666E1 = "#a666e1";

	/**
	 * Constant color "#f5d9c2" <span style="background-color:#f5d9c2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F5D9C2 = "#f5d9c2";

	/**
	 * Constant color "#faa700" <span style="background-color:#faa700; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FAA700 = "#faa700";

	/**
	 * Constant color "#7f9a71" <span style="background-color:#7f9a71; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7F9A71 = "#7f9a71";

	/**
	 * Constant color "#d0e0f6" <span style="background-color:#d0e0f6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D0E0F6 = "#d0e0f6";

	/**
	 * Constant color "#662506" <span style="background-color:#662506; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_662506 = "#662506";

	/**
	 * Constant color "#748cbc" <span style="background-color:#748cbc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_748CBC = "#748cbc";

	/**
	 * Constant color "#5dceaf" <span style="background-color:#5dceaf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5DCEAF = "#5dceaf";

	/**
	 * Constant color "#17becf" <span style="background-color:#17becf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_17BECF = "#17becf";

	/**
	 * Constant color "#72a3c9" <span style="background-color:#72a3c9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_72A3C9 = "#72a3c9";

	/**
	 * Constant color "#feb24c" <span style="background-color:#feb24c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEB24C = "#feb24c";

	/**
	 * Constant color "#4ea5d1" <span style="background-color:#4ea5d1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4EA5D1 = "#4ea5d1";

	/**
	 * Constant color "#a5a5a5" <span style="background-color:#a5a5a5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A5A5A5 = "#a5a5a5";

	/**
	 * Constant color "#598ab5" <span style="background-color:#598ab5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_598AB5 = "#598ab5";

	/**
	 * Constant color "#b9a489" <span style="background-color:#b9a489; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B9A489 = "#b9a489";

	/**
	 * Constant color "#bad6ad" <span style="background-color:#bad6ad; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BAD6AD = "#bad6ad";

	/**
	 * Constant color "#bf7b1b" <span style="background-color:#bf7b1b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BF7B1B = "#bf7b1b";

	/**
	 * Constant color "#b3e2cd" <span style="background-color:#b3e2cd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B3E2CD = "#b3e2cd";

	/**
	 * Constant color "#1c713b" <span style="background-color:#1c713b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1C713B = "#1c713b";

	/**
	 * Constant color "#33608c" <span style="background-color:#33608c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_33608C = "#33608c";

	/**
	 * Constant color "#fef0d9" <span style="background-color:#fef0d9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEF0D9 = "#fef0d9";

	/**
	 * Constant color "#294171" <span style="background-color:#294171; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_294171 = "#294171";

	/**
	 * Constant color "#FFFFFF" <span style="background-color:#FFFFFF; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFFFFF = "#FFFFFF";

	/**
	 * Constant color "#99000d" <span style="background-color:#99000d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_99000D = "#99000d";

	/**
	 * Constant color "#ffbc79" <span style="background-color:#ffbc79; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFBC79 = "#ffbc79";

	/**
	 * Constant color "#c189b0" <span style="background-color:#c189b0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C189B0 = "#c189b0";

	/**
	 * Constant color "#a27099" <span style="background-color:#a27099; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A27099 = "#a27099";

	/**
	 * Constant color "#fdb462" <span style="background-color:#fdb462; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDB462 = "#fdb462";

	/**
	 * Constant color "#6f6c7d" <span style="background-color:#6f6c7d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6F6C7D = "#6f6c7d";

	/**
	 * Constant color "#998ec3" <span style="background-color:#998ec3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_998EC3 = "#998ec3";

	/**
	 * Constant color "#aa759d" <span style="background-color:#aa759d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AA759D = "#aa759d";

	/**
	 * Constant color "#e32d91" <span style="background-color:#e32d91; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E32D91 = "#e32d91";

	/**
	 * Constant color "#640f10" <span style="background-color:#640f10; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_640F10 = "#640f10";

	/**
	 * Constant color "#ddc9b4" <span style="background-color:#ddc9b4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DDC9B4 = "#ddc9b4";

	/**
	 * Constant color "#d45b21" <span style="background-color:#d45b21; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D45B21 = "#d45b21";

	/**
	 * Constant color "#cdcc5d" <span style="background-color:#cdcc5d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CDCC5D = "#cdcc5d";

	/**
	 * Constant color "#e8effa" <span style="background-color:#e8effa; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E8EFFA = "#e8effa";

	/**
	 * Constant color "#a39fc9" <span style="background-color:#a39fc9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A39FC9 = "#a39fc9";

	/**
	 * Constant color "#8dbfa8" <span style="background-color:#8dbfa8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8DBFA8 = "#8dbfa8";

	/**
	 * Constant color "#e9dabe" <span style="background-color:#e9dabe; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E9DABE = "#e9dabe";

	/**
	 * Constant color "#81bb42" <span style="background-color:#81bb42; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_81BB42 = "#81bb42";

	/**
	 * Constant color "#cfcfcf" <span style="background-color:#cfcfcf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CFCFCF = "#cfcfcf";

	/**
	 * Constant color "#02818a" <span style="background-color:#02818a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_02818A = "#02818a";

	/**
	 * Constant color "#990000" <span style="background-color:#990000; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_990000 = "#990000";

	/**
	 * Constant color "#7e13e3" <span style="background-color:#7e13e3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7E13E3 = "#7e13e3";

	/**
	 * Constant color "#5aa6c0" <span style="background-color:#5aa6c0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5AA6C0 = "#5aa6c0";

	/**
	 * Constant color "#504539" <span style="background-color:#504539; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_504539 = "#504539";

	/**
	 * Constant color "#7c7270" <span style="background-color:#7c7270; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7C7270 = "#7c7270";

	/**
	 * Constant color "#fff2ae" <span style="background-color:#fff2ae; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFF2AE = "#fff2ae";

	/**
	 * Constant color "#dfc27d" <span style="background-color:#dfc27d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DFC27D = "#dfc27d";

	/**
	 * Constant color "#8c96c6" <span style="background-color:#8c96c6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8C96C6 = "#8c96c6";

	/**
	 * Constant color "#f7ae54" <span style="background-color:#f7ae54; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7AE54 = "#f7ae54";

	/**
	 * Constant color "#ffad1c" <span style="background-color:#ffad1c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFAD1C = "#ffad1c";

	/**
	 * Constant color "#b6df5e" <span style="background-color:#b6df5e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B6DF5E = "#b6df5e";

	/**
	 * Constant color "#34844a" <span style="background-color:#34844a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_34844A = "#34844a";

	/**
	 * Constant color "#b34d34" <span style="background-color:#b34d34; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B34D34 = "#b34d34";

	/**
	 * Constant color "#c5bfbe" <span style="background-color:#c5bfbe; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C5BFBE = "#c5bfbe";

	/**
	 * Constant color "#9999ff" <span style="background-color:#9999ff; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9999FF = "#9999ff";

	/**
	 * Constant color "#838d9b" <span style="background-color:#838d9b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_838D9B = "#838d9b";

	/**
	 * Constant color "#91bfdb" <span style="background-color:#91bfdb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_91BFDB = "#91bfdb";

	/**
	 * Constant color "#0066cc" <span style="background-color:#0066cc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_0066CC = "#0066cc";

	/**
	 * Constant color "#a7ea52" <span style="background-color:#a7ea52; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A7EA52 = "#a7ea52";

	/**
	 * Constant color "#8da0cb" <span style="background-color:#8da0cb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8DA0CB = "#8da0cb";

	/**
	 * Constant color "#de77ae" <span style="background-color:#de77ae; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DE77AE = "#de77ae";

	/**
	 * Constant color "#bfbfbf" <span style="background-color:#bfbfbf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BFBFBF = "#bfbfbf";

	/**
	 * Constant color "#586ea6" <span style="background-color:#586ea6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_586EA6 = "#586ea6";

	/**
	 * Constant color "#90ba4c" <span style="background-color:#90ba4c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_90BA4C = "#90ba4c";

	/**
	 * Constant color "#94c600" <span style="background-color:#94c600; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_94C600 = "#94c600";

	/**
	 * Constant color "#92278f" <span style="background-color:#92278f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_92278F = "#92278f";

	/**
	 * Constant color "#dd6b0d" <span style="background-color:#dd6b0d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DD6B0D = "#dd6b0d";

	/**
	 * Constant color "#7a500a" <span style="background-color:#7a500a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7A500A = "#7a500a";

	/**
	 * Constant color "#35aca2" <span style="background-color:#35aca2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_35ACA2 = "#35aca2";

	/**
	 * Constant color "#aeb795" <span style="background-color:#aeb795; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AEB795 = "#aeb795";

	/**
	 * Constant color "#86b4a9" <span style="background-color:#86b4a9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_86B4A9 = "#86b4a9";

	/**
	 * Constant color "#8d6974" <span style="background-color:#8d6974; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8D6974 = "#8d6974";

	/**
	 * Constant color "#7e97ad" <span style="background-color:#7e97ad; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7E97AD = "#7e97ad";

	/**
	 * Constant color "#84aa33" <span style="background-color:#84aa33; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_84AA33 = "#84aa33";

	/**
	 * Constant color "#f8b323" <span style="background-color:#f8b323; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F8B323 = "#f8b323";

	/**
	 * Constant color "#93b958" <span style="background-color:#93b958; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_93B958 = "#93b958";

	/**
	 * Constant color "#839c41" <span style="background-color:#839c41; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_839C41 = "#839c41";

	/**
	 * Constant color "#87d180" <span style="background-color:#87d180; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_87D180 = "#87d180";

	/**
	 * Constant color "#f0751e" <span style="background-color:#f0751e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F0751E = "#f0751e";

	/**
	 * Constant color "#14967c" <span style="background-color:#14967c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_14967C = "#14967c";

	/**
	 * Constant color "#abdda4" <span style="background-color:#abdda4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ABDDA4 = "#abdda4";

	/**
	 * Constant color "#ffb400" <span style="background-color:#ffb400; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFB400 = "#ffb400";

	/**
	 * Constant color "#d19049" <span style="background-color:#d19049; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D19049 = "#d19049";

	/**
	 * Constant color "#ff7f0e" <span style="background-color:#ff7f0e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF7F0E = "#ff7f0e";

	/**
	 * Constant color "#ff7f0f" <span style="background-color:#ff7f0f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF7F0F = "#ff7f0f";

	/**
	 * Constant color "#66a61e" <span style="background-color:#66a61e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_66A61E = "#66a61e";

	/**
	 * Constant color "#f24099" <span style="background-color:#f24099; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F24099 = "#f24099";

	/**
	 * Constant color "#58b6c0" <span style="background-color:#58b6c0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_58B6C0 = "#58b6c0";

	/**
	 * Constant color "#bab0ac" <span style="background-color:#bab0ac; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BAB0AC = "#bab0ac";

	/**
	 * Constant color "#8971e1" <span style="background-color:#8971e1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8971E1 = "#8971e1";

	/**
	 * Constant color "#8ec0c1" <span style="background-color:#8ec0c1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8EC0C1 = "#8ec0c1";

	/**
	 * Constant color "#ccff33" <span style="background-color:#ccff33; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CCFF33 = "#ccff33";

	/**
	 * Constant color "#f2f0f7" <span style="background-color:#f2f0f7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F2F0F7 = "#f2f0f7";

	/**
	 * Constant color "#d8daeb" <span style="background-color:#d8daeb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D8DAEB = "#d8daeb";

	/**
	 * Constant color "#6feba0" <span style="background-color:#6feba0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6FEBA0 = "#6feba0";

	/**
	 * Constant color "#9fcd99" <span style="background-color:#9fcd99; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9FCD99 = "#9fcd99";

	/**
	 * Constant color "#e07602" <span style="background-color:#e07602; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E07602 = "#e07602";

	/**
	 * Constant color "#732e9a" <span style="background-color:#732e9a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_732E9A = "#732e9a";

	/**
	 * Constant color "#9e8e5c" <span style="background-color:#9e8e5c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9E8E5C = "#9e8e5c";

	/**
	 * Constant color "#21b087" <span style="background-color:#21b087; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_21B087 = "#21b087";

	/**
	 * Constant color "#54a021" <span style="background-color:#54a021; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_54A021 = "#54a021";

	/**
	 * Constant color "#867099" <span style="background-color:#867099; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_867099 = "#867099";

	/**
	 * Constant color "#bd6036" <span style="background-color:#bd6036; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BD6036 = "#bd6036";

	/**
	 * Constant color "#a2b170" <span style="background-color:#a2b170; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A2B170 = "#a2b170";

	/**
	 * Constant color "#d64c45" <span style="background-color:#d64c45; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D64C45 = "#d64c45";

	/**
	 * Constant color "#6f777d" <span style="background-color:#6f777d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6F777D = "#6f777d";

	/**
	 * Constant color "#b7afab" <span style="background-color:#b7afab; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B7AFAB = "#b7afab";

	/**
	 * Constant color "#4dac26" <span style="background-color:#4dac26; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4DAC26 = "#4dac26";

	/**
	 * Constant color "#abd9e9" <span style="background-color:#abd9e9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ABD9E9 = "#abd9e9";

	/**
	 * Constant color "#005bd3" <span style="background-color:#005bd3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_005BD3 = "#005bd3";

	/**
	 * Constant color "#d09a08" <span style="background-color:#d09a08; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D09A08 = "#d09a08";

	/**
	 * Constant color "#6ba3d6" <span style="background-color:#6ba3d6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6BA3D6 = "#6ba3d6";

	/**
	 * Constant color "#c62324" <span style="background-color:#c62324; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C62324 = "#c62324";

	/**
	 * Constant color "#fbec85" <span style="background-color:#fbec85; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FBEC85 = "#fbec85";

	/**
	 * Constant color "#b9ca1a" <span style="background-color:#b9ca1a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B9CA1A = "#b9ca1a";

	/**
	 * Constant color "#5aa355" <span style="background-color:#5aa355; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5AA355 = "#5aa355";

	/**
	 * Constant color "#e5c494" <span style="background-color:#e5c494; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E5C494 = "#e5c494";

	/**
	 * Constant color "#72bac6" <span style="background-color:#72bac6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_72BAC6 = "#72bac6";

	/**
	 * Constant color "#cf9dbe" <span style="background-color:#cf9dbe; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CF9DBE = "#cf9dbe";

	/**
	 * Constant color "#8784c7" <span style="background-color:#8784c7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8784C7 = "#8784c7";

	/**
	 * Constant color "#7d8f8c" <span style="background-color:#7d8f8c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7D8F8C = "#7d8f8c";

	/**
	 * Constant color "#66c2a5" <span style="background-color:#66c2a5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_66C2A5 = "#66c2a5";

	/**
	 * Constant color "#61625e" <span style="background-color:#61625e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_61625E = "#61625e";

	/**
	 * Constant color "#c3bc3f" <span style="background-color:#c3bc3f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C3BC3F = "#c3bc3f";

	/**
	 * Constant color "#8b9598" <span style="background-color:#8b9598; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8B9598 = "#8b9598";

	/**
	 * Constant color "#fdb863" <span style="background-color:#fdb863; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDB863 = "#fdb863";

	/**
	 * Constant color "#66c2a4" <span style="background-color:#66c2a4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_66C2A4 = "#66c2a4";

	/**
	 * Constant color "#feedde" <span style="background-color:#feedde; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEEDDE = "#feedde";

	/**
	 * Constant color "#86bcb6" <span style="background-color:#86bcb6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_86BCB6 = "#86bcb6";

	/**
	 * Constant color "#f1b015" <span style="background-color:#f1b015; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F1B015 = "#f1b015";

	/**
	 * Constant color "#f28026" <span style="background-color:#f28026; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F28026 = "#f28026";

	/**
	 * Constant color "#75b65d" <span style="background-color:#75b65d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_75B65D = "#75b65d";

	/**
	 * Constant color "#2d7d45" <span style="background-color:#2d7d45; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2D7D45 = "#2d7d45";

	/**
	 * Constant color "#c9784d" <span style="background-color:#c9784d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C9784D = "#c9784d";

	/**
	 * Constant color "#282828" <span style="background-color:#282828; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_282828 = "#282828";

	/**
	 * Constant color "#a1d99b" <span style="background-color:#a1d99b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A1D99B = "#a1d99b";

	/**
	 * Constant color "#6a51a3" <span style="background-color:#6a51a3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6A51A3 = "#6a51a3";

	/**
	 * Constant color "#5d739a" <span style="background-color:#5d739a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5D739A = "#5d739a";

	/**
	 * Constant color "#767f8b" <span style="background-color:#767f8b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_767F8B = "#767f8b";

	/**
	 * Constant color "#d35940" <span style="background-color:#d35940; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D35940 = "#d35940";

	/**
	 * Constant color "#9933ff" <span style="background-color:#9933ff; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9933FF = "#9933ff";

	/**
	 * Constant color "#bfbfa5" <span style="background-color:#bfbfa5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BFBFA5 = "#bfbfa5";

	/**
	 * Constant color "#f1faed" <span style="background-color:#f1faed; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F1FAED = "#f1faed";

	/**
	 * Constant color "#738ac8" <span style="background-color:#738ac8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_738AC8 = "#738ac8";

	/**
	 * Constant color "#6fb899" <span style="background-color:#6fb899; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6FB899 = "#6fb899";

	/**
	 * Constant color "#fdd0a2" <span style="background-color:#fdd0a2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDD0A2 = "#fdd0a2";

	/**
	 * Constant color "#9768a5" <span style="background-color:#9768a5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9768A5 = "#9768a5";

	/**
	 * Constant color "#a5db96" <span style="background-color:#a5db96; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A5DB96 = "#a5db96";

	/**
	 * Constant color "#7ec251" <span style="background-color:#7ec251; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7EC251 = "#7ec251";

	/**
	 * Constant color "#a5cfe9" <span style="background-color:#a5cfe9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A5CFE9 = "#a5cfe9";

	/**
	 * Constant color "#b4d4da" <span style="background-color:#b4d4da; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B4D4DA = "#b4d4da";

	/**
	 * Constant color "#4083cf" <span style="background-color:#4083cf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4083CF = "#4083cf";

	/**
	 * Constant color "#2ca030" <span style="background-color:#2ca030; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2CA030 = "#2ca030";

	/**
	 * Constant color "#c994c7" <span style="background-color:#c994c7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C994C7 = "#c994c7";

	/**
	 * Constant color "#64a73b" <span style="background-color:#64a73b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_64A73B = "#64a73b";

	/**
	 * Constant color "#bb5137" <span style="background-color:#bb5137; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BB5137 = "#bb5137";

	/**
	 * Constant color "#835b82" <span style="background-color:#835b82; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_835B82 = "#835b82";

	/**
	 * Constant color "#f8c7c9" <span style="background-color:#f8c7c9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F8C7C9 = "#f8c7c9";

	/**
	 * Constant color "#dd3497" <span style="background-color:#dd3497; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DD3497 = "#dd3497";

	/**
	 * Constant color "#667559" <span style="background-color:#667559; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_667559 = "#667559";

	/**
	 * Constant color "#7a6a60" <span style="background-color:#7a6a60; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7A6A60 = "#7a6a60";

	/**
	 * Constant color "#309143" <span style="background-color:#309143; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_309143 = "#309143";

	/**
	 * Constant color "#cf543f" <span style="background-color:#cf543f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CF543F = "#cf543f";

	/**
	 * Constant color "#2ca02c" <span style="background-color:#2ca02c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2CA02C = "#2ca02c";

	/**
	 * Constant color "#a63d32" <span style="background-color:#a63d32; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A63D32 = "#a63d32";

	/**
	 * Constant color "#99d594" <span style="background-color:#99d594; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_99D594 = "#99d594";

	/**
	 * Constant color "#b9d7b7" <span style="background-color:#b9d7b7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B9D7B7 = "#b9d7b7";

	/**
	 * Constant color "#477bd1" <span style="background-color:#477bd1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_477BD1 = "#477bd1";

	/**
	 * Constant color "#bb8640" <span style="background-color:#bb8640; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BB8640 = "#bb8640";

	/**
	 * Constant color "#fc8375" <span style="background-color:#fc8375; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FC8375 = "#fc8375";

	/**
	 * Constant color "#f4cae4" <span style="background-color:#f4cae4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F4CAE4 = "#f4cae4";

	/**
	 * Constant color "#d5a4c4" <span style="background-color:#d5a4c4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D5A4C4 = "#d5a4c4";

	/**
	 * Constant color "#d4b9da" <span style="background-color:#d4b9da; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D4B9DA = "#d4b9da";

	/**
	 * Constant color "#666699" <span style="background-color:#666699; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_666699 = "#666699";

	/**
	 * Constant color "#386cb0" <span style="background-color:#386cb0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_386CB0 = "#386cb0";

	/**
	 * Constant color "#d4a6c8" <span style="background-color:#d4a6c8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D4A6C8 = "#d4a6c8";

	/**
	 * Constant color "#3f007d" <span style="background-color:#3f007d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3F007D = "#3f007d";

	/**
	 * Constant color "#1b587c" <span style="background-color:#1b587c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1B587C = "#1b587c";

	/**
	 * Constant color "#eec9e5" <span style="background-color:#eec9e5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EEC9E5 = "#eec9e5";

	/**
	 * Constant color "#71b2bc" <span style="background-color:#71b2bc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_71B2BC = "#71b2bc";

	/**
	 * Constant color "#45a5ed" <span style="background-color:#45a5ed; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_45A5ED = "#45a5ed";

	/**
	 * Constant color "#77acd3" <span style="background-color:#77acd3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_77ACD3 = "#77acd3";

	/**
	 * Constant color "#9c0824" <span style="background-color:#9c0824; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9C0824 = "#9c0824";

	/**
	 * Constant color "#297fd5" <span style="background-color:#297fd5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_297FD5 = "#297fd5";

	/**
	 * Constant color "#b6992d" <span style="background-color:#b6992d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B6992D = "#b6992d";

	/**
	 * Constant color "#e29d3e" <span style="background-color:#e29d3e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E29D3E = "#e29d3e";

	/**
	 * Constant color "#57a337" <span style="background-color:#57a337; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_57A337 = "#57a337";

	/**
	 * Constant color "#ece2f0" <span style="background-color:#ece2f0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ECE2F0 = "#ece2f0";

	/**
	 * Constant color "#e9943a" <span style="background-color:#e9943a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E9943A = "#e9943a";

	/**
	 * Constant color "#de7e18" <span style="background-color:#de7e18; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DE7E18 = "#de7e18";

	/**
	 * Constant color "#1a1a1a" <span style="background-color:#1a1a1a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1A1A1A = "#1a1a1a";

	/**
	 * Constant color "#cfc60d" <span style="background-color:#cfc60d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CFC60D = "#cfc60d";

	/**
	 * Constant color "#94147c" <span style="background-color:#94147c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_94147C = "#94147c";

	/**
	 * Constant color "#f57667" <span style="background-color:#f57667; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F57667 = "#f57667";

	/**
	 * Constant color "#74af72" <span style="background-color:#74af72; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_74AF72 = "#74af72";

	/**
	 * Constant color "#898989" <span style="background-color:#898989; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_898989 = "#898989";

	/**
	 * Constant color "#e7bf5f" <span style="background-color:#e7bf5f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E7BF5F = "#e7bf5f";

	/**
	 * Constant color "#beaed4" <span style="background-color:#beaed4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BEAED4 = "#beaed4";

	/**
	 * Constant color "#9c5252" <span style="background-color:#9c5252; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9C5252 = "#9c5252";

	/**
	 * Constant color "#903163" <span style="background-color:#903163; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_903163 = "#903163";

	/**
	 * Constant color "#964d2c" <span style="background-color:#964d2c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_964D2C = "#964d2c";

	/**
	 * Constant color "#ceb966" <span style="background-color:#ceb966; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CEB966 = "#ceb966";

	/**
	 * Constant color "#fa8716" <span style="background-color:#fa8716; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FA8716 = "#fa8716";

	/**
	 * Constant color "#24693d" <span style="background-color:#24693d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_24693D = "#24693d";

	/**
	 * Constant color "#ab6ad5" <span style="background-color:#ab6ad5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AB6AD5 = "#ab6ad5";

	/**
	 * Constant color "#99d8c9" <span style="background-color:#99d8c9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_99D8C9 = "#99d8c9";

	/**
	 * Constant color "#c830cc" <span style="background-color:#c830cc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C830CC = "#c830cc";

	/**
	 * Constant color "#84acb6" <span style="background-color:#84acb6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_84ACB6 = "#84acb6";

	/**
	 * Constant color "#e6b91e" <span style="background-color:#e6b91e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E6B91E = "#e6b91e";

	/**
	 * Constant color "#c70f0c" <span style="background-color:#c70f0c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C70F0C = "#c70f0c";

	/**
	 * Constant color "#e0e3e8" <span style="background-color:#e0e3e8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E0E3E8 = "#e0e3e8";

	/**
	 * Constant color "#e03b42" <span style="background-color:#e03b42; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E03B42 = "#e03b42";

	/**
	 * Constant color "#8f8782" <span style="background-color:#8f8782; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8F8782 = "#8f8782";

	/**
	 * Constant color "#9e9273" <span style="background-color:#9e9273; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9E9273 = "#9e9273";

	/**
	 * Constant color "#b2c25b" <span style="background-color:#b2c25b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B2C25B = "#b2c25b";

	/**
	 * Constant color "#fcb4a5" <span style="background-color:#fcb4a5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FCB4A5 = "#fcb4a5";

	/**
	 * Constant color "#2b7c40" <span style="background-color:#2b7c40; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2B7C40 = "#2b7c40";

	/**
	 * Constant color "#bb7359" <span style="background-color:#bb7359; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BB7359 = "#bb7359";

	/**
	 * Constant color "#666666" <span style="background-color:#666666; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_666666 = "#666666";

	/**
	 * Constant color "#918655" <span style="background-color:#918655; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_918655 = "#918655";

	/**
	 * Constant color "#95cecf" <span style="background-color:#95cecf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_95CECF = "#95cecf";

	/**
	 * Constant color "#dbe8b4" <span style="background-color:#dbe8b4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DBE8B4 = "#dbe8b4";

	/**
	 * Constant color "#dcd084" <span style="background-color:#dcd084; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DCD084 = "#dcd084";

	/**
	 * Constant color "#cb181d" <span style="background-color:#cb181d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CB181D = "#cb181d";

	/**
	 * Constant color "#bf5e00" <span style="background-color:#bf5e00; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BF5E00 = "#bf5e00";

	/**
	 * Constant color "#a3bd5a" <span style="background-color:#a3bd5a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A3BD5A = "#a3bd5a";

	/**
	 * Constant color "#fee5d9" <span style="background-color:#fee5d9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEE5D9 = "#fee5d9";

	/**
	 * Constant color "#865640" <span style="background-color:#865640; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_865640 = "#865640";

	/**
	 * Constant color "#006837" <span style="background-color:#006837; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_006837 = "#006837";

	/**
	 * Constant color "#f8c000" <span style="background-color:#f8c000; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F8C000 = "#f8c000";

	/**
	 * Constant color "#5ec795" <span style="background-color:#5ec795; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5EC795 = "#5ec795";

	/**
	 * Constant color "#ff684c" <span style="background-color:#ff684c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF684C = "#ff684c";

	/**
	 * Constant color "#dddddd" <span style="background-color:#dddddd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DDDDDD = "#dddddd";

	/**
	 * Constant color "#e0773c" <span style="background-color:#e0773c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E0773C = "#e0773c";

	/**
	 * Constant color "#98df8a" <span style="background-color:#98df8a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_98DF8A = "#98df8a";

	/**
	 * Constant color "#5039c6" <span style="background-color:#5039c6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5039C6 = "#5039c6";

	/**
	 * Constant color "#ff7f00" <span style="background-color:#ff7f00; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF7F00 = "#ff7f00";

	/**
	 * Constant color "#ff7f01" <span style="background-color:#ff7f01; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF7F01 = "#ff7f01";

	/**
	 * Constant color "#c00000" <span style="background-color:#c00000; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C00000 = "#c00000";

	/**
	 * Constant color "#27763d" <span style="background-color:#27763d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_27763D = "#27763d";

	/**
	 * Constant color "#b560d4" <span style="background-color:#b560d4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B560D4 = "#b560d4";

	/**
	 * Constant color "#827752" <span style="background-color:#827752; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_827752 = "#827752";

	/**
	 * Constant color "#fd9c8f" <span style="background-color:#fd9c8f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FD9C8F = "#fd9c8f";

	/**
	 * Constant color "#ec5049" <span style="background-color:#ec5049; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EC5049 = "#ec5049";

	/**
	 * Constant color "#539e52" <span style="background-color:#539e52; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_539E52 = "#539e52";

	/**
	 * Constant color "#fc9272" <span style="background-color:#fc9272; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FC9272 = "#fc9272";

	/**
	 * Constant color "#91cf60" <span style="background-color:#91cf60; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_91CF60 = "#91cf60";

	/**
	 * Constant color "#f89217" <span style="background-color:#f89217; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F89217 = "#f89217";

	/**
	 * Constant color "#d3293d" <span style="background-color:#d3293d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D3293D = "#d3293d";

	/**
	 * Constant color "#46b2b5" <span style="background-color:#46b2b5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_46B2B5 = "#46b2b5";

	/**
	 * Constant color "#6ea0b0" <span style="background-color:#6ea0b0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6EA0B0 = "#6ea0b0";

	/**
	 * Constant color "#f6a21d" <span style="background-color:#f6a21d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F6A21D = "#f6a21d";

	/**
	 * Constant color "#01665e" <span style="background-color:#01665e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_01665E = "#01665e";

	/**
	 * Constant color "#e9a3c9" <span style="background-color:#e9a3c9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E9A3C9 = "#e9a3c9";

	/**
	 * Constant color "#fdcdac" <span style="background-color:#fdcdac; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDCDAC = "#fdcdac";

	/**
	 * Constant color "#b0a7a4" <span style="background-color:#b0a7a4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B0A7A4 = "#b0a7a4";

	/**
	 * Constant color "#e74545" <span style="background-color:#e74545; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E74545 = "#e74545";

	/**
	 * Constant color "#75bc69" <span style="background-color:#75bc69; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_75BC69 = "#75bc69";

	/**
	 * Constant color "#71685a" <span style="background-color:#71685a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_71685A = "#71685a";

	/**
	 * Constant color "#afa14b" <span style="background-color:#afa14b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AFA14B = "#afa14b";

	/**
	 * Constant color "#71685c" <span style="background-color:#71685c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_71685C = "#71685c";

	/**
	 * Constant color "#b30000" <span style="background-color:#b30000; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B30000 = "#b30000";

	/**
	 * Constant color "#41ae76" <span style="background-color:#41ae76; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_41AE76 = "#41ae76";

	/**
	 * Constant color "#80cdc1" <span style="background-color:#80cdc1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_80CDC1 = "#80cdc1";

	/**
	 * Constant color "#eac0bd" <span style="background-color:#eac0bd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EAC0BD = "#eac0bd";

	/**
	 * Constant color "#d17df9" <span style="background-color:#d17df9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D17DF9 = "#d17df9";

	/**
	 * Constant color "#8ac4a7" <span style="background-color:#8ac4a7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8AC4A7 = "#8ac4a7";

	/**
	 * Constant color "#eb8f00" <span style="background-color:#eb8f00; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EB8F00 = "#eb8f00";

	/**
	 * Constant color "#e3cd62" <span style="background-color:#e3cd62; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E3CD62 = "#e3cd62";

	/**
	 * Constant color "#989aac" <span style="background-color:#989aac; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_989AAC = "#989aac";

	/**
	 * Constant color "#736c5d" <span style="background-color:#736c5d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_736C5D = "#736c5d";

	/**
	 * Constant color "#629dd1" <span style="background-color:#629dd1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_629DD1 = "#629dd1";

	/**
	 * Constant color "#555f6a" <span style="background-color:#555f6a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_555F6A = "#555f6a";

	/**
	 * Constant color "#fecc5c" <span style="background-color:#fecc5c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FECC5C = "#fecc5c";

	/**
	 * Constant color "#e78d35" <span style="background-color:#e78d35; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E78D35 = "#e78d35";

	/**
	 * Constant color "#e1dc53" <span style="background-color:#e1dc53; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E1DC53 = "#e1dc53";

	/**
	 * Constant color "#93e50d" <span style="background-color:#93e50d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_93E50D = "#93e50d";

	/**
	 * Constant color "#cc8e60" <span style="background-color:#cc8e60; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CC8E60 = "#cc8e60";

	/**
	 * Constant color "#ffbed1" <span style="background-color:#ffbed1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFBED1 = "#ffbed1";

	/**
	 * Constant color "#f46d43" <span style="background-color:#f46d43; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F46D43 = "#f46d43";

	/**
	 * Constant color "#9b57d3" <span style="background-color:#9b57d3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9B57D3 = "#9b57d3";

	/**
	 * Constant color "#cdb756" <span style="background-color:#cdb756; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CDB756 = "#cdb756";

	/**
	 * Constant color "#f3a447" <span style="background-color:#f3a447; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F3A447 = "#f3a447";

	/**
	 * Constant color "#3494ba" <span style="background-color:#3494ba; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3494BA = "#3494ba";

	/**
	 * Constant color "#fda023" <span style="background-color:#fda023; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDA023 = "#fda023";

	/**
	 * Constant color "#dff3b2" <span style="background-color:#dff3b2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DFF3B2 = "#dff3b2";

	/**
	 * Constant color "#12a2a8" <span style="background-color:#12a2a8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_12A2A8 = "#12a2a8";

	/**
	 * Constant color "#dc4930" <span style="background-color:#dc4930; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DC4930 = "#dc4930";

	/**
	 * Constant color "#807dba" <span style="background-color:#807dba; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_807DBA = "#807dba";

	/**
	 * Constant color "#7598d9" <span style="background-color:#7598d9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7598D9 = "#7598d9";

	/**
	 * Constant color "#e66101" <span style="background-color:#e66101; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E66101 = "#e66101";

	/**
	 * Constant color "#f7901e" <span style="background-color:#f7901e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7901E = "#f7901e";

	/**
	 * Constant color "#eb5605" <span style="background-color:#eb5605; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EB5605 = "#eb5605";

	/**
	 * Constant color "#665eb8" <span style="background-color:#665eb8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_665EB8 = "#665eb8";

	/**
	 * Constant color "#f81b02" <span style="background-color:#f81b02; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F81B02 = "#f81b02";

	/**
	 * Constant color "#3b95c4" <span style="background-color:#3b95c4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3B95C4 = "#3b95c4";

	/**
	 * Constant color "#fac810" <span style="background-color:#fac810; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FAC810 = "#fac810";

	/**
	 * Constant color "#fd7e6b" <span style="background-color:#fd7e6b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FD7E6B = "#fd7e6b";

	/**
	 * Constant color "#7a8c8e" <span style="background-color:#7a8c8e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7A8C8E = "#7a8c8e";

	/**
	 * Constant color "#7d3c4a" <span style="background-color:#7d3c4a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7D3C4A = "#7d3c4a";

	/**
	 * Constant color "#575757" <span style="background-color:#575757; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_575757 = "#575757";

	/**
	 * Constant color "#737373" <span style="background-color:#737373; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_737373 = "#737373";

	/**
	 * Constant color "#ed7846" <span style="background-color:#ed7846; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ED7846 = "#ed7846";

	/**
	 * Constant color "#423e5c" <span style="background-color:#423e5c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_423E5C = "#423e5c";

	/**
	 * Constant color "#fa8f79" <span style="background-color:#fa8f79; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FA8F79 = "#fa8f79";

	/**
	 * Constant color "#972109" <span style="background-color:#972109; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_972109 = "#972109";

	/**
	 * Constant color "#ba43b4" <span style="background-color:#ba43b4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BA43B4 = "#ba43b4";

	/**
	 * Constant color "#e5f5f9" <span style="background-color:#e5f5f9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E5F5F9 = "#e5f5f9";

	/**
	 * Constant color "#e33e43" <span style="background-color:#e33e43; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E33E43 = "#e33e43";

	/**
	 * Constant color "#af8dc3" <span style="background-color:#af8dc3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AF8DC3 = "#af8dc3";

	/**
	 * Constant color "#948c88" <span style="background-color:#948c88; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_948C88 = "#948c88";

	/**
	 * Constant color "#e5f5e0" <span style="background-color:#e5f5e0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E5F5E0 = "#e5f5e0";

	/**
	 * Constant color "#f36754" <span style="background-color:#f36754; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F36754 = "#f36754";

	/**
	 * Constant color "#ffbeb2" <span style="background-color:#ffbeb2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFBEB2 = "#ffbeb2";

	/**
	 * Constant color "#a6d854" <span style="background-color:#a6d854; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A6D854 = "#a6d854";

	/**
	 * Constant color "#f89a90" <span style="background-color:#f89a90; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F89A90 = "#f89a90";

	/**
	 * Constant color "#c7519c" <span style="background-color:#c7519c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C7519C = "#c7519c";

	/**
	 * Constant color "#fcae91" <span style="background-color:#fcae91; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FCAE91 = "#fcae91";

	/**
	 * Constant color "#fd8d3c" <span style="background-color:#fd8d3c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FD8D3C = "#fd8d3c";

	/**
	 * Constant color "#08306b" <span style="background-color:#08306b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_08306B = "#08306b";

	/**
	 * Constant color "#4292c6" <span style="background-color:#4292c6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4292C6 = "#4292c6";

	/**
	 * Constant color "#f9d4b6" <span style="background-color:#f9d4b6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F9D4B6 = "#f9d4b6";

	/**
	 * Constant color "#ecdbdc" <span style="background-color:#ecdbdc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ECDBDC = "#ecdbdc";

	/**
	 * Constant color "#6de304" <span style="background-color:#6de304; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6DE304 = "#6de304";

	/**
	 * Constant color "#e96b20" <span style="background-color:#e96b20; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E96B20 = "#e96b20";

	/**
	 * Constant color "#9d09d1" <span style="background-color:#9d09d1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9D09D1 = "#9d09d1";

	/**
	 * Constant color "#ffb2b6" <span style="background-color:#ffb2b6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFB2B6 = "#ffb2b6";

	/**
	 * Constant color "#6a9bc3" <span style="background-color:#6a9bc3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6A9BC3 = "#6a9bc3";

	/**
	 * Constant color "#995688" <span style="background-color:#995688; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_995688 = "#995688";

	/**
	 * Constant color "#529c51" <span style="background-color:#529c51; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_529C51 = "#529c51";

	/**
	 * Constant color "#f69e41" <span style="background-color:#f69e41; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F69E41 = "#f69e41";

	/**
	 * Constant color "#b58b80" <span style="background-color:#b58b80; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B58B80 = "#b58b80";

	/**
	 * Constant color "#9e3d22" <span style="background-color:#9e3d22; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9E3D22 = "#9e3d22";

	/**
	 * Constant color "#238443" <span style="background-color:#238443; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_238443 = "#238443";

	/**
	 * Constant color "#39639d" <span style="background-color:#39639d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_39639D = "#39639d";

	/**
	 * Constant color "#d7d5c5" <span style="background-color:#d7d5c5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D7D5C5 = "#d7d5c5";

	/**
	 * Constant color "#d62728" <span style="background-color:#d62728; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D62728 = "#d62728";

	/**
	 * Constant color "#fcfbfd" <span style="background-color:#fcfbfd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FCFBFD = "#fcfbfd";

	/**
	 * Constant color "#eff3ff" <span style="background-color:#eff3ff; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EFF3FF = "#eff3ff";

	/**
	 * Constant color "#c43141" <span style="background-color:#c43141; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C43141 = "#c43141";

	/**
	 * Constant color "#bcbddc" <span style="background-color:#bcbddc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BCBDDC = "#bcbddc";

	/**
	 * Constant color "#fdac9e" <span style="background-color:#fdac9e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDAC9E = "#fdac9e";

	/**
	 * Constant color "#fdac9d" <span style="background-color:#fdac9d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDAC9D = "#fdac9d";

	/**
	 * Constant color "#49006a" <span style="background-color:#49006a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_49006A = "#49006a";

	/**
	 * Constant color "#e41a1c" <span style="background-color:#e41a1c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E41A1C = "#e41a1c";

	/**
	 * Constant color "#e66549" <span style="background-color:#e66549; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E66549 = "#e66549";

	/**
	 * Constant color "#f2d1d2" <span style="background-color:#f2d1d2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F2D1D2 = "#f2d1d2";

	/**
	 * Constant color "#fca290" <span style="background-color:#fca290; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FCA290 = "#fca290";

	/**
	 * Constant color "#9bbb59" <span style="background-color:#9bbb59; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9BBB59 = "#9bbb59";

	/**
	 * Constant color "#a5644e" <span style="background-color:#a5644e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A5644E = "#a5644e";

	/**
	 * Constant color "#f5c201" <span style="background-color:#f5c201; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F5C201 = "#f5c201";

	/**
	 * Constant color "#968c8c" <span style="background-color:#968c8c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_968C8C = "#968c8c";

	/**
	 * Constant color "#d97828" <span style="background-color:#d97828; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D97828 = "#d97828";

	/**
	 * Constant color "#fca294" <span style="background-color:#fca294; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FCA294 = "#fca294";

	/**
	 * Constant color "#2c9c89" <span style="background-color:#2c9c89; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2C9C89 = "#2c9c89";

	/**
	 * Constant color "#61a956" <span style="background-color:#61a956; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_61A956 = "#61a956";

	/**
	 * Constant color "#91dcea" <span style="background-color:#91dcea; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_91DCEA = "#91dcea";

	/**
	 * Constant color "#0d8be6" <span style="background-color:#0d8be6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_0D8BE6 = "#0d8be6";

	/**
	 * Constant color "#67737c" <span style="background-color:#67737c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_67737C = "#67737c";

	/**
	 * Constant color "#72a376" <span style="background-color:#72a376; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_72A376 = "#72a376";

	/**
	 * Constant color "#e8b54d" <span style="background-color:#e8b54d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E8B54D = "#e8b54d";

	/**
	 * Constant color "#ccffff" <span style="background-color:#ccffff; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CCFFFF = "#ccffff";

	/**
	 * Constant color "#e9a039" <span style="background-color:#e9a039; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E9A039 = "#e9a039";

	/**
	 * Constant color "#feaa9a" <span style="background-color:#feaa9a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEAA9A = "#feaa9a";

	/**
	 * Constant color "#f69200" <span style="background-color:#f69200; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F69200 = "#f69200";

	/**
	 * Constant color "#a1d5d2" <span style="background-color:#a1d5d2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A1D5D2 = "#a1d5d2";

	/**
	 * Constant color "#9ebcda" <span style="background-color:#9ebcda; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9EBCDA = "#9ebcda";

	/**
	 * Constant color "#ffff99" <span style="background-color:#ffff99; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFFF99 = "#ffff99";

	/**
	 * Constant color "#fb8547" <span style="background-color:#fb8547; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FB8547 = "#fb8547";

	/**
	 * Constant color "#8d878b" <span style="background-color:#8d878b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8D878B = "#8d878b";

	/**
	 * Constant color "#ccece6" <span style="background-color:#ccece6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CCECE6 = "#ccece6";

	/**
	 * Constant color "#3690c0" <span style="background-color:#3690c0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3690C0 = "#3690c0";

	/**
	 * Constant color "#f83500" <span style="background-color:#f83500; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F83500 = "#f83500";

	/**
	 * Constant color "#63a537" <span style="background-color:#63a537; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_63A537 = "#63a537";

	/**
	 * Constant color "#fe8b7a" <span style="background-color:#fe8b7a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FE8B7A = "#fe8b7a";

	/**
	 * Constant color "#756bb1" <span style="background-color:#756bb1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_756BB1 = "#756bb1";

	/**
	 * Constant color "#fcb11c" <span style="background-color:#fcb11c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FCB11C = "#fcb11c";

	/**
	 * Constant color "#fdbb84" <span style="background-color:#fdbb84; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDBB84 = "#fdbb84";

	/**
	 * Constant color "#f7b6d2" <span style="background-color:#f7b6d2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7B6D2 = "#f7b6d2";

	/**
	 * Constant color "#feb4a6" <span style="background-color:#feb4a6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEB4A6 = "#feb4a6";

	/**
	 * Constant color "#c89f5d" <span style="background-color:#c89f5d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C89F5D = "#c89f5d";

	/**
	 * Constant color "#732bea" <span style="background-color:#732bea; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_732BEA = "#732bea";

	/**
	 * Constant color "#052f61" <span style="background-color:#052f61; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_052F61 = "#052f61";

	/**
	 * Constant color "#9bafb5" <span style="background-color:#9bafb5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9BAFB5 = "#9bafb5";

	/**
	 * Constant color "#e08214" <span style="background-color:#e08214; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E08214 = "#e08214";

	/**
	 * Constant color "#21449b" <span style="background-color:#21449b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_21449B = "#21449b";

	/**
	 * Constant color "#b60a1c" <span style="background-color:#b60a1c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B60A1C = "#b60a1c";

	/**
	 * Constant color "#a16bb1" <span style="background-color:#a16bb1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A16BB1 = "#a16bb1";

	/**
	 * Constant color "#316f96" <span style="background-color:#316f96; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_316F96 = "#316f96";

	/**
	 * Constant color "#ea6b73" <span style="background-color:#ea6b73; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EA6B73 = "#ea6b73";

	/**
	 * Constant color "#1a9641" <span style="background-color:#1a9641; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1A9641 = "#1a9641";

	/**
	 * Constant color "#9ecae1" <span style="background-color:#9ecae1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9ECAE1 = "#9ecae1";

	/**
	 * Constant color "#80737a" <span style="background-color:#80737a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_80737A = "#80737a";

	/**
	 * Constant color "#cf6da4" <span style="background-color:#cf6da4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CF6DA4 = "#cf6da4";

	/**
	 * Constant color "#edf8e9" <span style="background-color:#edf8e9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EDF8E9 = "#edf8e9";

	/**
	 * Constant color "#f8b620" <span style="background-color:#f8b620; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F8B620 = "#f8b620";

	/**
	 * Constant color "#78c679" <span style="background-color:#78c679; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_78C679 = "#78c679";

	/**
	 * Constant color "#f1e2cc" <span style="background-color:#f1e2cc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F1E2CC = "#f1e2cc";

	/**
	 * Constant color "#f0ddcd" <span style="background-color:#f0ddcd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F0DDCD = "#f0ddcd";

	/**
	 * Constant color "#b5c8e2" <span style="background-color:#b5c8e2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B5C8E2 = "#b5c8e2";

	/**
	 * Constant color "#dadaeb" <span style="background-color:#dadaeb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DADAEB = "#dadaeb";

	/**
	 * Constant color "#c19859" <span style="background-color:#c19859; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C19859 = "#c19859";

	/**
	 * Constant color "#e33d6f" <span style="background-color:#e33d6f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E33D6F = "#e33d6f";

	/**
	 * Constant color "#e7718a" <span style="background-color:#e7718a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E7718A = "#e7718a";

	/**
	 * Constant color "#ad84c6" <span style="background-color:#ad84c6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AD84C6 = "#ad84c6";

	/**
	 * Constant color "#8c8d86" <span style="background-color:#8c8d86; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8C8D86 = "#8c8d86";

	/**
	 * Constant color "#dbcf47" <span style="background-color:#dbcf47; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DBCF47 = "#dbcf47";

	/**
	 * Constant color "#5f5f5f" <span style="background-color:#5f5f5f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5F5F5F = "#5f5f5f";

	/**
	 * Constant color "#f14124" <span style="background-color:#f14124; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F14124 = "#f14124";

	/**
	 * Constant color "#ffc685" <span style="background-color:#ffc685; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFC685 = "#ffc685";

	/**
	 * Constant color "#ff9888" <span style="background-color:#ff9888; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF9888 = "#ff9888";

	/**
	 * Constant color "#9b938f" <span style="background-color:#9b938f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9B938F = "#9b938f";

	/**
	 * Constant color "#aa8780" <span style="background-color:#aa8780; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AA8780 = "#aa8780";

	/**
	 * Constant color "#dae1ea" <span style="background-color:#dae1ea; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DAE1EA = "#dae1ea";

	/**
	 * Constant color "#e68230" <span style="background-color:#e68230; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E68230 = "#e68230";

	/**
	 * Constant color "#edf8fb" <span style="background-color:#edf8fb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EDF8FB = "#edf8fb";

	/**
	 * Constant color "#64969f" <span style="background-color:#64969f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_64969F = "#64969f";

	/**
	 * Constant color "#9c85c0" <span style="background-color:#9c85c0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9C85C0 = "#9c85c0";

	/**
	 * Constant color "#fee0d2" <span style="background-color:#fee0d2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEE0D2 = "#fee0d2";

	/**
	 * Constant color "#fe9e00" <span style="background-color:#fe9e00; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FE9E00 = "#fe9e00";

	/**
	 * Constant color "#b85636" <span style="background-color:#b85636; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B85636 = "#b85636";

	/**
	 * Constant color "#ff9896" <span style="background-color:#ff9896; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF9896 = "#ff9896";

	/**
	 * Constant color "#027b8e" <span style="background-color:#027b8e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_027B8E = "#027b8e";

	/**
	 * Constant color "#b4b7b7" <span style="background-color:#b4b7b7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B4B7B7 = "#b4b7b7";

	/**
	 * Constant color "#32a251" <span style="background-color:#32a251; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_32A251 = "#32a251";

	/**
	 * Constant color "#6bb1c9" <span style="background-color:#6bb1c9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6BB1C9 = "#6bb1c9";

	/**
	 * Constant color "#dec18c" <span style="background-color:#dec18c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DEC18C = "#dec18c";

	/**
	 * Constant color "#80c34f" <span style="background-color:#80c34f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_80C34F = "#80c34f";

	/**
	 * Constant color "#d94801" <span style="background-color:#d94801; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D94801 = "#d94801";

	/**
	 * Constant color "#0570b0" <span style="background-color:#0570b0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_0570B0 = "#0570b0";

	/**
	 * Constant color "#e66c7d" <span style="background-color:#e66c7d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E66C7D = "#e66c7d";

	/**
	 * Constant color "#fada7a" <span style="background-color:#fada7a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FADA7A = "#fada7a";

	/**
	 * Constant color "#67a956" <span style="background-color:#67a956; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_67A956 = "#67a956";

	/**
	 * Constant color "#dba13a" <span style="background-color:#dba13a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DBA13A = "#dba13a";

	/**
	 * Constant color "#f1eef6" <span style="background-color:#f1eef6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F1EEF6 = "#f1eef6";

	/**
	 * Constant color "#339444" <span style="background-color:#339444; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_339444 = "#339444";

	/**
	 * Constant color "#7eaed3" <span style="background-color:#7eaed3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7EAED3 = "#7eaed3";

	/**
	 * Constant color "#b7e6a7" <span style="background-color:#b7e6a7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B7E6A7 = "#b7e6a7";

	/**
	 * Constant color "#bc451b" <span style="background-color:#bc451b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BC451B = "#bc451b";

	/**
	 * Constant color "#fab900" <span style="background-color:#fab900; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FAB900 = "#fab900";

	/**
	 * Constant color "#7dc370" <span style="background-color:#7dc370; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7DC370 = "#7dc370";

	/**
	 * Constant color "#68007f" <span style="background-color:#68007f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_68007F = "#68007f";

	/**
	 * Constant color "#fec44f" <span style="background-color:#fec44f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEC44F = "#fec44f";

	/**
	 * Constant color "#a83e24" <span style="background-color:#a83e24; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A83E24 = "#a83e24";

	/**
	 * Constant color "#32c7a9" <span style="background-color:#32c7a9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_32C7A9 = "#32c7a9";

	/**
	 * Constant color "#addd8e" <span style="background-color:#addd8e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ADDD8E = "#addd8e";

	/**
	 * Constant color "#ad9024" <span style="background-color:#ad9024; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AD9024 = "#ad9024";

	/**
	 * Constant color "#475a8d" <span style="background-color:#475a8d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_475A8D = "#475a8d";

	/**
	 * Constant color "#ece7f2" <span style="background-color:#ece7f2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ECE7F2 = "#ece7f2";

	/**
	 * Constant color "#023858" <span style="background-color:#023858; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_023858 = "#023858";

	/**
	 * Constant color "#ffff33" <span style="background-color:#ffff33; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFFF33 = "#ffff33";

	/**
	 * Constant color "#ffb6b0" <span style="background-color:#ffb6b0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFB6B0 = "#ffb6b0";

	/**
	 * Constant color "#ffbb78" <span style="background-color:#ffbb78; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFBB78 = "#ffbb78";

	/**
	 * Constant color "#b8e186" <span style="background-color:#b8e186; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B8E186 = "#b8e186";

	/**
	 * Constant color "#91d183" <span style="background-color:#91d183; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_91D183 = "#91d183";

	/**
	 * Constant color "#edf8b1" <span style="background-color:#edf8b1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EDF8B1 = "#edf8b1";

	/**
	 * Constant color "#a3123a" <span style="background-color:#a3123a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A3123A = "#a3123a";

	/**
	 * Constant color "#fa9d4f" <span style="background-color:#fa9d4f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FA9D4F = "#fa9d4f";

	/**
	 * Constant color "#9ad26d" <span style="background-color:#9ad26d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9AD26D = "#9ad26d";

	/**
	 * Constant color "#404040" <span style="background-color:#404040; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_404040 = "#404040";

	/**
	 * Constant color "#ffdd71" <span style="background-color:#ffdd71; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFDD71 = "#ffdd71";

	/**
	 * Constant color "#e4641e" <span style="background-color:#e4641e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E4641E = "#e4641e";

	/**
	 * Constant color "#a50f15" <span style="background-color:#a50f15; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A50F15 = "#a50f15";

	/**
	 * Constant color "#828288" <span style="background-color:#828288; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_828288 = "#828288";

	/**
	 * Constant color "#c2e699" <span style="background-color:#c2e699; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C2E699 = "#c2e699";

	/**
	 * Constant color "#4ea6dc" <span style="background-color:#4ea6dc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4EA6DC = "#4ea6dc";

	/**
	 * Constant color "#b24223" <span style="background-color:#b24223; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B24223 = "#b24223";

	/**
	 * Constant color "#c2a5cf" <span style="background-color:#c2a5cf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C2A5CF = "#c2a5cf";

	/**
	 * Constant color "#eb73b3" <span style="background-color:#eb73b3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EB73B3 = "#eb73b3";

	/**
	 * Constant color "#7e756d" <span style="background-color:#7e756d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7E756D = "#7e756d";

	/**
	 * Constant color "#9b9b9b" <span style="background-color:#9b9b9b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9B9B9B = "#9b9b9b";

	/**
	 * Constant color "#f59c3c" <span style="background-color:#f59c3c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F59C3C = "#f59c3c";

	/**
	 * Constant color "#3ca8bc" <span style="background-color:#3ca8bc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3CA8BC = "#3ca8bc";

	/**
	 * Constant color "#f06511" <span style="background-color:#f06511; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F06511 = "#f06511";

	/**
	 * Constant color "#50bea3" <span style="background-color:#50bea3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_50BEA3 = "#50bea3";

	/**
	 * Constant color "#993404" <span style="background-color:#993404; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_993404 = "#993404";

	/**
	 * Constant color "#efedf5" <span style="background-color:#efedf5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EFEDF5 = "#efedf5";

	/**
	 * Constant color "#f49234" <span style="background-color:#f49234; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F49234 = "#f49234";

	/**
	 * Constant color "#e9bf35" <span style="background-color:#e9bf35; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E9BF35 = "#e9bf35";

	/**
	 * Constant color "#636363" <span style="background-color:#636363; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_636363 = "#636363";

	/**
	 * Constant color "#c76402" <span style="background-color:#c76402; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C76402 = "#c76402";

	/**
	 * Constant color "#ffca08" <span style="background-color:#ffca08; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFCA08 = "#ffca08";

	/**
	 * Constant color "#0868ac" <span style="background-color:#0868ac; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_0868AC = "#0868ac";

	/**
	 * Constant color "#a2c18f" <span style="background-color:#a2c18f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A2C18F = "#a2c18f";

	/**
	 * Constant color "#78ac35" <span style="background-color:#78ac35; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_78AC35 = "#78ac35";

	/**
	 * Constant color "#d0be40" <span style="background-color:#d0be40; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D0BE40 = "#d0be40";

	/**
	 * Constant color "#fdbf6f" <span style="background-color:#fdbf6f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDBF6F = "#fdbf6f";

	/**
	 * Constant color "#3c8200" <span style="background-color:#3c8200; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3C8200 = "#3c8200";

	/**
	 * Constant color "#cecb76" <span style="background-color:#cecb76; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CECB76 = "#cecb76";

	/**
	 * Constant color "#466f9d" <span style="background-color:#466f9d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_466F9D = "#466f9d";

	/**
	 * Constant color "#e36621" <span style="background-color:#e36621; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E36621 = "#e36621";

	/**
	 * Constant color "#a63603" <span style="background-color:#a63603; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A63603 = "#a63603";

	/**
	 * Constant color "#d89c63" <span style="background-color:#d89c63; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D89C63 = "#d89c63";

	/**
	 * Constant color "#94a323" <span style="background-color:#94a323; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_94A323 = "#94a323";

	/**
	 * Constant color "#244a58" <span style="background-color:#244a58; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_244A58 = "#244a58";

	/**
	 * Constant color "#dd9d31" <span style="background-color:#dd9d31; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DD9D31 = "#dd9d31";

	/**
	 * Constant color "#3a8a4d" <span style="background-color:#3a8a4d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3A8A4D = "#3a8a4d";

	/**
	 * Constant color "#efe1a2" <span style="background-color:#efe1a2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EFE1A2 = "#efe1a2";

	/**
	 * Constant color "#84b457" <span style="background-color:#84b457; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_84B457 = "#84b457";

	/**
	 * Constant color "#a19574" <span style="background-color:#a19574; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A19574 = "#a19574";

	/**
	 * Constant color "#8cd17d" <span style="background-color:#8cd17d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8CD17D = "#8cd17d";

	/**
	 * Constant color "#acb0b1" <span style="background-color:#acb0b1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ACB0B1 = "#acb0b1";

	/**
	 * Constant color "#49964f" <span style="background-color:#49964f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_49964F = "#49964f";

	/**
	 * Constant color "#a2c8ec" <span style="background-color:#a2c8ec; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A2C8EC = "#a2c8ec";

	/**
	 * Constant color "#727ca3" <span style="background-color:#727ca3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_727CA3 = "#727ca3";

	/**
	 * Constant color "#ababab" <span style="background-color:#ababab; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ABABAB = "#ababab";

	/**
	 * Constant color "#d7301f" <span style="background-color:#d7301f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D7301F = "#d7301f";

	/**
	 * Constant color "#dcb64d" <span style="background-color:#dcb64d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DCB64D = "#dcb64d";

	/**
	 * Constant color "#a2a2a2" <span style="background-color:#a2a2a2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A2A2A2 = "#a2a2a2";

	/**
	 * Constant color "#d5d5d5" <span style="background-color:#d5d5d5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D5D5D5 = "#d5d5d5";

	/**
	 * Constant color "#3d6a98" <span style="background-color:#3d6a98; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3D6A98 = "#3d6a98";

	/**
	 * Constant color "#d73027" <span style="background-color:#d73027; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D73027 = "#d73027";

	/**
	 * Constant color "#767676" <span style="background-color:#767676; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_767676 = "#767676";

	/**
	 * Constant color "#a26dc2" <span style="background-color:#a26dc2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A26DC2 = "#a26dc2";

	/**
	 * Constant color "#660075" <span style="background-color:#660075; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_660075 = "#660075";

	/**
	 * Constant color "#f0bd27" <span style="background-color:#f0bd27; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F0BD27 = "#f0bd27";

	/**
	 * Constant color "#9e5e9b" <span style="background-color:#9e5e9b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9E5E9B = "#9e5e9b";

	/**
	 * Constant color "#a1d68b" <span style="background-color:#a1d68b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A1D68B = "#a1d68b";

	/**
	 * Constant color "#e04e35" <span style="background-color:#e04e35; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E04E35 = "#e04e35";

	/**
	 * Constant color "#ffd94a" <span style="background-color:#ffd94a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFD94A = "#ffd94a";

	/**
	 * Constant color "#c3986d" <span style="background-color:#c3986d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C3986D = "#c3986d";

	/**
	 * Constant color "#39b87f" <span style="background-color:#39b87f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_39B87F = "#39b87f";

	/**
	 * Constant color "#e2a562" <span style="background-color:#e2a562; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E2A562 = "#e2a562";

	/**
	 * Constant color "#b10c1d" <span style="background-color:#b10c1d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B10C1D = "#b10c1d";

	/**
	 * Constant color "#b01513" <span style="background-color:#b01513; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B01513 = "#b01513";

	/**
	 * Constant color "#313695" <span style="background-color:#313695; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_313695 = "#313695";

	/**
	 * Constant color "#b9ab6f" <span style="background-color:#b9ab6f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B9AB6F = "#b9ab6f";

	/**
	 * Constant color "#908342" <span style="background-color:#908342; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_908342 = "#908342";

	/**
	 * Constant color "#30acec" <span style="background-color:#30acec; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_30ACEC = "#30acec";

	/**
	 * Constant color "#a09781" <span style="background-color:#a09781; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A09781 = "#a09781";

	/**
	 * Constant color "#641345" <span style="background-color:#641345; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_641345 = "#641345";

	/**
	 * Constant color "#fff5eb" <span style="background-color:#fff5eb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFF5EB = "#fff5eb";

	/**
	 * Constant color "#4e9f50" <span style="background-color:#4e9f50; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4E9F50 = "#4e9f50";

	/**
	 * Constant color "#81537f" <span style="background-color:#81537f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_81537F = "#81537f";

	/**
	 * Constant color "#ea6312" <span style="background-color:#ea6312; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EA6312 = "#ea6312";

	/**
	 * Constant color "#ffc0da" <span style="background-color:#ffc0da; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFC0DA = "#ffc0da";

	/**
	 * Constant color "#807774" <span style="background-color:#807774; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_807774 = "#807774";

	/**
	 * Constant color "#5b6570" <span style="background-color:#5b6570; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5B6570 = "#5b6570";

	/**
	 * Constant color "#3891a7" <span style="background-color:#3891a7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3891A7 = "#3891a7";

	/**
	 * Constant color "#49525e" <span style="background-color:#49525e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_49525E = "#49525e";

	/**
	 * Constant color "#cf3e53" <span style="background-color:#cf3e53; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CF3E53 = "#cf3e53";

	/**
	 * Constant color "#873624" <span style="background-color:#873624; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_873624 = "#873624";

	/**
	 * Constant color "#feffd9" <span style="background-color:#feffd9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEFFD9 = "#feffd9";

	/**
	 * Constant color "#d54773" <span style="background-color:#d54773; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D54773 = "#d54773";

	/**
	 * Constant color "#a3acb9" <span style="background-color:#a3acb9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A3ACB9 = "#a3acb9";

	/**
	 * Constant color "#fb8072" <span style="background-color:#fb8072; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FB8072 = "#fb8072";

	/**
	 * Constant color "#6baed6" <span style="background-color:#6baed6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6BAED6 = "#6baed6";

	/**
	 * Constant color "#ffd92f" <span style="background-color:#ffd92f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFD92F = "#ffd92f";

	/**
	 * Constant color "#fcbba1" <span style="background-color:#fcbba1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FCBBA1 = "#fcbba1";

	/**
	 * Constant color "#8b7c6e" <span style="background-color:#8b7c6e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8B7C6E = "#8b7c6e";

	/**
	 * Constant color "#b2abd2" <span style="background-color:#b2abd2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B2ABD2 = "#b2abd2";

	/**
	 * Constant color "#c61b1b" <span style="background-color:#c61b1b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C61B1B = "#c61b1b";

	/**
	 * Constant color "#608f3d" <span style="background-color:#608f3d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_608F3D = "#608f3d";

	/**
	 * Constant color "#1c73b1" <span style="background-color:#1c73b1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1C73B1 = "#1c73b1";

	/**
	 * Constant color "#a5acaf" <span style="background-color:#a5acaf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A5ACAF = "#a5acaf";

	/**
	 * Constant color "#51c3f9" <span style="background-color:#51c3f9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_51C3F9 = "#51c3f9";

	/**
	 * Constant color "#e0b2d2" <span style="background-color:#e0b2d2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E0B2D2 = "#e0b2d2";

	/**
	 * Constant color "#3cb7cc" <span style="background-color:#3cb7cc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3CB7CC = "#3cb7cc";

	/**
	 * Constant color "#08cc78" <span style="background-color:#08cc78; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_08CC78 = "#08cc78";

	/**
	 * Constant color "#FFFF00" <span style="background-color:#FFFF00; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFFF00 = "#FFFF00";

	/**
	 * Constant color "#e15759" <span style="background-color:#e15759; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E15759 = "#e15759";

	/**
	 * Constant color "#b8163a" <span style="background-color:#b8163a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B8163A = "#b8163a";

	/**
	 * Constant color "#60a24d" <span style="background-color:#60a24d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_60A24D = "#60a24d";

	/**
	 * Constant color "#77a9cf" <span style="background-color:#77a9cf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_77A9CF = "#77a9cf";

	/**
	 * Constant color "#d43e25" <span style="background-color:#d43e25; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D43E25 = "#d43e25";

	/**
	 * Constant color "#33a02c" <span style="background-color:#33a02c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_33A02C = "#33a02c";

	/**
	 * Constant color "#00c6bb" <span style="background-color:#00c6bb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_00C6BB = "#00c6bb";

	/**
	 * Constant color "#474b78" <span style="background-color:#474b78; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_474B78 = "#474b78";

	/**
	 * Constant color "#9c5238" <span style="background-color:#9c5238; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9C5238 = "#9c5238";

	/**
	 * Constant color "#d8b365" <span style="background-color:#d8b365; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D8B365 = "#d8b365";

	/**
	 * Constant color "#fee0b6" <span style="background-color:#fee0b6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEE0B6 = "#fee0b6";

	/**
	 * Constant color "#b2b2b2" <span style="background-color:#b2b2b2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B2B2B2 = "#b2b2b2";

	/**
	 * Constant color "#6388b4" <span style="background-color:#6388b4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6388B4 = "#6388b4";

	/**
	 * Constant color "#939c9e" <span style="background-color:#939c9e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_939C9E = "#939c9e";

	/**
	 * Constant color "#beb6b2" <span style="background-color:#beb6b2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BEB6B2 = "#beb6b2";

	/**
	 * Constant color "#b173a0" <span style="background-color:#b173a0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B173A0 = "#b173a0";

	/**
	 * Constant color "#FF00FF" <span style="background-color:#FF00FF; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF00FF = "#FF00FF";

	/**
	 * Constant color "#777c84" <span style="background-color:#777c84; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_777C84 = "#777c84";

	/**
	 * Constant color "#fabfd2" <span style="background-color:#fabfd2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FABFD2 = "#fabfd2";

	/**
	 * Constant color "#a6bddb" <span style="background-color:#a6bddb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A6BDDB = "#a6bddb";

	/**
	 * Constant color "#1cade4" <span style="background-color:#1cade4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1CADE4 = "#1cade4";

	/**
	 * Constant color "#736967" <span style="background-color:#736967; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_736967 = "#736967";

	/**
	 * Constant color "#9d983d" <span style="background-color:#9d983d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9D983D = "#9d983d";

	/**
	 * Constant color "#ffead8" <span style="background-color:#ffead8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFEAD8 = "#ffead8";

	/**
	 * Constant color "#b10026" <span style="background-color:#b10026; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B10026 = "#b10026";

	/**
	 * Constant color "#f0a22e" <span style="background-color:#f0a22e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F0A22E = "#f0a22e";

	/**
	 * Constant color "#660066" <span style="background-color:#660066; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_660066 = "#660066";

	/**
	 * Constant color "#fd6f30" <span style="background-color:#fd6f30; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FD6F30 = "#fd6f30";

	/**
	 * Constant color "#ffbf50" <span style="background-color:#ffbf50; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFBF50 = "#ffbf50";

	/**
	 * Constant color "#ce1256" <span style="background-color:#ce1256; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CE1256 = "#ce1256";

	/**
	 * Constant color "#42ba97" <span style="background-color:#42ba97; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_42BA97 = "#42ba97";

	/**
	 * Constant color "#79706e" <span style="background-color:#79706e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_79706E = "#79706e";

	/**
	 * Constant color "#729ece" <span style="background-color:#729ece; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_729ECE = "#729ece";

	/**
	 * Constant color "#9d7660" <span style="background-color:#9d7660; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9D7660 = "#9d7660";

	/**
	 * Constant color "#c3ce3d" <span style="background-color:#c3ce3d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C3CE3D = "#c3ce3d";

	/**
	 * Constant color "#d4ccc8" <span style="background-color:#d4ccc8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D4CCC8 = "#d4ccc8";

	/**
	 * Constant color "#6dccda" <span style="background-color:#6dccda; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6DCCDA = "#6dccda";

	/**
	 * Constant color "#d63a3a" <span style="background-color:#d63a3a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D63A3A = "#d63a3a";

	/**
	 * Constant color "#006ba4" <span style="background-color:#006ba4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_006BA4 = "#006ba4";

	/**
	 * Constant color "#6f6f6f" <span style="background-color:#6f6f6f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6F6F6F = "#6f6f6f";

	/**
	 * Constant color "#f1ce63" <span style="background-color:#f1ce63; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F1CE63 = "#f1ce63";

	/**
	 * Constant color "#fd8938" <span style="background-color:#fd8938; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FD8938 = "#fd8938";

	/**
	 * Constant color "#c64847" <span style="background-color:#c64847; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C64847 = "#c64847";

	/**
	 * Constant color "#7e848d" <span style="background-color:#7e848d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7E848D = "#7e848d";

	/**
	 * Constant color "#848e93" <span style="background-color:#848e93; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_848E93 = "#848e93";

	/**
	 * Constant color "#749805" <span style="background-color:#749805; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_749805 = "#749805";

	/**
	 * Constant color "#fddbc7" <span style="background-color:#fddbc7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDDBC7 = "#fddbc7";

	/**
	 * Constant color "#e8e8e8" <span style="background-color:#e8e8e8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E8E8E8 = "#e8e8e8";

	/**
	 * Constant color "#d4e6cc" <span style="background-color:#d4e6cc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D4E6CC = "#d4e6cc";

	/**
	 * Constant color "#a08400" <span style="background-color:#a08400; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A08400 = "#a08400";

	/**
	 * Constant color "#1ba3c6" <span style="background-color:#1ba3c6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1BA3C6 = "#1ba3c6";

	/**
	 * Constant color "#41b7c4" <span style="background-color:#41b7c4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_41B7C4 = "#41b7c4";

	/**
	 * Constant color "#8ace7e" <span style="background-color:#8ace7e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8ACE7E = "#8ace7e";

	/**
	 * Constant color "#6f6f74" <span style="background-color:#6f6f74; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6F6F74 = "#6f6f74";

	/**
	 * Constant color "#929292" <span style="background-color:#929292; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_929292 = "#929292";

	/**
	 * Constant color "#cdc4c0" <span style="background-color:#cdc4c0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CDC4C0 = "#cdc4c0";

	/**
	 * Constant color "#95c1dd" <span style="background-color:#95c1dd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_95C1DD = "#95c1dd";

	/**
	 * Constant color "#ed515c" <span style="background-color:#ed515c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ED515C = "#ed515c";

	/**
	 * Constant color "#e87d37" <span style="background-color:#e87d37; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E87D37 = "#e87d37";

	/**
	 * Constant color "#1b4430" <span style="background-color:#1b4430; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1B4430 = "#1b4430";

	/**
	 * Constant color "#d74401" <span style="background-color:#d74401; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D74401 = "#d74401";

	/**
	 * Constant color "#fdd49e" <span style="background-color:#fdd49e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDD49E = "#fdd49e";

	/**
	 * Constant color "#e0f3f8" <span style="background-color:#e0f3f8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E0F3F8 = "#e0f3f8";

	/**
	 * Constant color "#d5393d" <span style="background-color:#d5393d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D5393D = "#d5393d";

	/**
	 * Constant color "#f7d42a" <span style="background-color:#f7d42a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7D42A = "#f7d42a";

	/**
	 * Constant color "#deebf7" <span style="background-color:#deebf7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DEEBF7 = "#deebf7";

	/**
	 * Constant color "#cfdcef" <span style="background-color:#cfdcef; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CFDCEF = "#cfdcef";

	/**
	 * Constant color "#ec534b" <span style="background-color:#ec534b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EC534B = "#ec534b";

	/**
	 * Constant color "#99cb38" <span style="background-color:#99cb38; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_99CB38 = "#99cb38";

	/**
	 * Constant color "#9c755f" <span style="background-color:#9c755f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9C755F = "#9c755f";

	/**
	 * Constant color "#cbc9e2" <span style="background-color:#cbc9e2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CBC9E2 = "#cbc9e2";

	/**
	 * Constant color "#7eb606" <span style="background-color:#7eb606; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7EB606 = "#7eb606";

	/**
	 * Constant color "#2397e2" <span style="background-color:#2397e2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2397E2 = "#2397e2";

	/**
	 * Constant color "#ff6700" <span style="background-color:#ff6700; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF6700 = "#ff6700";

	/**
	 * Constant color "#2166ac" <span style="background-color:#2166ac; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2166AC = "#2166ac";

	/**
	 * Constant color "#f7b254" <span style="background-color:#f7b254; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7B254 = "#f7b254";

	/**
	 * Constant color "#c1e6b4" <span style="background-color:#c1e6b4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C1E6B4 = "#c1e6b4";

	/**
	 * Constant color "#ef8a62" <span style="background-color:#ef8a62; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EF8A62 = "#ef8a62";

	/**
	 * Constant color "#31a1b3" <span style="background-color:#31a1b3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_31A1B3 = "#31a1b3";

	/**
	 * Constant color "#d092a7" <span style="background-color:#d092a7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D092A7 = "#d092a7";

	/**
	 * Constant color "#528a02" <span style="background-color:#528a02; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_528A02 = "#528a02";

	/**
	 * Constant color "#5485b2" <span style="background-color:#5485b2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5485B2 = "#5485b2";

	/**
	 * Constant color "#4ab5c4" <span style="background-color:#4ab5c4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4AB5C4 = "#4ab5c4";

	/**
	 * Constant color "#073779" <span style="background-color:#073779; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_073779 = "#073779";

	/**
	 * Constant color "#63a0cc" <span style="background-color:#63a0cc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_63A0CC = "#63a0cc";

	/**
	 * Constant color "#59504e" <span style="background-color:#59504e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_59504E = "#59504e";

	/**
	 * Constant color "#6394be" <span style="background-color:#6394be; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6394BE = "#6394be";

	/**
	 * Constant color "#dbdb8d" <span style="background-color:#dbdb8d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DBDB8D = "#dbdb8d";

	/**
	 * Constant color "#99b059" <span style="background-color:#99b059; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_99B059 = "#99b059";

	/**
	 * Constant color "#f7c577" <span style="background-color:#f7c577; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7C577 = "#f7c577";

	/**
	 * Constant color "#de6c36" <span style="background-color:#de6c36; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DE6C36 = "#de6c36";

	/**
	 * Constant color "#e0f3db" <span style="background-color:#e0f3db; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E0F3DB = "#e0f3db";

	/**
	 * Constant color "#665c51" <span style="background-color:#665c51; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_665C51 = "#665c51";

	/**
	 * Constant color "#e0e0e0" <span style="background-color:#e0e0e0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E0E0E0 = "#e0e0e0";

	/**
	 * Constant color "#a29996" <span style="background-color:#a29996; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A29996 = "#a29996";

	/**
	 * Constant color "#fee8c8" <span style="background-color:#fee8c8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEE8C8 = "#fee8c8";

	/**
	 * Constant color "#6b6149" <span style="background-color:#6b6149; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6B6149 = "#6b6149";

	/**
	 * Constant color "#b1de7f" <span style="background-color:#b1de7f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B1DE7F = "#b1de7f";

	/**
	 * Constant color "#c6b178" <span style="background-color:#c6b178; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C6B178 = "#c6b178";

	/**
	 * Constant color "#1d5b57" <span style="background-color:#1d5b57; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1D5B57 = "#1d5b57";

	/**
	 * Constant color "#c4652d" <span style="background-color:#c4652d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C4652D = "#c4652d";

	/**
	 * Constant color "#c8133b" <span style="background-color:#c8133b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C8133B = "#c8133b";

	/**
	 * Constant color "#928b70" <span style="background-color:#928b70; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_928B70 = "#928b70";

	/**
	 * Constant color "#fb6a4a" <span style="background-color:#fb6a4a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FB6A4A = "#fb6a4a";

	/**
	 * Constant color "#be0204" <span style="background-color:#be0204; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BE0204 = "#be0204";

	/**
	 * Constant color "#ce6633" <span style="background-color:#ce6633; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CE6633 = "#ce6633";

	/**
	 * Constant color "#FF0000" <span style="background-color:#FF0000; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF0000 = "#FF0000";

	/**
	 * Constant color "#5fbb68" <span style="background-color:#5fbb68; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5FBB68 = "#5fbb68";

	/**
	 * Constant color "#045a8d" <span style="background-color:#045a8d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_045A8D = "#045a8d";

	/**
	 * Constant color "#6283ad" <span style="background-color:#6283ad; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6283AD = "#6283ad";

	/**
	 * Constant color "#9b6c34" <span style="background-color:#9b6c34; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9B6C34 = "#9b6c34";

	/**
	 * Constant color "#d23a21" <span style="background-color:#d23a21; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D23A21 = "#d23a21";

	/**
	 * Constant color "#de5d1f" <span style="background-color:#de5d1f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DE5D1F = "#de5d1f";

	/**
	 * Constant color "#f7fcfd" <span style="background-color:#f7fcfd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7FCFD = "#f7fcfd";

	/**
	 * Constant color "#a0d4ee" <span style="background-color:#a0d4ee; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A0D4EE = "#a0d4ee";

	/**
	 * Constant color "#a2cf49" <span style="background-color:#a2cf49; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A2CF49 = "#a2cf49";

	/**
	 * Constant color "#08a1d9" <span style="background-color:#08a1d9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_08A1D9 = "#08a1d9";

	/**
	 * Constant color "#e7bc29" <span style="background-color:#e7bc29; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E7BC29 = "#e7bc29";

	/**
	 * Constant color "#ba7e45" <span style="background-color:#ba7e45; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BA7E45 = "#ba7e45";

	/**
	 * Constant color "#865986" <span style="background-color:#865986; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_865986 = "#865986";

	/**
	 * Constant color "#a7b789" <span style="background-color:#a7b789; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A7B789 = "#a7b789";

	/**
	 * Constant color "#2046a5" <span style="background-color:#2046a5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2046A5 = "#2046a5";

	/**
	 * Constant color "#809ec2" <span style="background-color:#809ec2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_809EC2 = "#809ec2";

	/**
	 * Constant color "#bd1316" <span style="background-color:#bd1316; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BD1316 = "#bd1316";

	/**
	 * Constant color "#80b1d3" <span style="background-color:#80b1d3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_80B1D3 = "#80b1d3";

	/**
	 * Constant color "#b10318" <span style="background-color:#b10318; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B10318 = "#b10318";

	/**
	 * Constant color "#1f78b4" <span style="background-color:#1f78b4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1F78B4 = "#1f78b4";

	/**
	 * Constant color "#fff5f0" <span style="background-color:#fff5f0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFF5F0 = "#fff5f0";

	/**
	 * Constant color "#ef8a0c" <span style="background-color:#ef8a0c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EF8A0C = "#ef8a0c";

	/**
	 * Constant color "#67a9cf" <span style="background-color:#67a9cf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_67A9CF = "#67a9cf";

	/**
	 * Constant color "#94d6b7" <span style="background-color:#94d6b7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_94D6B7 = "#94d6b7";

	/**
	 * Constant color "#eb6c1c" <span style="background-color:#eb6c1c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EB6C1C = "#eb6c1c";

	/**
	 * Constant color "#f0c294" <span style="background-color:#f0c294; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F0C294 = "#f0c294";

	/**
	 * Constant color "#4bacc6" <span style="background-color:#4bacc6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4BACC6 = "#4bacc6";

	/**
	 * Constant color "#7b66d2" <span style="background-color:#7b66d2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7B66D2 = "#7b66d2";

	/**
	 * Constant color "#3182bd" <span style="background-color:#3182bd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3182BD = "#3182bd";

	/**
	 * Constant color "#87795d" <span style="background-color:#87795d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_87795D = "#87795d";

	/**
	 * Constant color "#dab6af" <span style="background-color:#dab6af; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DAB6AF = "#dab6af";

	/**
	 * Constant color "#7dc1ef" <span style="background-color:#7dc1ef; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7DC1EF = "#7dc1ef";

	/**
	 * Constant color "#dcd4d0" <span style="background-color:#dcd4d0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DCD4D0 = "#dcd4d0";

	/**
	 * Constant color "#e15c48" <span style="background-color:#e15c48; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E15C48 = "#e15c48";

	/**
	 * Constant color "#f7fcf5" <span style="background-color:#f7fcf5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7FCF5 = "#f7fcf5";

	/**
	 * Constant color "#999999" <span style="background-color:#999999; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_999999 = "#999999";

	/**
	 * Constant color "#a1dab4" <span style="background-color:#a1dab4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A1DAB4 = "#a1dab4";

	/**
	 * Constant color "#9ca383" <span style="background-color:#9ca383; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9CA383 = "#9ca383";

	/**
	 * Constant color "#d9f0a3" <span style="background-color:#d9f0a3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D9F0A3 = "#d9f0a3";

	/**
	 * Constant color "#74a9cf" <span style="background-color:#74a9cf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_74A9CF = "#74a9cf";

	/**
	 * Constant color "#79463d" <span style="background-color:#79463d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_79463D = "#79463d";

	/**
	 * Constant color "#95c5e1" <span style="background-color:#95c5e1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_95C5E1 = "#95c5e1";

	/**
	 * Constant color "#7873c0" <span style="background-color:#7873c0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7873C0 = "#7873c0";

	/**
	 * Constant color "#f6c760" <span style="background-color:#f6c760; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F6C760 = "#f6c760";

	/**
	 * Constant color "#003c30" <span style="background-color:#003c30; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_003C30 = "#003c30";

	/**
	 * Constant color "#7fbc41" <span style="background-color:#7fbc41; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7FBC41 = "#7fbc41";

	/**
	 * Constant color "#959c9e" <span style="background-color:#959c9e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_959C9E = "#959c9e";

	/**
	 * Constant color "#f8bc58" <span style="background-color:#f8bc58; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F8BC58 = "#f8bc58";

	/**
	 * Constant color "#529985" <span style="background-color:#529985; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_529985 = "#529985";

	/**
	 * Constant color "#7f7f7f" <span style="background-color:#7f7f7f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7F7F7F = "#7f7f7f";

	/**
	 * Constant color "#e0ecf4" <span style="background-color:#e0ecf4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E0ECF4 = "#e0ecf4";

	/**
	 * Constant color "#eb641b" <span style="background-color:#eb641b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EB641B = "#eb641b";

	/**
	 * Constant color "#3b96b2" <span style="background-color:#3b96b2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3B96B2 = "#3b96b2";

	/**
	 * Constant color "#2d608a" <span style="background-color:#2d608a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2D608A = "#2d608a";

	/**
	 * Constant color "#fb934d" <span style="background-color:#fb934d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FB934D = "#fb934d";

	/**
	 * Constant color "#276419" <span style="background-color:#276419; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_276419 = "#276419";

	/**
	 * Constant color "#7411d0" <span style="background-color:#7411d0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7411D0 = "#7411d0";

	/**
	 * Constant color "#b3b3b3" <span style="background-color:#b3b3b3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B3B3B3 = "#b3b3b3";

	/**
	 * Constant color "#92aa4c" <span style="background-color:#92aa4c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_92AA4C = "#92aa4c";

	/**
	 * Constant color "#747474" <span style="background-color:#747474; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_747474 = "#747474";

	/**
	 * Constant color "#f2ec86" <span style="background-color:#f2ec86; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F2EC86 = "#f2ec86";

	/**
	 * Constant color "#e9c39b" <span style="background-color:#e9c39b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E9C39B = "#e9c39b";

	/**
	 * Constant color "#a98d63" <span style="background-color:#a98d63; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A98D63 = "#a98d63";

	/**
	 * Constant color "#383838" <span style="background-color:#383838; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_383838 = "#383838";

	/**
	 * Constant color "#d4a3c3" <span style="background-color:#d4a3c3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D4A3C3 = "#d4a3c3";

	/**
	 * Constant color "#808080" <span style="background-color:#808080; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_808080 = "#808080";

	/**
	 * Constant color "#67add4" <span style="background-color:#67add4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_67ADD4 = "#67add4";

	/**
	 * Constant color "#5b9ea4" <span style="background-color:#5b9ea4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5B9EA4 = "#5b9ea4";

	/**
	 * Constant color "#e84c22" <span style="background-color:#e84c22; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E84C22 = "#e84c22";

	/**
	 * Constant color "#a9a09d" <span style="background-color:#a9a09d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A9A09D = "#a9a09d";

	/**
	 * Constant color "#ecd2ad" <span style="background-color:#ecd2ad; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ECD2AD = "#ecd2ad";

	/**
	 * Constant color "#9c6a6a" <span style="background-color:#9c6a6a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9C6A6A = "#9c6a6a";

	/**
	 * Constant color "#fcad52" <span style="background-color:#fcad52; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FCAD52 = "#fcad52";

	/**
	 * Constant color "#9e0142" <span style="background-color:#9e0142; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9E0142 = "#9e0142";

	/**
	 * Constant color "#926591" <span style="background-color:#926591; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_926591 = "#926591";

	/**
	 * Constant color "#8ab833" <span style="background-color:#8ab833; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8AB833 = "#8ab833";

	/**
	 * Constant color "#e7d4e8" <span style="background-color:#e7d4e8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E7D4E8 = "#e7d4e8";

	/**
	 * Constant color "#d95f02" <span style="background-color:#d95f02; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D95F02 = "#d95f02";

	/**
	 * Constant color "#f47f4a" <span style="background-color:#f47f4a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F47F4A = "#f47f4a";

	/**
	 * Constant color "#aec7e8" <span style="background-color:#aec7e8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AEC7E8 = "#aec7e8";

	/**
	 * Constant color "#fdbe85" <span style="background-color:#fdbe85; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDBE85 = "#fdbe85";

	/**
	 * Constant color "#e33f43" <span style="background-color:#e33f43; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E33F43 = "#e33f43";

	/**
	 * Constant color "#90b960" <span style="background-color:#90b960; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_90B960 = "#90b960";

	/**
	 * Constant color "#df5327" <span style="background-color:#df5327; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DF5327 = "#df5327";

	/**
	 * Constant color "#ac613c" <span style="background-color:#ac613c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AC613C = "#ac613c";

	/**
	 * Constant color "#999966" <span style="background-color:#999966; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_999966 = "#999966";

	/**
	 * Constant color "#92a9b9" <span style="background-color:#92a9b9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_92A9B9 = "#92a9b9";

	/**
	 * Constant color "#60b5cc" <span style="background-color:#60b5cc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_60B5CC = "#60b5cc";

	/**
	 * Constant color "#5bd078" <span style="background-color:#5bd078; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5BD078 = "#5bd078";

	/**
	 * Constant color "#f5cd2d" <span style="background-color:#f5cd2d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F5CD2D = "#f5cd2d";

	/**
	 * Constant color "#bd0026" <span style="background-color:#bd0026; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BD0026 = "#bd0026";

	/**
	 * Constant color "#d95f0e" <span style="background-color:#d95f0e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D95F0E = "#d95f0e";

	/**
	 * Constant color "#c2e8c4" <span style="background-color:#c2e8c4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C2E8C4 = "#c2e8c4";

	/**
	 * Constant color "#fe8e7e" <span style="background-color:#fe8e7e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FE8E7E = "#fe8e7e";

	/**
	 * Constant color "#eac085" <span style="background-color:#eac085; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EAC085 = "#eac085";

	/**
	 * Constant color "#5383af" <span style="background-color:#5383af; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5383AF = "#5383af";

	/**
	 * Constant color "#c47810" <span style="background-color:#c47810; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C47810 = "#c47810";

	/**
	 * Constant color "#2cb5c0" <span style="background-color:#2cb5c0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2CB5C0 = "#2cb5c0";

	/**
	 * Constant color "#8d34e0" <span style="background-color:#8d34e0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8D34E0 = "#8d34e0";

	/**
	 * Constant color "#e45f3c" <span style="background-color:#e45f3c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E45F3C = "#e45f3c";

	/**
	 * Constant color "#7f3b08" <span style="background-color:#7f3b08; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7F3B08 = "#7f3b08";

	/**
	 * Constant color "#b2182b" <span style="background-color:#b2182b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B2182B = "#b2182b";

	/**
	 * Constant color "#3399ff" <span style="background-color:#3399ff; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3399FF = "#3399ff";

	/**
	 * Constant color "#79a8a4" <span style="background-color:#79a8a4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_79A8A4 = "#79a8a4";

	/**
	 * Constant color "#e6ab02" <span style="background-color:#e6ab02; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E6AB02 = "#e6ab02";

	/**
	 * Constant color "#74c476" <span style="background-color:#74c476; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_74C476 = "#74c476";

	/**
	 * Constant color "#00349e" <span style="background-color:#00349e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_00349E = "#00349e";

	/**
	 * Constant color "#ccaf0a" <span style="background-color:#ccaf0a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CCAF0A = "#ccaf0a";

	/**
	 * Constant color "#3288bd" <span style="background-color:#3288bd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3288BD = "#3288bd";

	/**
	 * Constant color "#cc8f63" <span style="background-color:#cc8f63; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CC8F63 = "#cc8f63";

	/**
	 * Constant color "#1e1e1e" <span style="background-color:#1e1e1e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1E1E1E = "#1e1e1e";

	/**
	 * Constant color "#dc5924" <span style="background-color:#dc5924; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DC5924 = "#dc5924";

	/**
	 * Constant color "#95c5b0" <span style="background-color:#95c5b0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_95C5B0 = "#95c5b0";

	/**
	 * Constant color "#fed9a6" <span style="background-color:#fed9a6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FED9A6 = "#fed9a6";

	/**
	 * Constant color "#67924b" <span style="background-color:#67924b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_67924B = "#67924b";

	/**
	 * Constant color "#4a8c1c" <span style="background-color:#4a8c1c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4A8C1C = "#4a8c1c";

	/**
	 * Constant color "#fdab67" <span style="background-color:#fdab67; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDAB67 = "#fdab67";

	/**
	 * Constant color "#5b8fbc" <span style="background-color:#5b8fbc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5B8FBC = "#5b8fbc";

	/**
	 * Constant color "#4a0505" <span style="background-color:#4a0505; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4A0505 = "#4a0505";

	/**
	 * Constant color "#9b7362" <span style="background-color:#9b7362; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9B7362 = "#9b7362";

	/**
	 * Constant color "#c3e394" <span style="background-color:#c3e394; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C3E394 = "#c3e394";

	/**
	 * Constant color "#4f6980" <span style="background-color:#4f6980; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4F6980 = "#4f6980";

	/**
	 * Constant color "#4f81bd" <span style="background-color:#4f81bd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4F81BD = "#4f81bd";

	/**
	 * Constant color "#af4623" <span style="background-color:#af4623; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AF4623 = "#af4623";

	/**
	 * Constant color "#c7eae5" <span style="background-color:#c7eae5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C7EAE5 = "#c7eae5";

	/**
	 * Constant color "#e28394" <span style="background-color:#e28394; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E28394 = "#e28394";

	/**
	 * Constant color "#ac8763" <span style="background-color:#ac8763; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AC8763 = "#ac8763";

	/**
	 * Constant color "#f49538" <span style="background-color:#f49538; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F49538 = "#f49538";

	/**
	 * Constant color "#730e00" <span style="background-color:#730e00; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_730E00 = "#730e00";

	/**
	 * Constant color "#cacaca" <span style="background-color:#cacaca; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CACACA = "#cacaca";

	/**
	 * Constant color "#ce69be" <span style="background-color:#ce69be; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CE69BE = "#ce69be";

	/**
	 * Constant color "#6e7a81" <span style="background-color:#6e7a81; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6E7A81 = "#6e7a81";

	/**
	 * Constant color "#4f81af" <span style="background-color:#4f81af; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4F81AF = "#4f81af";

	/**
	 * Constant color "#029676" <span style="background-color:#029676; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_029676 = "#029676";

	/**
	 * Constant color "#ccc94d" <span style="background-color:#ccc94d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CCC94D = "#ccc94d";

	/**
	 * Constant color "#bc4623" <span style="background-color:#bc4623; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BC4623 = "#bc4623";

	/**
	 * Constant color "#8074a8" <span style="background-color:#8074a8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8074A8 = "#8074a8";

	/**
	 * Constant color "#51a6c2" <span style="background-color:#51a6c2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_51A6C2 = "#51a6c2";

	/**
	 * Constant color "#ff8080" <span style="background-color:#ff8080; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF8080 = "#ff8080";

	/**
	 * Constant color "#74add1" <span style="background-color:#74add1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_74ADD1 = "#74add1";

	/**
	 * Constant color "#e40059" <span style="background-color:#e40059; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E40059 = "#e40059";

	/**
	 * Constant color "#a6611a" <span style="background-color:#a6611a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A6611A = "#a6611a";

	/**
	 * Constant color "#bf5b17" <span style="background-color:#bf5b17; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BF5B17 = "#bf5b17";

	/**
	 * Constant color "#e28b55" <span style="background-color:#e28b55; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E28B55 = "#e28b55";

	/**
	 * Constant color "#0571b0" <span style="background-color:#0571b0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_0571B0 = "#0571b0";

	/**
	 * Constant color "#9acd4c" <span style="background-color:#9acd4c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9ACD4C = "#9acd4c";

	/**
	 * Constant color "#f6bc58" <span style="background-color:#f6bc58; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F6BC58 = "#f6bc58";

	/**
	 * Constant color "#297839" <span style="background-color:#297839; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_297839 = "#297839";

	/**
	 * Constant color "#511818" <span style="background-color:#511818; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_511818 = "#511818";

	/**
	 * Constant color "#0d335e" <span style="background-color:#0d335e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_0D335E = "#0d335e";

	/**
	 * Constant color "#f0027f" <span style="background-color:#f0027f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F0027F = "#f0027f";

	/**
	 * Constant color "#b54721" <span style="background-color:#b54721; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B54721 = "#b54721";

	/**
	 * Constant color "#46b298" <span style="background-color:#46b298; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_46B298 = "#46b298";

	/**
	 * Constant color "#b3de69" <span style="background-color:#b3de69; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B3DE69 = "#b3de69";

	/**
	 * Constant color "#2f3c35" <span style="background-color:#2f3c35; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2F3C35 = "#2f3c35";

	/**
	 * Constant color "#810f7c" <span style="background-color:#810f7c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_810F7C = "#810f7c";

	/**
	 * Constant color "#f4a582" <span style="background-color:#f4a582; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F4A582 = "#f4a582";

	/**
	 * Constant color "#8c510a" <span style="background-color:#8c510a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8C510A = "#8c510a";

	/**
	 * Constant color "#b50b1b" <span style="background-color:#b50b1b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B50B1B = "#b50b1b";

	/**
	 * Constant color "#909ce1" <span style="background-color:#909ce1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_909CE1 = "#909ce1";

	/**
	 * Constant color "#ce8451" <span style="background-color:#ce8451; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CE8451 = "#ce8451";

	/**
	 * Constant color "#4576a3" <span style="background-color:#4576a3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4576A3 = "#4576a3";

	/**
	 * Constant color "#bebada" <span style="background-color:#bebada; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BEBADA = "#bebada";

	/**
	 * Constant color "#b4936d" <span style="background-color:#b4936d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B4936D = "#b4936d";

	/**
	 * Constant color "#018571" <span style="background-color:#018571; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_018571 = "#018571";

	/**
	 * Constant color "#baa094" <span style="background-color:#baa094; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BAA094 = "#baa094";

	/**
	 * Constant color "#b27d49" <span style="background-color:#b27d49; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B27D49 = "#b27d49";

	/**
	 * Constant color "#e3d8cf" <span style="background-color:#e3d8cf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E3D8CF = "#e3d8cf";

	/**
	 * Constant color "#993366" <span style="background-color:#993366; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_993366 = "#993366";

	/**
	 * Constant color "#27ced7" <span style="background-color:#27ced7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_27CED7 = "#27ced7";

	/**
	 * Constant color "#006d2c" <span style="background-color:#006d2c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_006D2C = "#006d2c";

	/**
	 * Constant color "#89c8cc" <span style="background-color:#89c8cc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_89C8CC = "#89c8cc";

	/**
	 * Constant color "#8e736a" <span style="background-color:#8e736a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8E736A = "#8e736a";

	/**
	 * Constant color "#80716a" <span style="background-color:#80716a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_80716A = "#80716a";

	/**
	 * Constant color "#980043" <span style="background-color:#980043; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_980043 = "#980043";

	/**
	 * Constant color "#b3b7b8" <span style="background-color:#b3b7b8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B3B7B8 = "#b3b7b8";

	/**
	 * Constant color "#c08262" <span style="background-color:#c08262; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C08262 = "#c08262";

	/**
	 * Constant color "#5e3c99" <span style="background-color:#5e3c99; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5E3C99 = "#5e3c99";

	/**
	 * Constant color "#d01c8b" <span style="background-color:#d01c8b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D01C8B = "#d01c8b";

	/**
	 * Constant color "#d1d1d1" <span style="background-color:#d1d1d1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D1D1D1 = "#d1d1d1";

	/**
	 * Constant color "#565656" <span style="background-color:#565656; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_565656 = "#565656";

	/**
	 * Constant color "#40004b" <span style="background-color:#40004b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_40004B = "#40004b";

	/**
	 * Constant color "#fdab9b" <span style="background-color:#fdab9b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDAB9B = "#fdab9b";

	/**
	 * Constant color "#d64a3b" <span style="background-color:#d64a3b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D64A3B = "#d64a3b";

	/**
	 * Constant color "#b77bb4" <span style="background-color:#b77bb4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B77BB4 = "#b77bb4";

	/**
	 * Constant color "#d54c45" <span style="background-color:#d54c45; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D54C45 = "#d54c45";

	/**
	 * Constant color "#ddf53d" <span style="background-color:#ddf53d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DDF53D = "#ddf53d";

	/**
	 * Constant color "#ef6548" <span style="background-color:#ef6548; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EF6548 = "#ef6548";

	/**
	 * Constant color "#fb9a99" <span style="background-color:#fb9a99; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FB9A99 = "#fb9a99";

	/**
	 * Constant color "#e39802" <span style="background-color:#e39802; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E39802 = "#e39802";

	/**
	 * Constant color "#fc4e2a" <span style="background-color:#fc4e2a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FC4E2A = "#fc4e2a";

	/**
	 * Constant color "#d6862d" <span style="background-color:#d6862d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D6862D = "#d6862d";

	/**
	 * Constant color "#bf974d" <span style="background-color:#bf974d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BF974D = "#bf974d";

	/**
	 * Constant color "#e4c402" <span style="background-color:#e4c402; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E4C402 = "#e4c402";

	/**
	 * Constant color "#fec306" <span style="background-color:#fec306; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEC306 = "#fec306";

	/**
	 * Constant color "#dc5fbd" <span style="background-color:#dc5fbd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DC5FBD = "#dc5fbd";

	/**
	 * Constant color "#f6d29c" <span style="background-color:#f6d29c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F6D29C = "#f6d29c";

	/**
	 * Constant color "#8c7b70" <span style="background-color:#8c7b70; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8C7B70 = "#8c7b70";

	/**
	 * Constant color "#9b75b2" <span style="background-color:#9b75b2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9B75B2 = "#9b75b2";

	/**
	 * Constant color "#b2e2e2" <span style="background-color:#b2e2e2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B2E2E2 = "#b2e2e2";

	/**
	 * Constant color "#f4737a" <span style="background-color:#f4737a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F4737A = "#f4737a";

	/**
	 * Constant color "#005a32" <span style="background-color:#005a32; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_005A32 = "#005a32";

	/**
	 * Constant color "#7fd13b" <span style="background-color:#7fd13b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7FD13B = "#7fd13b";

	/**
	 * Constant color "#41b6c4" <span style="background-color:#41b6c4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_41B6C4 = "#41b6c4";

	/**
	 * Constant color "#17c7ba" <span style="background-color:#17c7ba; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_17C7BA = "#17c7ba";

	/**
	 * Constant color "#fc7715" <span style="background-color:#fc7715; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FC7715 = "#fc7715";

	/**
	 * Constant color "#31a354" <span style="background-color:#31a354; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_31A354 = "#31a354";

	/**
	 * Constant color "#d9ef8b" <span style="background-color:#d9ef8b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D9EF8B = "#d9ef8b";

	/**
	 * Constant color "#fe8637" <span style="background-color:#fe8637; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FE8637 = "#fe8637";

	/**
	 * Constant color "#86ce24" <span style="background-color:#86ce24; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_86CE24 = "#86ce24";

	/**
	 * Constant color "#ef654d" <span style="background-color:#ef654d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EF654D = "#ef654d";

	/**
	 * Constant color "#347ea1" <span style="background-color:#347ea1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_347EA1 = "#347ea1";

	/**
	 * Constant color "#f03b20" <span style="background-color:#f03b20; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F03B20 = "#f03b20";

	/**
	 * Constant color "#818b3d" <span style="background-color:#818b3d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_818B3D = "#818b3d";

	/**
	 * Constant color "#fddaec" <span style="background-color:#fddaec; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDDAEC = "#fddaec";

	/**
	 * Constant color "#2f8e41" <span style="background-color:#2f8e41; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2F8E41 = "#2f8e41";

	/**
	 * Constant color "#bfb202" <span style="background-color:#bfb202; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BFB202 = "#bfb202";

	/**
	 * Constant color "#c66951" <span style="background-color:#c66951; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C66951 = "#c66951";

	/**
	 * Constant color "#e3f5db" <span style="background-color:#e3f5db; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E3F5DB = "#e3f5db";

	/**
	 * Constant color "#9c9290" <span style="background-color:#9c9290; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9C9290 = "#9c9290";

	/**
	 * Constant color "#eedbbd" <span style="background-color:#eedbbd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EEDBBD = "#eedbbd";

	/**
	 * Constant color "#69ffff" <span style="background-color:#69ffff; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_69FFFF = "#69ffff";

	/**
	 * Constant color "#c1a33b" <span style="background-color:#c1a33b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C1A33B = "#c1a33b";

	/**
	 * Constant color "#604878" <span style="background-color:#604878; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_604878 = "#604878";

	/**
	 * Constant color "#b4b392" <span style="background-color:#b4b392; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B4B392 = "#b4b392";

	/**
	 * Constant color "#ffbe7d" <span style="background-color:#ffbe7d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFBE7D = "#ffbe7d";

	/**
	 * Constant color "#fff0f0" <span style="background-color:#fff0f0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFF0F0 = "#fff0f0";

	/**
	 * Constant color "#f7a84a" <span style="background-color:#f7a84a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7A84A = "#f7a84a";

	/**
	 * Constant color "#cc312b" <span style="background-color:#cc312b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CC312B = "#cc312b";

	/**
	 * Constant color "#a4a9ab" <span style="background-color:#a4a9ab; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A4A9AB = "#a4a9ab";

	/**
	 * Constant color "#867e7b" <span style="background-color:#867e7b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_867E7B = "#867e7b";

	/**
	 * Constant color "#9c0001" <span style="background-color:#9c0001; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9C0001 = "#9c0001";

	/**
	 * Constant color "#2c7bb6" <span style="background-color:#2c7bb6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2C7BB6 = "#2c7bb6";

	/**
	 * Constant color "#ffba00" <span style="background-color:#ffba00; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFBA00 = "#ffba00";

	/**
	 * Constant color "#c2ad8d" <span style="background-color:#c2ad8d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C2AD8D = "#c2ad8d";

	/**
	 * Constant color "#4d9221" <span style="background-color:#4d9221; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4D9221 = "#4d9221";

	/**
	 * Constant color "#f07f09" <span style="background-color:#f07f09; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F07F09 = "#f07f09";

	/**
	 * Constant color "#d06b20" <span style="background-color:#d06b20; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D06B20 = "#d06b20";

	/**
	 * Constant color "#762a83" <span style="background-color:#762a83; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_762A83 = "#762a83";

	/**
	 * Constant color "#f0ad00" <span style="background-color:#f0ad00; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F0AD00 = "#f0ad00";

	/**
	 * Constant color "#df2e28" <span style="background-color:#df2e28; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DF2E28 = "#df2e28";

	/**
	 * Constant color "#5c8db8" <span style="background-color:#5c8db8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5C8DB8 = "#5c8db8";

	/**
	 * Constant color "#eb1e2c" <span style="background-color:#eb1e2c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EB1E2C = "#eb1e2c";

	/**
	 * Constant color "#f5715d" <span style="background-color:#f5715d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F5715D = "#f5715d";

	/**
	 * Constant color "#d11719" <span style="background-color:#d11719; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D11719 = "#d11719";

	/**
	 * Constant color "#f498b6" <span style="background-color:#f498b6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F498B6 = "#f498b6";

	/**
	 * Constant color "#d898ba" <span style="background-color:#d898ba; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D898BA = "#d898ba";

	/**
	 * Constant color "#bc80bd" <span style="background-color:#bc80bd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BC80BD = "#bc80bd";

	/**
	 * Constant color "#0989b1" <span style="background-color:#0989b1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_0989B1 = "#0989b1";

	/**
	 * Constant color "#ac956e" <span style="background-color:#ac956e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AC956E = "#ac956e";

	/**
	 * Constant color "#da323f" <span style="background-color:#da323f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DA323F = "#da323f";

	/**
	 * Constant color "#8d8481" <span style="background-color:#8d8481; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8D8481 = "#8d8481";

	/**
	 * Constant color "#9edae5" <span style="background-color:#9edae5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9EDAE5 = "#9edae5";

	/**
	 * Constant color "#ffc156" <span style="background-color:#ffc156; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFC156 = "#ffc156";

	/**
	 * Constant color "#6892a0" <span style="background-color:#6892a0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6892A0 = "#6892a0";

	/**
	 * Constant color "#8dab8e" <span style="background-color:#8dab8e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8DAB8E = "#8dab8e";

	/**
	 * Constant color "#b3e0a6" <span style="background-color:#b3e0a6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B3E0A6 = "#b3e0a6";

	/**
	 * Constant color "#969696" <span style="background-color:#969696; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_969696 = "#969696";

	/**
	 * Constant color "#ca0020" <span style="background-color:#ca0020; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CA0020 = "#ca0020";

	/**
	 * Constant color "#faa93a" <span style="background-color:#faa93a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FAA93A = "#faa93a";

	/**
	 * Constant color "#956b43" <span style="background-color:#956b43; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_956B43 = "#956b43";

	/**
	 * Constant color "#d7b5a6" <span style="background-color:#d7b5a6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D7B5A6 = "#d7b5a6";

	/**
	 * Constant color "#f28e2b" <span style="background-color:#f28e2b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F28E2B = "#f28e2b";

	/**
	 * Constant color "#4393c3" <span style="background-color:#4393c3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4393C3 = "#4393c3";

	/**
	 * Constant color "#76af56" <span style="background-color:#76af56; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_76AF56 = "#76af56";

	/**
	 * Constant color "#d82526" <span style="background-color:#d82526; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D82526 = "#d82526";

	/**
	 * Constant color "#f26c64" <span style="background-color:#f26c64; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F26C64 = "#f26c64";

	/**
	 * Constant color "#f1a340" <span style="background-color:#f1a340; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F1A340 = "#f1a340";

	/**
	 * Constant color "#f0774a" <span style="background-color:#f0774a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F0774A = "#f0774a";

	/**
	 * Constant color "#cc4c02" <span style="background-color:#cc4c02; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CC4C02 = "#cc4c02";

	/**
	 * Constant color "#305d8a" <span style="background-color:#305d8a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_305D8A = "#305d8a";

	/**
	 * Constant color "#5d5ad2" <span style="background-color:#5d5ad2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5D5AD2 = "#5d5ad2";

	/**
	 * Constant color "#1f83b4" <span style="background-color:#1f83b4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1F83B4 = "#1f83b4";

	/**
	 * Constant color "#e94a00" <span style="background-color:#e94a00; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E94A00 = "#e94a00";

	/**
	 * Constant color "#b2324b" <span style="background-color:#b2324b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B2324B = "#b2324b";

	/**
	 * Constant color "#87706b" <span style="background-color:#87706b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_87706B = "#87706b";

	/**
	 * Constant color "#ae123a" <span style="background-color:#ae123a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AE123A = "#ae123a";

	/**
	 * Constant color "#a5c249" <span style="background-color:#a5c249; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A5C249 = "#a5c249";

	/**
	 * Constant color "#c2bc80" <span style="background-color:#c2bc80; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C2BC80 = "#c2bc80";

	/**
	 * Constant color "#a84415" <span style="background-color:#a84415; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A84415 = "#a84415";

	/**
	 * Constant color "#f4de3a" <span style="background-color:#f4de3a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F4DE3A = "#f4de3a";

	/**
	 * Constant color "#542d90" <span style="background-color:#542d90; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_542D90 = "#542d90";

	/**
	 * Constant color "#f0dccd" <span style="background-color:#f0dccd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F0DCCD = "#f0dccd";

	/**
	 * Constant color "#f2fabf" <span style="background-color:#f2fabf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F2FABF = "#f2fabf";

	/**
	 * Constant color "#b0ccb0" <span style="background-color:#b0ccb0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B0CCB0 = "#b0ccb0";

	/**
	 * Constant color "#4b4b4b" <span style="background-color:#4b4b4b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4B4B4B = "#4b4b4b";

	/**
	 * Constant color "#d7d447" <span style="background-color:#d7d447; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D7D447 = "#d7d447";

	/**
	 * Constant color "#ad0101" <span style="background-color:#ad0101; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AD0101 = "#ad0101";

	/**
	 * Constant color "#ad8082" <span style="background-color:#ad8082; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AD8082 = "#ad8082";

	/**
	 * Constant color "#ff8021" <span style="background-color:#ff8021; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF8021 = "#ff8021";

	/**
	 * Constant color "#2e5f8a" <span style="background-color:#2e5f8a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2E5F8A = "#2e5f8a";

	/**
	 * Constant color "#f6e8c3" <span style="background-color:#f6e8c3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F6E8C3 = "#f6e8c3";

	/**
	 * Constant color "#bab2ae" <span style="background-color:#bab2ae; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BAB2AE = "#bab2ae";

	/**
	 * Constant color "#ff800e" <span style="background-color:#ff800e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF800E = "#ff800e";

	/**
	 * Constant color "#a0d571" <span style="background-color:#a0d571; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A0D571 = "#a0d571";

	/**
	 * Constant color "#084081" <span style="background-color:#084081; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_084081 = "#084081";

	/**
	 * Constant color "#8ac765" <span style="background-color:#8ac765; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8AC765 = "#8ac765";

	/**
	 * Constant color "#7fcdbb" <span style="background-color:#7fcdbb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7FCDBB = "#7fcdbb";

	/**
	 * Constant color "#777777" <span style="background-color:#777777; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_777777 = "#777777";

	/**
	 * Constant color "#de9c3c" <span style="background-color:#de9c3c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DE9C3C = "#de9c3c";

	/**
	 * Constant color "#a699e8" <span style="background-color:#a699e8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A699E8 = "#a699e8";

	/**
	 * Constant color "#543005" <span style="background-color:#543005; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_543005 = "#543005";

	/**
	 * Constant color "#c0cf3a" <span style="background-color:#c0cf3a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C0CF3A = "#c0cf3a";

	/**
	 * Constant color "#f2f2f2" <span style="background-color:#f2f2f2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F2F2F2 = "#f2f2f2";

	/**
	 * Constant color "#e5d8bd" <span style="background-color:#e5d8bd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E5D8BD = "#e5d8bd";

	/**
	 * Constant color "#8c2d04" <span style="background-color:#8c2d04; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8C2D04 = "#8c2d04";

	/**
	 * Constant color "#67787b" <span style="background-color:#67787b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_67787B = "#67787b";

	/**
	 * Constant color "#4584d3" <span style="background-color:#4584d3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4584D3 = "#4584d3";

	/**
	 * Constant color "#cd9c47" <span style="background-color:#cd9c47; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CD9C47 = "#cd9c47";

	/**
	 * Constant color "#69aa56" <span style="background-color:#69aa56; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_69AA56 = "#69aa56";

	/**
	 * Constant color "#9ec544" <span style="background-color:#9ec544; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9EC544 = "#9ec544";

	/**
	 * Constant color "#e25247" <span style="background-color:#e25247; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E25247 = "#e25247";

	/**
	 * Constant color "#615d9a" <span style="background-color:#615d9a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_615D9A = "#615d9a";

	/**
	 * Constant color "#8c6bb1" <span style="background-color:#8c6bb1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8C6BB1 = "#8c6bb1";

	/**
	 * Constant color "#6aac90" <span style="background-color:#6aac90; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6AAC90 = "#6aac90";

	/**
	 * Constant color "#4c6f75" <span style="background-color:#4c6f75; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4C6F75 = "#4c6f75";

	/**
	 * Constant color "#6aac91" <span style="background-color:#6aac91; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6AAC91 = "#6aac91";

	/**
	 * Constant color "#398949" <span style="background-color:#398949; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_398949 = "#398949";

	/**
	 * Constant color "#e6f598" <span style="background-color:#e6f598; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E6F598 = "#e6f598";

	/**
	 * Constant color "#4e66b2" <span style="background-color:#4e66b2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4E66B2 = "#4e66b2";

	/**
	 * Constant color "#525252" <span style="background-color:#525252; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_525252 = "#525252";

	/**
	 * Constant color "#9b93c9" <span style="background-color:#9b93c9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9B93C9 = "#9b93c9";

	/**
	 * Constant color "#90cb68" <span style="background-color:#90cb68; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_90CB68 = "#90cb68";

	/**
	 * Constant color "#2b8cbe" <span style="background-color:#2b8cbe; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2B8CBE = "#2b8cbe";

	/**
	 * Constant color "#fbb4ae" <span style="background-color:#fbb4ae; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FBB4AE = "#fbb4ae";

	/**
	 * Constant color "#707c83" <span style="background-color:#707c83; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_707C83 = "#707c83";

	/**
	 * Constant color "#e19825" <span style="background-color:#e19825; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E19825 = "#e19825";

	/**
	 * Constant color "#fbb4b9" <span style="background-color:#fbb4b9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FBB4B9 = "#fbb4b9";

	/**
	 * Constant color "#40619d" <span style="background-color:#40619d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_40619D = "#40619d";

	/**
	 * Constant color "#549e39" <span style="background-color:#549e39; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_549E39 = "#549e39";

	/**
	 * Constant color "#bababa" <span style="background-color:#bababa; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BABABA = "#bababa";

	/**
	 * Constant color "#d34817" <span style="background-color:#d34817; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D34817 = "#d34817";

	/**
	 * Constant color "#4bcaad" <span style="background-color:#4bcaad; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4BCAAD = "#4bcaad";

	/**
	 * Constant color "#53548a" <span style="background-color:#53548a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_53548A = "#53548a";

	/**
	 * Constant color "#d9f0d3" <span style="background-color:#d9f0d3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D9F0D3 = "#d9f0d3";

	/**
	 * Constant color "#c85200" <span style="background-color:#c85200; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C85200 = "#c85200";

	/**
	 * Constant color "#a0988c" <span style="background-color:#a0988c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A0988C = "#a0988c";

	/**
	 * Constant color "#838383" <span style="background-color:#838383; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_838383 = "#838383";

	/**
	 * Constant color "#f9856e" <span style="background-color:#f9856e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F9856E = "#f9856e";

	/**
	 * Constant color "#8dd3c7" <span style="background-color:#8dd3c7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8DD3C7 = "#8dd3c7";

	/**
	 * Constant color "#44709d" <span style="background-color:#44709d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_44709D = "#44709d";

	/**
	 * Constant color "#f88f4d" <span style="background-color:#f88f4d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F88F4D = "#f88f4d";

	/**
	 * Constant color "#3f3f3f" <span style="background-color:#3f3f3f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3F3F3F = "#3f3f3f";

	/**
	 * Constant color "#c5bdb9" <span style="background-color:#c5bdb9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C5BDB9 = "#c5bdb9";

	/**
	 * Constant color "#a0a7a8" <span style="background-color:#a0a7a8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A0A7A8 = "#a0a7a8";

	/**
	 * Constant color "#5f9ed1" <span style="background-color:#5f9ed1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5F9ED1 = "#5f9ed1";

	/**
	 * Constant color "#e4aa63" <span style="background-color:#e4aa63; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E4AA63 = "#e4aa63";

	/**
	 * Constant color "#99cc00" <span style="background-color:#99cc00; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_99CC00 = "#99cc00";

	/**
	 * Constant color "#c913ad" <span style="background-color:#c913ad; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C913AD = "#c913ad";

	/**
	 * Constant color "#9c007f" <span style="background-color:#9c007f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9C007F = "#9c007f";

	/**
	 * Constant color "#e64823" <span style="background-color:#e64823; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E64823 = "#e64823";

	/**
	 * Constant color "#e6c069" <span style="background-color:#e6c069; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E6C069 = "#e6c069";

	/**
	 * Constant color "#c17529" <span style="background-color:#c17529; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C17529 = "#c17529";

	/**
	 * Constant color "#afbf41" <span style="background-color:#afbf41; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AFBF41 = "#afbf41";

	/**
	 * Constant color "#a9a57c" <span style="background-color:#a9a57c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A9A57C = "#a9a57c";

	/**
	 * Constant color "#797b7e" <span style="background-color:#797b7e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_797B7E = "#797b7e";

	/**
	 * Constant color "#4e8542" <span style="background-color:#4e8542; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4E8542 = "#4e8542";

	/**
	 * Constant color "#4f9e53" <span style="background-color:#4f9e53; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4F9E53 = "#4f9e53";

	/**
	 * Constant color "#66b1ce" <span style="background-color:#66b1ce; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_66B1CE = "#66b1ce";

	/**
	 * Constant color "#35978f" <span style="background-color:#35978f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_35978F = "#35978f";

	/**
	 * Constant color "#9c5b14" <span style="background-color:#9c5b14; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9C5B14 = "#9c5b14";

	/**
	 * Constant color "#4878a6" <span style="background-color:#4878a6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4878A6 = "#4878a6";

	/**
	 * Constant color "#fccde5" <span style="background-color:#fccde5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FCCDE5 = "#fccde5";

	/**
	 * Constant color "#ff8427" <span style="background-color:#ff8427; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF8427 = "#ff8427";

	/**
	 * Constant color "#437a9f" <span style="background-color:#437a9f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_437A9F = "#437a9f";

	/**
	 * Constant color "#034e7b" <span style="background-color:#034e7b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_034E7B = "#034e7b";

	/**
	 * Constant color "#feebe2" <span style="background-color:#feebe2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEEBE2 = "#feebe2";

	/**
	 * Constant color "#c6c6c6" <span style="background-color:#c6c6c6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C6C6C6 = "#c6c6c6";

	/**
	 * Constant color "#32779b" <span style="background-color:#32779b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_32779B = "#32779b";

	/**
	 * Constant color "#a1d76a" <span style="background-color:#a1d76a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A1D76A = "#a1d76a";

	/**
	 * Constant color "#4e79a7" <span style="background-color:#4e79a7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4E79A7 = "#4e79a7";

	/**
	 * Constant color "#da5af4" <span style="background-color:#da5af4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DA5AF4 = "#da5af4";

	/**
	 * Constant color "#7c878d" <span style="background-color:#7c878d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7C878D = "#7c878d";

	/**
	 * Constant color "#fe9929" <span style="background-color:#fe9929; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FE9929 = "#fe9929";

	/**
	 * Constant color "#c5a6e8" <span style="background-color:#c5a6e8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C5A6E8 = "#c5a6e8";

	/**
	 * Constant color "#e03426" <span style="background-color:#e03426; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E03426 = "#e03426";

	/**
	 * Constant color "#b9aa97" <span style="background-color:#b9aa97; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B9AA97 = "#b9aa97";

	/**
	 * Constant color "#2c69b0" <span style="background-color:#2c69b0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2C69B0 = "#2c69b0";

	/**
	 * Constant color "#fa9fb5" <span style="background-color:#fa9fb5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FA9FB5 = "#fa9fb5";

	/**
	 * Constant color "#a50e82" <span style="background-color:#a50e82; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A50E82 = "#a50e82";

	/**
	 * Constant color "#b80e0f" <span style="background-color:#b80e0f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B80E0F = "#b80e0f";

	/**
	 * Constant color "#616c77" <span style="background-color:#616c77; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_616C77 = "#616c77";

	/**
	 * Constant color "#f7894b" <span style="background-color:#f7894b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7894B = "#f7894b";

	/**
	 * Constant color "#82853b" <span style="background-color:#82853b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_82853B = "#82853b";

	/**
	 * Constant color "#62a39f" <span style="background-color:#62a39f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_62A39F = "#62a39f";

	/**
	 * Constant color "#2a5783" <span style="background-color:#2a5783; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2A5783 = "#2a5783";

	/**
	 * Constant color "#4a1486" <span style="background-color:#4a1486; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4A1486 = "#4a1486";

	/**
	 * Constant color "#b66353" <span style="background-color:#b66353; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B66353 = "#b66353";

	/**
	 * Constant color "#be89ac" <span style="background-color:#be89ac; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BE89AC = "#be89ac";

	/**
	 * Constant color "#a35dd1" <span style="background-color:#a35dd1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A35DD1 = "#a35dd1";

	/**
	 * Constant color "#7d639b" <span style="background-color:#7d639b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7D639B = "#7d639b";

	/**
	 * Constant color "#5c6068" <span style="background-color:#5c6068; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5C6068 = "#5c6068";

	/**
	 * Constant color "#84ac9d" <span style="background-color:#84ac9d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_84AC9D = "#84ac9d";

	/**
	 * Constant color "#014636" <span style="background-color:#014636; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_014636 = "#014636";

	/**
	 * Constant color "#e48312" <span style="background-color:#e48312; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E48312 = "#e48312";

	/**
	 * Constant color "#6585cf" <span style="background-color:#6585cf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6585CF = "#6585cf";

	/**
	 * Constant color "#595959" <span style="background-color:#595959; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_595959 = "#595959";

	/**
	 * Constant color "#9f2936" <span style="background-color:#9f2936; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9F2936 = "#9f2936";

	/**
	 * Constant color "#deb340" <span style="background-color:#deb340; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DEB340 = "#deb340";

	/**
	 * Constant color "#d25921" <span style="background-color:#d25921; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D25921 = "#d25921";

	/**
	 * Constant color "#dc5447" <span style="background-color:#dc5447; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DC5447 = "#dc5447";

	/**
	 * Constant color "#00addc" <span style="background-color:#00addc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_00ADDC = "#00addc";

	/**
	 * Constant color "#5fa2ce" <span style="background-color:#5fa2ce; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5FA2CE = "#5fa2ce";

	/**
	 * Constant color "#db5e20" <span style="background-color:#db5e20; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DB5E20 = "#db5e20";

	/**
	 * Constant color "#c3c55d" <span style="background-color:#c3c55d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C3C55D = "#c3c55d";

	/**
	 * Constant color "#b5ae53" <span style="background-color:#b5ae53; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B5AE53 = "#b5ae53";

	/**
	 * Constant color "#256f3d" <span style="background-color:#256f3d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_256F3D = "#256f3d";

	/**
	 * Constant color "#7b3294" <span style="background-color:#7b3294; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7B3294 = "#7b3294";

	/**
	 * Constant color "#ad8bc9" <span style="background-color:#ad8bc9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AD8BC9 = "#ad8bc9";

	/**
	 * Constant color "#000000" <span style="background-color:#000000; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_000000 = "#000000";

	/**
	 * Constant color "#c0beaf" <span style="background-color:#c0beaf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C0BEAF = "#c0beaf";

	/**
	 * Constant color "#8c564b" <span style="background-color:#8c564b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8C564B = "#8c564b";

	/**
	 * Constant color "#984ea3" <span style="background-color:#984ea3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_984EA3 = "#984ea3";

	/**
	 * Constant color "#e6b729" <span style="background-color:#e6b729; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E6B729 = "#e6b729";

	/**
	 * Constant color "#c92b14" <span style="background-color:#c92b14; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C92B14 = "#c92b14";

	/**
	 * Constant color "#fdcc8a" <span style="background-color:#fdcc8a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDCC8A = "#fdcc8a";

	/**
	 * Constant color "#59a14f" <span style="background-color:#59a14f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_59A14F = "#59a14f";

	/**
	 * Constant color "#e6f5d0" <span style="background-color:#e6f5d0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E6F5D0 = "#e6f5d0";

	/**
	 * Constant color "#94917b" <span style="background-color:#94917b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_94917B = "#94917b";

	/**
	 * Constant color "#800080" <span style="background-color:#800080; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_800080 = "#800080";

	/**
	 * Constant color "#a50026" <span style="background-color:#a50026; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A50026 = "#a50026";

	/**
	 * Constant color "#fc8d62" <span style="background-color:#fc8d62; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FC8D62 = "#fc8d62";

	/**
	 * Constant color "#cdcecd" <span style="background-color:#cdcecd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CDCECD = "#cdcecd";

	/**
	 * Constant color "#e6f5c9" <span style="background-color:#e6f5c9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E6F5C9 = "#e6f5c9";

	/**
	 * Constant color "#ffeda0" <span style="background-color:#ffeda0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFEDA0 = "#ffeda0";

	/**
	 * Constant color "#26897e" <span style="background-color:#26897e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_26897E = "#26897e";

	/**
	 * Constant color "#253494" <span style="background-color:#253494; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_253494 = "#253494";

	/**
	 * Constant color "#80b606" <span style="background-color:#80b606; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_80B606 = "#80b606";

	/**
	 * Constant color "#1b7837" <span style="background-color:#1b7837; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1B7837 = "#1b7837";

	/**
	 * Constant color "#1c4596" <span style="background-color:#1c4596; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1C4596 = "#1c4596";

	/**
	 * Constant color "#b88472" <span style="background-color:#b88472; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B88472 = "#b88472";

	/**
	 * Constant color "#b1a089" <span style="background-color:#b1a089; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B1A089 = "#b1a089";

	/**
	 * Constant color "#7bc8e2" <span style="background-color:#7bc8e2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7BC8E2 = "#7bc8e2";

	/**
	 * Constant color "#2ca25f" <span style="background-color:#2ca25f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2CA25F = "#2ca25f";

	/**
	 * Constant color "#77a2bb" <span style="background-color:#77a2bb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_77A2BB = "#77a2bb";

	/**
	 * Constant color "#b81840" <span style="background-color:#b81840; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B81840 = "#b81840";

	/**
	 * Constant color "#9a92cd" <span style="background-color:#9a92cd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9A92CD = "#9a92cd";

	/**
	 * Constant color "#7b848f" <span style="background-color:#7b848f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7B848F = "#7b848f";

	/**
	 * Constant color "#b32c16" <span style="background-color:#b32c16; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B32C16 = "#b32c16";

	/**
	 * Constant color "#d1e5f0" <span style="background-color:#d1e5f0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D1E5F0 = "#d1e5f0";

	/**
	 * Constant color "#ee7008" <span style="background-color:#ee7008; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EE7008 = "#ee7008";

	/**
	 * Constant color "#60636a" <span style="background-color:#60636a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_60636A = "#60636a";

	/**
	 * Constant color "#f0f0f0" <span style="background-color:#f0f0f0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F0F0F0 = "#f0f0f0";

	/**
	 * Constant color "#ff6600" <span style="background-color:#ff6600; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF6600 = "#ff6600";

	/**
	 * Constant color "#76b7b2" <span style="background-color:#76b7b2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_76B7B2 = "#76b7b2";

	/**
	 * Constant color "#9de61e" <span style="background-color:#9de61e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9DE61E = "#9de61e";

	/**
	 * Constant color "#c96731" <span style="background-color:#c96731; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C96731 = "#c96731";

	/**
	 * Constant color "#f7c480" <span style="background-color:#f7c480; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7C480 = "#f7c480";

	/**
	 * Constant color "#8f7a05" <span style="background-color:#8f7a05; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8F7A05 = "#8f7a05";

	/**
	 * Constant color "#80b0d5" <span style="background-color:#80b0d5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_80B0D5 = "#80b0d5";

	/**
	 * Constant color "#1f77b4" <span style="background-color:#1f77b4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1F77B4 = "#1f77b4";

	/**
	 * Constant color "#ff9da7" <span style="background-color:#ff9da7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF9DA7 = "#ff9da7";

	/**
	 * Constant color "#7abc5f" <span style="background-color:#7abc5f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7ABC5F = "#7abc5f";

	/**
	 * Constant color "#4575b4" <span style="background-color:#4575b4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4575B4 = "#4575b4";

	/**
	 * Constant color "#f3f7fd" <span style="background-color:#f3f7fd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F3F7FD = "#f3f7fd";

	/**
	 * Constant color "#848058" <span style="background-color:#848058; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_848058 = "#848058";

	/**
	 * Constant color "#918485" <span style="background-color:#918485; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_918485 = "#918485";

	/**
	 * Constant color "#2b5c8a" <span style="background-color:#2b5c8a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2B5C8A = "#2b5c8a";

	/**
	 * Constant color "#428f49" <span style="background-color:#428f49; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_428F49 = "#428f49";

	/**
	 * Constant color "#6e9ec2" <span style="background-color:#6e9ec2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6E9EC2 = "#6e9ec2";

	/**
	 * Constant color "#f5a645" <span style="background-color:#f5a645; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F5A645 = "#f5a645";

	/**
	 * Constant color "#64cdcc" <span style="background-color:#64cdcc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_64CDCC = "#64cdcc";

	/**
	 * Constant color "#26456e" <span style="background-color:#26456e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_26456E = "#26456e";

	/**
	 * Constant color "#964305" <span style="background-color:#964305; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_964305 = "#964305";

	/**
	 * Constant color "#3679a8" <span style="background-color:#3679a8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3679A8 = "#3679a8";

	/**
	 * Constant color "#4d004b" <span style="background-color:#4d004b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4D004B = "#4d004b";

	/**
	 * Constant color "#99987f" <span style="background-color:#99987f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_99987F = "#99987f";

	/**
	 * Constant color "#f768a1" <span style="background-color:#f768a1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F768A1 = "#f768a1";

	/**
	 * Constant color "#c46487" <span style="background-color:#c46487; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C46487 = "#c46487";

	/**
	 * Constant color "#ea5e45" <span style="background-color:#ea5e45; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EA5E45 = "#ea5e45";

	/**
	 * Constant color "#d55816" <span style="background-color:#d55816; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D55816 = "#d55816";

	/**
	 * Constant color "#a379bb" <span style="background-color:#a379bb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A379BB = "#a379bb";

	/**
	 * Constant color "#e29f1d" <span style="background-color:#e29f1d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E29F1D = "#e29f1d";

	/**
	 * Constant color "#dd1c77" <span style="background-color:#dd1c77; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DD1C77 = "#dd1c77";

	/**
	 * Constant color "#fee090" <span style="background-color:#fee090; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEE090 = "#fee090";

	/**
	 * Constant color "#f5cac7" <span style="background-color:#f5cac7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F5CAC7 = "#f5cac7";

	/**
	 * Constant color "#00441b" <span style="background-color:#00441b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_00441B = "#00441b";

	/**
	 * Constant color "#feb80a" <span style="background-color:#feb80a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEB80A = "#feb80a";

	/**
	 * Constant color "#e6583e" <span style="background-color:#e6583e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E6583E = "#e6583e";

	/**
	 * Constant color "#428f4d" <span style="background-color:#428f4d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_428F4D = "#428f4d";

	/**
	 * Constant color "#fee08b" <span style="background-color:#fee08b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEE08B = "#fee08b";

	/**
	 * Constant color "#d38c54" <span style="background-color:#d38c54; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D38C54 = "#d38c54";

	/**
	 * Constant color "#6e016b" <span style="background-color:#6e016b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6E016B = "#6e016b";

	/**
	 * Constant color "#b2df8a" <span style="background-color:#b2df8a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B2DF8A = "#b2df8a";

	/**
	 * Constant color "#b22600" <span style="background-color:#b22600; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B22600 = "#b22600";

	/**
	 * Constant color "#33a65c" <span style="background-color:#33a65c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_33A65C = "#33a65c";

	/**
	 * Constant color "#fdc086" <span style="background-color:#fdc086; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDC086 = "#fdc086";

	/**
	 * Constant color "#b9a0b4" <span style="background-color:#b9a0b4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B9A0B4 = "#b9a0b4";

	/**
	 * Constant color "#92a185" <span style="background-color:#92a185; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_92A185 = "#92a185";

	/**
	 * Constant color "#000080" <span style="background-color:#000080; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_000080 = "#000080";

	/**
	 * Constant color "#d64787" <span style="background-color:#d64787; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D64787 = "#d64787";

	/**
	 * Constant color "#f7fbff" <span style="background-color:#f7fbff; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7FBFF = "#f7fbff";

	/**
	 * Constant color "#deae00" <span style="background-color:#deae00; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DEAE00 = "#deae00";

	/**
	 * Constant color "#907f76" <span style="background-color:#907f76; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_907F76 = "#907f76";

	/**
	 * Constant color "#fcc5c0" <span style="background-color:#fcc5c0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FCC5C0 = "#fcc5c0";

	/**
	 * Constant color "#800026" <span style="background-color:#800026; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_800026 = "#800026";

	/**
	 * Constant color "#40914f" <span style="background-color:#40914f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_40914F = "#40914f";

	/**
	 * Constant color "#7fbf7b" <span style="background-color:#7fbf7b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7FBF7B = "#7fbf7b";

	/**
	 * Constant color "#009dd9" <span style="background-color:#009dd9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_009DD9 = "#009dd9";

	/**
	 * Constant color "#5b9bd5" <span style="background-color:#5b9bd5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5B9BD5 = "#5b9bd5";

	/**
	 * Constant color "#cadaf1" <span style="background-color:#cadaf1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CADAF1 = "#cadaf1";

	/**
	 * Constant color "#dce8f8" <span style="background-color:#dce8f8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DCE8F8 = "#dce8f8";

	/**
	 * Constant color "#d3ba68" <span style="background-color:#d3ba68; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D3BA68 = "#d3ba68";

	/**
	 * Constant color "#79aacf" <span style="background-color:#79aacf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_79AACF = "#79aacf";

	/**
	 * Constant color "#7e6bc9" <span style="background-color:#7e6bc9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7E6BC9 = "#7e6bc9";

	/**
	 * Constant color "#508709" <span style="background-color:#508709; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_508709 = "#508709";

	/**
	 * Constant color "#bd273f" <span style="background-color:#bd273f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BD273F = "#bd273f";

	/**
	 * Constant color "#8cc2ca" <span style="background-color:#8cc2ca; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8CC2CA = "#8cc2ca";

	/**
	 * Constant color "#f02720" <span style="background-color:#f02720; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F02720 = "#f02720";

	/**
	 * Constant color "#f79646" <span style="background-color:#f79646; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F79646 = "#f79646";

	/**
	 * Constant color "#fbc01e" <span style="background-color:#fbc01e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FBC01E = "#fbc01e";

	/**
	 * Constant color "#2fa3ee" <span style="background-color:#2fa3ee; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2FA3EE = "#2fa3ee";

	/**
	 * Constant color "#a9b5ae" <span style="background-color:#a9b5ae; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A9B5AE = "#a9b5ae";

	/**
	 * Constant color "#cccccc" <span style="background-color:#cccccc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CCCCCC = "#cccccc";

	/**
	 * Constant color "#645135" <span style="background-color:#645135; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_645135 = "#645135";

	/**
	 * Constant color "#5ab4ac" <span style="background-color:#5ab4ac; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5AB4AC = "#5ab4ac";

	/**
	 * Constant color "#4ba5ba" <span style="background-color:#4ba5ba; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4BA5BA = "#4ba5ba";

	/**
	 * Constant color "#d7b5d8" <span style="background-color:#d7b5d8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D7B5D8 = "#d7b5d8";

	/**
	 * Constant color "#de478e" <span style="background-color:#de478e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DE478E = "#de478e";

	/**
	 * Constant color "#016450" <span style="background-color:#016450; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_016450 = "#016450";

	/**
	 * Constant color "#75bda7" <span style="background-color:#75bda7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_75BDA7 = "#75bda7";

	/**
	 * Constant color "#c3c3c3" <span style="background-color:#c3c3c3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C3C3C3 = "#c3c3c3";

	/**
	 * Constant color "#7bccc4" <span style="background-color:#7bccc4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7BCCC4 = "#7bccc4";

	/**
	 * Constant color "#ffcc9e" <span style="background-color:#ffcc9e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFCC9E = "#ffcc9e";

	/**
	 * Constant color "#ee7422" <span style="background-color:#ee7422; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EE7422 = "#ee7422";

	/**
	 * Constant color "#8073ac" <span style="background-color:#8073ac; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8073AC = "#8073ac";

	/**
	 * Constant color "#800000" <span style="background-color:#800000; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_800000 = "#800000";

	/**
	 * Constant color "#83992a" <span style="background-color:#83992a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_83992A = "#83992a";

	/**
	 * Constant color "#fa8d3d" <span style="background-color:#fa8d3d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FA8D3D = "#fa8d3d";

	/**
	 * Constant color "#d3c95f" <span style="background-color:#d3c95f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D3C95F = "#d3c95f";

	/**
	 * Constant color "#c51b8a" <span style="background-color:#c51b8a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C51B8A = "#c51b8a";

	/**
	 * Constant color "#d5f0ca" <span style="background-color:#d5f0ca; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D5F0CA = "#d5f0ca";

	/**
	 * Constant color "#dde6d9" <span style="background-color:#dde6d9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DDE6D9 = "#dde6d9";

	/**
	 * Constant color "#393939" <span style="background-color:#393939; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_393939 = "#393939";

	/**
	 * Constant color "#6b9bc7" <span style="background-color:#6b9bc7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6B9BC7 = "#6b9bc7";

	/**
	 * Constant color "#89b8da" <span style="background-color:#89b8da; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_89B8DA = "#89b8da";

	/**
	 * Constant color "#d6604d" <span style="background-color:#d6604d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D6604D = "#d6604d";

	/**
	 * Constant color "#b4b19b" <span style="background-color:#b4b19b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B4B19B = "#b4b19b";

	/**
	 * Constant color "#0a96e4" <span style="background-color:#0a96e4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_0A96E4 = "#0a96e4";

	/**
	 * Constant color "#bd582c" <span style="background-color:#bd582c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BD582C = "#bd582c";

	/**
	 * Constant color "#c64a22" <span style="background-color:#c64a22; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C64A22 = "#c64a22";

	/**
	 * Constant color "#3e8853" <span style="background-color:#3e8853; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3E8853 = "#3e8853";

	/**
	 * Constant color "#c0504d" <span style="background-color:#c0504d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C0504D = "#c0504d";

	/**
	 * Constant color "#419eb6" <span style="background-color:#419eb6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_419EB6 = "#419eb6";

	/**
	 * Constant color "#5e4fa2" <span style="background-color:#5e4fa2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5E4FA2 = "#5e4fa2";

	/**
	 * Constant color "#f16913" <span style="background-color:#f16913; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F16913 = "#f16913";

	/**
	 * Constant color "#e31a1c" <span style="background-color:#e31a1c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E31A1C = "#e31a1c";

	/**
	 * Constant color "#2683c6" <span style="background-color:#2683c6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2683C6 = "#2683c6";

	/**
	 * Constant color "#225ea8" <span style="background-color:#225ea8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_225EA8 = "#225ea8";

	/**
	 * Constant color "#f3f3f3" <span style="background-color:#f3f3f3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F3F3F3 = "#f3f3f3";

	/**
	 * Constant color "#bdbdbd" <span style="background-color:#bdbdbd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BDBDBD = "#bdbdbd";

	/**
	 * Constant color "#bdd7e7" <span style="background-color:#bdd7e7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BDD7E7 = "#bdd7e7";

	/**
	 * Constant color "#f3e0c2" <span style="background-color:#f3e0c2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F3E0C2 = "#f3e0c2";

	/**
	 * Constant color "#4a66ac" <span style="background-color:#4a66ac; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4A66AC = "#4a66ac";

	/**
	 * Constant color "#656a59" <span style="background-color:#656a59; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_656A59 = "#656a59";

	/**
	 * Constant color "#70a525" <span style="background-color:#70a525; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_70A525 = "#70a525";

	/**
	 * Constant color "#88419d" <span style="background-color:#88419d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_88419D = "#88419d";

	/**
	 * Constant color "#519c51" <span style="background-color:#519c51; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_519C51 = "#519c51";

	/**
	 * Constant color "#c51b7d" <span style="background-color:#c51b7d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C51B7D = "#c51b7d";

	/**
	 * Constant color "#2c7fb8" <span style="background-color:#2c7fb8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2C7FB8 = "#2c7fb8";

	/**
	 * Constant color "#008837" <span style="background-color:#008837; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_008837 = "#008837";

	/**
	 * Constant color "#ccccff" <span style="background-color:#ccccff; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CCCCFF = "#ccccff";

	/**
	 * Constant color "#f9a729" <span style="background-color:#f9a729; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F9A729 = "#f9a729";

	/**
	 * Constant color "#6b4a0b" <span style="background-color:#6b4a0b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6B4A0B = "#6b4a0b";

	/**
	 * Constant color "#2c7c9f" <span style="background-color:#2c7c9f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2C7C9F = "#2c7c9f";

	/**
	 * Constant color "#728653" <span style="background-color:#728653; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_728653 = "#728653";

	/**
	 * Constant color "#d0dcef" <span style="background-color:#d0dcef; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D0DCEF = "#d0dcef";

	/**
	 * Constant color "#bcbfbe" <span style="background-color:#bcbfbe; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BCBFBE = "#bcbfbe";

	/**
	 * Constant color "#a2c816" <span style="background-color:#a2c816; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A2C816 = "#a2c816";

	/**
	 * Constant color "#b9ddf1" <span style="background-color:#b9ddf1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B9DDF1 = "#b9ddf1";

	/**
	 * Constant color "#f46b55" <span style="background-color:#f46b55; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F46B55 = "#f46b55";

	/**
	 * Constant color "#fa7e5c" <span style="background-color:#fa7e5c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FA7E5C = "#fa7e5c";

	/**
	 * Constant color "#08589e" <span style="background-color:#08589e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_08589E = "#08589e";

	/**
	 * Constant color "#878787" <span style="background-color:#878787; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_878787 = "#878787";

	/**
	 * Constant color "#cf1719" <span style="background-color:#cf1719; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CF1719 = "#cf1719";

	/**
	 * Constant color "#ad7d4d" <span style="background-color:#ad7d4d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AD7D4D = "#ad7d4d";

	/**
	 * Constant color "#309343" <span style="background-color:#309343; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_309343 = "#309343";

	/**
	 * Constant color "#016c59" <span style="background-color:#016c59; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_016C59 = "#016c59";

	/**
	 * Constant color "#c6ebb8" <span style="background-color:#c6ebb8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C6EBB8 = "#c6ebb8";

	/**
	 * Constant color "#8d35d1" <span style="background-color:#8d35d1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8D35D1 = "#8d35d1";

	/**
	 * Constant color "#324966" <span style="background-color:#324966; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_324966 = "#324966";

	/**
	 * Constant color "#a23c33" <span style="background-color:#a23c33; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A23C33 = "#a23c33";

	/**
	 * Constant color "#e8b777" <span style="background-color:#e8b777; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E8B777 = "#e8b777";

	/**
	 * Constant color "#252525" <span style="background-color:#252525; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_252525 = "#252525";

	/**
	 * Constant color "#4b5a60" <span style="background-color:#4b5a60; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4B5A60 = "#4b5a60";

	/**
	 * Constant color "#bfd3e6" <span style="background-color:#bfd3e6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BFD3E6 = "#bfd3e6";

	/**
	 * Constant color "#fcc66d" <span style="background-color:#fcc66d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FCC66D = "#fcc66d";

	/**
	 * Constant color "#9cbebd" <span style="background-color:#9cbebd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9CBEBD = "#9cbebd";

	/**
	 * Constant color "#f8816b" <span style="background-color:#f8816b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F8816B = "#f8816b";

	/**
	 * Constant color "#73ba67" <span style="background-color:#73ba67; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_73BA67 = "#73ba67";

	/**
	 * Constant color "#9b8357" <span style="background-color:#9b8357; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9B8357 = "#9b8357";

	/**
	 * Constant color "#a5d848" <span style="background-color:#a5d848; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A5D848 = "#a5d848";

	/**
	 * Constant color "#4dadcf" <span style="background-color:#4dadcf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4DADCF = "#4dadcf";

	/**
	 * Constant color "#94734e" <span style="background-color:#94734e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_94734E = "#94734e";

	/**
	 * Constant color "#51b364" <span style="background-color:#51b364; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_51B364 = "#51b364";

	/**
	 * Constant color "#818183" <span style="background-color:#818183; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_818183 = "#818183";

	/**
	 * Constant color "#6f63bb" <span style="background-color:#6f63bb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6F63BB = "#6f63bb";

	/**
	 * Constant color "#ca223c" <span style="background-color:#ca223c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CA223C = "#ca223c";

	/**
	 * Constant color "#8d6374" <span style="background-color:#8d6374; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8D6374 = "#8d6374";

	/**
	 * Constant color "#ddb5d5" <span style="background-color:#ddb5d5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DDB5D5 = "#ddb5d5";

	/**
	 * Constant color "#9ca3a4" <span style="background-color:#9ca3a4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9CA3A4 = "#9ca3a4";

	/**
	 * Constant color "#8064a2" <span style="background-color:#8064a2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8064A2 = "#8064a2";

	/**
	 * Constant color "#ac3ec1" <span style="background-color:#ac3ec1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AC3EC1 = "#ac3ec1";

	/**
	 * Constant color "#989ca3" <span style="background-color:#989ca3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_989CA3 = "#989ca3";

	/**
	 * Constant color "#ffd6b1" <span style="background-color:#ffd6b1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFD6B1 = "#ffd6b1";

	/**
	 * Constant color "#748a2f" <span style="background-color:#748a2f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_748A2F = "#748a2f";

	/**
	 * Constant color "#c82912" <span style="background-color:#c82912; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C82912 = "#c82912";

	/**
	 * Constant color "#084594" <span style="background-color:#084594; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_084594 = "#084594";

	/**
	 * Constant color "#5b8cb8" <span style="background-color:#5b8cb8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5B8CB8 = "#5b8cb8";

	/**
	 * Constant color "#de2d26" <span style="background-color:#de2d26; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DE2D26 = "#de2d26";

	/**
	 * Constant color "#846648" <span style="background-color:#846648; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_846648 = "#846648";

	/**
	 * Constant color "#4775e7" <span style="background-color:#4775e7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4775E7 = "#4775e7";

	/**
	 * Constant color "#78a641" <span style="background-color:#78a641; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_78A641 = "#78a641";

	/**
	 * Constant color "#758087" <span style="background-color:#758087; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_758087 = "#758087";

	/**
	 * Constant color "#fc8d59" <span style="background-color:#fc8d59; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FC8D59 = "#fc8d59";

	/**
	 * Constant color "#b41f27" <span style="background-color:#b41f27; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B41F27 = "#b41f27";

	/**
	 * Constant color "#6a3d9a" <span style="background-color:#6a3d9a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6A3D9A = "#6a3d9a";

	/**
	 * Constant color "#6c6260" <span style="background-color:#6c6260; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6C6260 = "#6c6260";

	/**
	 * Constant color "#b7cde2" <span style="background-color:#b7cde2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B7CDE2 = "#b7cde2";

	/**
	 * Constant color "#b83d68" <span style="background-color:#b83d68; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B83D68 = "#b83d68";

	/**
	 * Constant color "#f0f9e8" <span style="background-color:#f0f9e8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F0F9E8 = "#f0f9e8";

	/**
	 * Constant color "#758085" <span style="background-color:#758085; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_758085 = "#758085";

	/**
	 * Constant color "#f7705b" <span style="background-color:#f7705b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7705B = "#f7705b";

	/**
	 * Constant color "#9467bd" <span style="background-color:#9467bd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9467BD = "#9467bd";

	/**
	 * Constant color "#993232" <span style="background-color:#993232; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_993232 = "#993232";

	/**
	 * Constant color "#f2d908" <span style="background-color:#f2d908; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F2D908 = "#f2d908";

	/**
	 * Constant color "#586215" <span style="background-color:#586215; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_586215 = "#586215";

	/**
	 * Constant color "#c4d8f3" <span style="background-color:#c4d8f3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C4D8F3 = "#c4d8f3";

	/**
	 * Constant color "#5a1705" <span style="background-color:#5a1705; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5A1705 = "#5a1705";

	/**
	 * Constant color "#3333ff" <span style="background-color:#3333ff; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3333FF = "#3333ff";

	/**
	 * Constant color "#70ad47" <span style="background-color:#70ad47; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_70AD47 = "#70ad47";

	/**
	 * Constant color "#bc72f0" <span style="background-color:#bc72f0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BC72F0 = "#bc72f0";

	/**
	 * Constant color "#91003f" <span style="background-color:#91003f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_91003F = "#91003f";

	/**
	 * Constant color "#9f8f12" <span style="background-color:#9f8f12; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9F8F12 = "#9f8f12";

	/**
	 * Constant color "#d7191c" <span style="background-color:#d7191c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D7191C = "#d7191c";

	/**
	 * Constant color "#4f7cba" <span style="background-color:#4f7cba; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4F7CBA = "#4f7cba";

	/**
	 * Constant color "#f9b665" <span style="background-color:#f9b665; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F9B665 = "#f9b665";

	/**
	 * Constant color "#7f8fa9" <span style="background-color:#7f8fa9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7F8FA9 = "#7f8fa9";

	/**
	 * Constant color "#8caa7e" <span style="background-color:#8caa7e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8CAA7E = "#8caa7e";

	/**
	 * Constant color "#37a76f" <span style="background-color:#37a76f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_37A76F = "#37a76f";

	/**
	 * Constant color "#c1b56b" <span style="background-color:#c1b56b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C1B56B = "#c1b56b";

	/**
	 * Constant color "#c49c94" <span style="background-color:#c49c94; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C49C94 = "#c49c94";

	/**
	 * Constant color "#85776d" <span style="background-color:#85776d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_85776D = "#85776d";

	/**
	 * Constant color "#fed98e" <span style="background-color:#fed98e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FED98E = "#fed98e";

	/**
	 * Constant color "#fd7864" <span style="background-color:#fd7864; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FD7864 = "#fd7864";

	/**
	 * Constant color "#66b2c2" <span style="background-color:#66b2c2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_66B2C2 = "#66b2c2";

	/**
	 * Constant color "#1a7232" <span style="background-color:#1a7232; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1A7232 = "#1a7232";

	/**
	 * Constant color "#1d86cd" <span style="background-color:#1d86cd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1D86CD = "#1d86cd";

	/**
	 * Constant color "#ee574d" <span style="background-color:#ee574d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EE574D = "#ee574d";

	/**
	 * Constant color "#4a9bdc" <span style="background-color:#4a9bdc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4A9BDC = "#4a9bdc";

	/**
	 * Constant color "#8b723d" <span style="background-color:#8b723d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8B723D = "#8b723d";

	/**
	 * Constant color "#7570b3" <span style="background-color:#7570b3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7570B3 = "#7570b3";

	/**
	 * Constant color "#855d5d" <span style="background-color:#855d5d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_855D5D = "#855d5d";

	/**
	 * Constant color "#cec597" <span style="background-color:#cec597; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CEC597 = "#cec597";

	/**
	 * Constant color "#bdc0bf" <span style="background-color:#bdc0bf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BDC0BF = "#bdc0bf";

	/**
	 * Constant color "#726056" <span style="background-color:#726056; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_726056 = "#726056";

	/**
	 * Constant color "#83c1c6" <span style="background-color:#83c1c6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_83C1C6 = "#83c1c6";

	/**
	 * Constant color "#0bd0d9" <span style="background-color:#0bd0d9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_0BD0D9 = "#0bd0d9";

	/**
	 * Constant color "#f88600" <span style="background-color:#f88600; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F88600 = "#f88600";

	/**
	 * Constant color "#9970ab" <span style="background-color:#9970ab; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9970AB = "#9970ab";

	/**
	 * Constant color "#b64926" <span style="background-color:#b64926; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B64926 = "#b64926";

	/**
	 * Constant color "#d99c3f" <span style="background-color:#d99c3f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D99C3F = "#d99c3f";

	/**
	 * Constant color "#e25f48" <span style="background-color:#e25f48; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E25F48 = "#e25f48";

	/**
	 * Constant color "#fed976" <span style="background-color:#fed976; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FED976 = "#fed976";

	/**
	 * Constant color "#41aebd" <span style="background-color:#41aebd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_41AEBD = "#41aebd";

	/**
	 * Constant color "#f06719" <span style="background-color:#f06719; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F06719 = "#f06719";

	/**
	 * Constant color "#b45ec7" <span style="background-color:#b45ec7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B45EC7 = "#b45ec7";

	/**
	 * Constant color "#a3cce9" <span style="background-color:#a3cce9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A3CCE9 = "#a3cce9";

	/**
	 * Constant color "#ffcc00" <span style="background-color:#ffcc00; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFCC00 = "#ffcc00";

	/**
	 * Constant color "#9bb05e" <span style="background-color:#9bb05e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9BB05E = "#9bb05e";

	/**
	 * Constant color "#9a6a96" <span style="background-color:#9a6a96; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9A6A96 = "#9a6a96";

	/**
	 * Constant color "#c6c1f0" <span style="background-color:#c6c1f0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C6C1F0 = "#c6c1f0";

	/**
	 * Constant color "#c26b51" <span style="background-color:#c26b51; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C26B51 = "#c26b51";

	/**
	 * Constant color "#439eb7" <span style="background-color:#439eb7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_439EB7 = "#439eb7";

	/**
	 * Constant color "#dd8047" <span style="background-color:#dd8047; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DD8047 = "#dd8047";

	/**
	 * Constant color "#95a39d" <span style="background-color:#95a39d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_95A39D = "#95a39d";

	/**
	 * Constant color "#aebad5" <span style="background-color:#aebad5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AEBAD5 = "#aebad5";

	/**
	 * Constant color "#7d888d" <span style="background-color:#7d888d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7D888D = "#7d888d";

	/**
	 * Constant color "#cae6c0" <span style="background-color:#cae6c0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CAE6C0 = "#cae6c0";

	/**
	 * Constant color "#d4b95e" <span style="background-color:#d4b95e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D4B95E = "#d4b95e";

	/**
	 * Constant color "#834736" <span style="background-color:#834736; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_834736 = "#834736";

	/**
	 * Constant color "#d2da7a" <span style="background-color:#d2da7a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D2DA7A = "#d2da7a";

	/**
	 * Constant color "#e36420" <span style="background-color:#e36420; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E36420 = "#e36420";

	/**
	 * Constant color "#c5b0d5" <span style="background-color:#c5b0d5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C5B0D5 = "#c5b0d5";

	/**
	 * Constant color "#1b9e77" <span style="background-color:#1b9e77; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1B9E77 = "#1b9e77";

	/**
	 * Constant color "#50b4c8" <span style="background-color:#50b4c8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_50B4C8 = "#50b4c8";

	/**
	 * Constant color "#e6b9d9" <span style="background-color:#e6b9d9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E6B9D9 = "#e6b9d9";

	/**
	 * Constant color "#ebc24b" <span style="background-color:#ebc24b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EBC24B = "#ebc24b";

	/**
	 * Constant color "#cc5439" <span style="background-color:#cc5439; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CC5439 = "#cc5439";

	/**
	 * Constant color "#c9972b" <span style="background-color:#c9972b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C9972B = "#c9972b";

	/**
	 * Constant color "#50c49f" <span style="background-color:#50c49f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_50C49F = "#50c49f";

	/**
	 * Constant color "#10cf9b" <span style="background-color:#10cf9b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_10CF9B = "#10cf9b";

	/**
	 * Constant color "#fdae6b" <span style="background-color:#fdae6b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDAE6B = "#fdae6b";

	/**
	 * Constant color "#2b83ba" <span style="background-color:#2b83ba; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2B83BA = "#2b83ba";

	/**
	 * Constant color "#ac66bb" <span style="background-color:#ac66bb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AC66BB = "#ac66bb";

	/**
	 * Constant color "#a33202" <span style="background-color:#a33202; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A33202 = "#a33202";

	/**
	 * Constant color "#c8d0d9" <span style="background-color:#c8d0d9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C8D0D9 = "#c8d0d9";

	/**
	 * Constant color "#956251" <span style="background-color:#956251; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_956251 = "#956251";

	/**
	 * Constant color "#585858" <span style="background-color:#585858; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_585858 = "#585858";

	/**
	 * Constant color "#2171b5" <span style="background-color:#2171b5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2171B5 = "#2171b5";

	/**
	 * Constant color "#beae98" <span style="background-color:#beae98; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BEAE98 = "#beae98";

	/**
	 * Constant color "#146c36" <span style="background-color:#146c36; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_146C36 = "#146c36";

	/**
	 * Constant color "#b71e42" <span style="background-color:#b71e42; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B71E42 = "#b71e42";

	/**
	 * Constant color "#4baf73" <span style="background-color:#4baf73; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4BAF73 = "#4baf73";

	/**
	 * Constant color "#ad9277" <span style="background-color:#ad9277; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AD9277 = "#ad9277";

	/**
	 * Constant color "#1a9850" <span style="background-color:#1a9850; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1A9850 = "#1a9850";

	/**
	 * Constant color "#f0b763" <span style="background-color:#f0b763; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F0B763 = "#f0b763";

	/**
	 * Constant color "#759aa5" <span style="background-color:#759aa5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_759AA5 = "#759aa5";

	/**
	 * Constant color "#a8ddb5" <span style="background-color:#a8ddb5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A8DDB5 = "#a8ddb5";

	/**
	 * Constant color "#a5ab81" <span style="background-color:#a5ab81; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A5AB81 = "#a5ab81";

	/**
	 * Constant color "#f9b639" <span style="background-color:#f9b639; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F9B639 = "#f9b639";

	/**
	 * Constant color "#9d90a0" <span style="background-color:#9d90a0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9D90A0 = "#9d90a0";

	/**
	 * Constant color "#f69035" <span style="background-color:#f69035; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F69035 = "#f69035";

	/**
	 * Constant color "#82c162" <span style="background-color:#82c162; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_82C162 = "#82c162";

	/**
	 * Constant color "#d7ce9f" <span style="background-color:#d7ce9f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D7CE9F = "#d7ce9f";

	/**
	 * Constant color "#fdae61" <span style="background-color:#fdae61; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDAE61 = "#fdae61";

	/**
	 * Constant color "#69a761" <span style="background-color:#69a761; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_69A761 = "#69a761";

	/**
	 * Constant color "#a2ceaa" <span style="background-color:#a2ceaa; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A2CEAA = "#a2ceaa";

	/**
	 * Constant color "#cbd5e8" <span style="background-color:#cbd5e8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CBD5E8 = "#cbd5e8";

	/**
	 * Constant color "#0000FF" <span style="background-color:#0000FF; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_0000FF = "#0000FF";

	/**
	 * Constant color "#ffc000" <span style="background-color:#ffc000; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFC000 = "#ffc000";

	/**
	 * Constant color "#8fd180" <span style="background-color:#8fd180; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8FD180 = "#8fd180";

	/**
	 * Constant color "#67001f" <span style="background-color:#67001f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_67001F = "#67001f";

	/**
	 * Constant color "#9e9ac8" <span style="background-color:#9e9ac8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9E9AC8 = "#9e9ac8";

	/**
	 * Constant color "#d8392c" <span style="background-color:#d8392c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D8392C = "#d8392c";

	/**
	 * Constant color "#9b2d1f" <span style="background-color:#9b2d1f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9B2D1F = "#9b2d1f";

	/**
	 * Constant color "#ccb22b" <span style="background-color:#ccb22b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CCB22B = "#ccb22b";

	/**
	 * Constant color "#ef3b2c" <span style="background-color:#ef3b2c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EF3B2C = "#ef3b2c";

	/**
	 * Constant color "#ac7299" <span style="background-color:#ac7299; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AC7299 = "#ac7299";

	/**
	 * Constant color "#358ead" <span style="background-color:#358ead; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_358EAD = "#358ead";

	/**
	 * Constant color "#fde0ef" <span style="background-color:#fde0ef; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDE0EF = "#fde0ef";

	/**
	 * Constant color "#fea022" <span style="background-color:#fea022; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEA022 = "#fea022";

	/**
	 * Constant color "#dbe1ea" <span style="background-color:#dbe1ea; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DBE1EA = "#dbe1ea";

	/**
	 * Constant color "#ff9e4a" <span style="background-color:#ff9e4a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF9E4A = "#ff9e4a";

	/**
	 * Constant color "#6a9ec5" <span style="background-color:#6a9ec5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_6A9EC5 = "#6a9ec5";

	/**
	 * Constant color "#f9a750" <span style="background-color:#f9a750; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F9A750 = "#f9a750";

	/**
	 * Constant color "#55992b" <span style="background-color:#55992b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_55992B = "#55992b";

	/**
	 * Constant color "#67000d" <span style="background-color:#67000d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_67000D = "#67000d";

	/**
	 * Constant color "#3c9770" <span style="background-color:#3c9770; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3C9770 = "#3c9770";

	/**
	 * Constant color "#9e3a26" <span style="background-color:#9e3a26; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9E3A26 = "#9e3a26";

	/**
	 * Constant color "#795faf" <span style="background-color:#795faf; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_795FAF = "#795faf";

	/**
	 * Constant color "#f1788d" <span style="background-color:#f1788d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F1788D = "#f1788d";

	/**
	 * Constant color "#ca96b8" <span style="background-color:#ca96b8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CA96B8 = "#ca96b8";

	/**
	 * Constant color "#a32323" <span style="background-color:#a32323; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A32323 = "#a32323";

	/**
	 * Constant color "#bce4d8" <span style="background-color:#bce4d8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BCE4D8 = "#bce4d8";

	/**
	 * Constant color "#de9d5a" <span style="background-color:#de9d5a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DE9D5A = "#de9d5a";

	/**
	 * Constant color "#fde0dd" <span style="background-color:#fde0dd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FDE0DD = "#fde0dd";

	/**
	 * Constant color "#98c723" <span style="background-color:#98c723; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_98C723 = "#98c723";

	/**
	 * Constant color "#e68422" <span style="background-color:#e68422; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E68422 = "#e68422";

	/**
	 * Constant color "#e86753" <span style="background-color:#e86753; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E86753 = "#e86753";

	/**
	 * Constant color "#f5c040" <span style="background-color:#f5c040; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F5C040 = "#f5c040";

	/**
	 * Constant color "#569735" <span style="background-color:#569735; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_569735 = "#569735";

	/**
	 * Constant color "#a0a16a" <span style="background-color:#a0a16a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A0A16A = "#a0a16a";

	/**
	 * Constant color "#ff33ff" <span style="background-color:#ff33ff; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FF33FF = "#ff33ff";

	/**
	 * Constant color "#86c157" <span style="background-color:#86c157; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_86C157 = "#86c157";

	/**
	 * Constant color "#44914e" <span style="background-color:#44914e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_44914E = "#44914e";

	/**
	 * Constant color "#e13b42" <span style="background-color:#e13b42; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E13B42 = "#e13b42";

	/**
	 * Constant color "#92c5de" <span style="background-color:#92c5de; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_92C5DE = "#92c5de";

	/**
	 * Constant color "#638b66" <span style="background-color:#638b66; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_638B66 = "#638b66";

	/**
	 * Constant color "#67af5c" <span style="background-color:#67af5c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_67AF5C = "#67af5c";

	/**
	 * Constant color "#f07e27" <span style="background-color:#f07e27; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F07E27 = "#f07e27";

	/**
	 * Constant color "#1c9099" <span style="background-color:#1c9099; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1C9099 = "#1c9099";

	/**
	 * Constant color "#4e67c8" <span style="background-color:#4e67c8; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4E67C8 = "#4e67c8";

	/**
	 * Constant color "#499894" <span style="background-color:#499894; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_499894 = "#499894";

	/**
	 * Constant color "#c9dad2" <span style="background-color:#c9dad2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C9DAD2 = "#c9dad2";

	/**
	 * Constant color "#cf4f22" <span style="background-color:#cf4f22; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CF4F22 = "#cf4f22";

	/**
	 * Constant color "#9b6bf2" <span style="background-color:#9b6bf2; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9B6BF2 = "#9b6bf2";

	/**
	 * Constant color "#8c73d0" <span style="background-color:#8c73d0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8C73D0 = "#8c73d0";

	/**
	 * Constant color "#053061" <span style="background-color:#053061; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_053061 = "#053061";

	/**
	 * Constant color "#0f6fc6" <span style="background-color:#0f6fc6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_0F6FC6 = "#0f6fc6";

	/**
	 * Constant color "#fcbdc0" <span style="background-color:#fcbdc0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FCBDC0 = "#fcbdc0";

	/**
	 * Constant color "#f7f4f9" <span style="background-color:#f7f4f9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7F4F9 = "#f7f4f9";

	/**
	 * Constant color "#e2751d" <span style="background-color:#e2751d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E2751D = "#e2751d";

	/**
	 * Constant color "#f05c4d" <span style="background-color:#f05c4d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F05C4D = "#f05c4d";

	/**
	 * Constant color "#9fb8cd" <span style="background-color:#9fb8cd; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9FB8CD = "#9fb8cd";

	/**
	 * Constant color "#ced7c3" <span style="background-color:#ced7c3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_CED7C3 = "#ced7c3";

	/**
	 * Constant color "#f7fcb9" <span style="background-color:#f7fcb9; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7FCB9 = "#f7fcb9";

	/**
	 * Constant color "#3a87b7" <span style="background-color:#3a87b7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3A87B7 = "#3a87b7";

	/**
	 * Constant color "#e3a14f" <span style="background-color:#e3a14f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E3A14F = "#e3a14f";

	/**
	 * Constant color "#bf812d" <span style="background-color:#bf812d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BF812D = "#bf812d";

	/**
	 * Constant color "#b523b4" <span style="background-color:#b523b4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B523B4 = "#b523b4";

	/**
	 * Constant color "#94d0c0" <span style="background-color:#94d0c0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_94D0C0 = "#94d0c0";

	/**
	 * Constant color "#f87f69" <span style="background-color:#f87f69; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F87F69 = "#f87f69";

	/**
	 * Constant color "#3586a7" <span style="background-color:#3586a7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_3586A7 = "#3586a7";

	/**
	 * Constant color "#f7fcf0" <span style="background-color:#f7fcf0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F7FCF0 = "#f7fcf0";

	/**
	 * Constant color "#1d91c0" <span style="background-color:#1d91c0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1D91C0 = "#1d91c0";

	/**
	 * Constant color "#a04da3" <span style="background-color:#a04da3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A04DA3 = "#a04da3";

	/**
	 * Constant color "#c47247" <span style="background-color:#c47247; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C47247 = "#c47247";

	/**
	 * Constant color "#eb6349" <span style="background-color:#eb6349; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EB6349 = "#eb6349";

	/**
	 * Constant color "#f56617" <span style="background-color:#f56617; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F56617 = "#f56617";

	/**
	 * Constant color "#790a14" <span style="background-color:#790a14; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_790A14 = "#790a14";

	/**
	 * Constant color "#59acbe" <span style="background-color:#59acbe; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_59ACBE = "#59acbe";

	/**
	 * Constant color "#bae4b3" <span style="background-color:#bae4b3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BAE4B3 = "#bae4b3";

	/**
	 * Constant color "#d53e4f" <span style="background-color:#d53e4f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D53E4F = "#d53e4f";

	/**
	 * Constant color "#1c5998" <span style="background-color:#1c5998; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1C5998 = "#1c5998";

	/**
	 * Constant color "#27823b" <span style="background-color:#27823b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_27823B = "#27823b";

	/**
	 * Constant color "#ec7014" <span style="background-color:#ec7014; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EC7014 = "#ec7014";

	/**
	 * Constant color "#ec7016" <span style="background-color:#ec7016; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EC7016 = "#ec7016";

	/**
	 * Constant color "#66553e" <span style="background-color:#66553e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_66553E = "#66553e";

	/**
	 * Constant color "#d85a13" <span style="background-color:#d85a13; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D85A13 = "#d85a13";

	/**
	 * Constant color "#d5dfec" <span style="background-color:#d5dfec; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D5DFEC = "#d5dfec";

	/**
	 * Constant color "#a5d028" <span style="background-color:#a5d028; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A5D028 = "#a5d028";

	/**
	 * Constant color "#7f2704" <span style="background-color:#7f2704; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7F2704 = "#7f2704";

	/**
	 * Constant color "#663366" <span style="background-color:#663366; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_663366 = "#663366";

	/**
	 * Constant color "#a4a4a4" <span style="background-color:#a4a4a4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A4A4A4 = "#a4a4a4";

	/**
	 * Constant color "#733678" <span style="background-color:#733678; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_733678 = "#733678";

	/**
	 * Constant color "#ffae34" <span style="background-color:#ffae34; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFAE34 = "#ffae34";

	/**
	 * Constant color "#f38b2f" <span style="background-color:#f38b2f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F38B2F = "#f38b2f";

	/**
	 * Constant color "#e03531" <span style="background-color:#e03531; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E03531 = "#e03531";

	/**
	 * Constant color "#a8b97f" <span style="background-color:#a8b97f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A8B97F = "#a8b97f";

	/**
	 * Constant color "#fec60b" <span style="background-color:#fec60b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FEC60B = "#fec60b";

	/**
	 * Constant color "#4472c4" <span style="background-color:#4472c4; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4472C4 = "#4472c4";

	/**
	 * Constant color "#daabcb" <span style="background-color:#daabcb; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DAABCB = "#daabcb";

	/**
	 * Constant color "#41ab5d" <span style="background-color:#41ab5d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_41AB5D = "#41ab5d";

	/**
	 * Constant color "#fbb3ab" <span style="background-color:#fbb3ab; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FBB3AB = "#fbb3ab";

	/**
	 * Constant color "#a6cee3" <span style="background-color:#a6cee3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A6CEE3 = "#a6cee3";

	/**
	 * Constant color "#ed97ca" <span style="background-color:#ed97ca; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_ED97CA = "#ed97ca";

	/**
	 * Constant color "#00a2b3" <span style="background-color:#00a2b3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_00A2B3 = "#00a2b3";

	/**
	 * Constant color "#826276" <span style="background-color:#826276; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_826276 = "#826276";

	/**
	 * Constant color "#bfbb60" <span style="background-color:#bfbb60; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BFBB60 = "#bfbb60";

	/**
	 * Constant color "#78aa5d" <span style="background-color:#78aa5d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_78AA5D = "#78aa5d";

	/**
	 * Constant color "#e34a33" <span style="background-color:#e34a33; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E34A33 = "#e34a33";

	/**
	 * Constant color "#df65b0" <span style="background-color:#df65b0; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_DF65B0 = "#df65b0";

	/**
	 * Constant color "#57606c" <span style="background-color:#57606c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_57606C = "#57606c";

	/**
	 * Constant color "#bae4bc" <span style="background-color:#bae4bc; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BAE4BC = "#bae4bc";

	/**
	 * Constant color "#606372" <span style="background-color:#606372; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_606372 = "#606372";

	/**
	 * Constant color "#aedcd5" <span style="background-color:#aedcd5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AEDCD5 = "#aedcd5";

	/**
	 * Constant color "#90ac97" <span style="background-color:#90ac97; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_90AC97 = "#90ac97";

	/**
	 * Constant color "#f09415" <span style="background-color:#f09415; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F09415 = "#f09415";

	/**
	 * Constant color "#ffaa0e" <span style="background-color:#ffaa0e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFAA0E = "#ffaa0e";

	/**
	 * Constant color "#f4d166" <span style="background-color:#f4d166; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F4D166 = "#f4d166";

	/**
	 * Constant color "#d2cb6c" <span style="background-color:#d2cb6c; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D2CB6C = "#d2cb6c";

	/**
	 * Constant color "#b3cde3" <span style="background-color:#b3cde3; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B3CDE3 = "#b3cde3";

	/**
	 * Constant color "#f96a1b" <span style="background-color:#f96a1b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F96A1B = "#f96a1b";

	/**
	 * Constant color "#1e7735" <span style="background-color:#1e7735; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1E7735 = "#1e7735";

	/**
	 * Constant color "#ffbd47" <span style="background-color:#ffbd47; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFBD47 = "#ffbd47";

	/**
	 * Constant color "#c95f2b" <span style="background-color:#c95f2b; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C95F2B = "#c95f2b";

	/**
	 * Constant color "#90c226" <span style="background-color:#90c226; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_90C226 = "#90c226";

	/**
	 * Constant color "#b27ba1" <span style="background-color:#b27ba1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B27BA1 = "#b27ba1";

	/**
	 * Constant color "#8cadae" <span style="background-color:#8cadae; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_8CADAE = "#8cadae";

	/**
	 * Constant color "#90728f" <span style="background-color:#90728f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_90728F = "#90728f";

	/**
	 * Constant color "#43a2ca" <span style="background-color:#43a2ca; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_43A2CA = "#43a2ca";

	/**
	 * Constant color "#4daf4a" <span style="background-color:#4daf4a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_4DAF4A = "#4daf4a";

	/**
	 * Constant color "#a8786e" <span style="background-color:#a8786e; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A8786E = "#a8786e";

	/**
	 * Constant color "#438086" <span style="background-color:#438086; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_438086 = "#438086";

	/**
	 * Constant color "#7ba79d" <span style="background-color:#7ba79d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_7BA79D = "#7ba79d";

	/**
	 * Constant color "#1ab39f" <span style="background-color:#1ab39f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_1AB39F = "#1ab39f";

	/**
	 * Constant color "#b19c7d" <span style="background-color:#b19c7d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B19C7D = "#b19c7d";

	/**
	 * Constant color "#9ac4e1" <span style="background-color:#9ac4e1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9AC4E1 = "#9ac4e1";

	/**
	 * Constant color "#b31166" <span style="background-color:#b31166; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B31166 = "#b31166";

	/**
	 * Constant color "#a4a4d5" <span style="background-color:#a4a4d5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A4A4D5 = "#a4a4d5";

	/**
	 * Constant color "#257740" <span style="background-color:#257740; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_257740 = "#257740";

	/**
	 * Constant color "#2e5a87" <span style="background-color:#2e5a87; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_2E5A87 = "#2e5a87";

	/**
	 * Constant color "#ffe0c5" <span style="background-color:#ffe0c5; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFE0C5 = "#ffe0c5";

	/**
	 * Constant color "#f6eff7" <span style="background-color:#f6eff7; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_F6EFF7 = "#f6eff7";

	/**
	 * Constant color "#b15928" <span style="background-color:#b15928; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_B15928 = "#b15928";

	/**
	 * Constant color "#580101" <span style="background-color:#580101; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_580101 = "#580101";

	/**
	 * Constant color "#9fe62f" <span style="background-color:#9fe62f; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9FE62F = "#9fe62f";

	/**
	 * Constant color "#5aae61" <span style="background-color:#5aae61; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5AAE61 = "#5aae61";

	/**
	 * Constant color "#55ad89" <span style="background-color:#55ad89; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_55AD89 = "#55ad89";

	/**
	 * Constant color "#909465" <span style="background-color:#909465; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_909465 = "#909465";

	/**
	 * Constant color "#5f9c9d" <span style="background-color:#5f9c9d; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_5F9C9D = "#5f9c9d";

	/**
	 * Constant color "#a65628" <span style="background-color:#a65628; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A65628 = "#a65628";

	/**
	 * Constant color "#05e0db" <span style="background-color:#05e0db; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_05E0DB = "#05e0db";

	/**
	 * Constant color "#ffe0e1" <span style="background-color:#ffe0e1; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_FFE0E1 = "#ffe0e1";

	/**
	 * Constant color "#d99455" <span style="background-color:#d99455; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_D99455 = "#d99455";

	/**
	 * Constant color "#bcbd22" <span style="background-color:#bcbd22; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_BCBD22 = "#bcbd22";

	/**
	 * Constant color "#008080" <span style="background-color:#008080; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_008080 = "#008080";

	/**
	 * Constant color "#9f8351" <span style="background-color:#9f8351; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_9F8351 = "#9f8351";

	/**
	 * Constant color "#e7298a" <span style="background-color:#e7298a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_E7298A = "#e7298a";

	/**
	 * Constant color "#a28e6a" <span style="background-color:#a28e6a; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_A28E6A = "#a28e6a";

	/**
	 * Constant color "#c7e298" <span style="background-color:#c7e298; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C7E298 = "#c7e298";

	/**
	 * Constant color "#ea8783" <span style="background-color:#ea8783; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_EA8783 = "#ea8783";

	/**
	 * Constant color "#c5c7c6" <span style="background-color:#c5c7c6; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_C5C7C6 = "#c5c7c6";

	/**
	 * Constant color "#ad4433" <span style="background-color:#ad4433; border-style: solid; border-width:1px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
	 */
	static final String COLOR_AD4433 = "#ad4433";

	/**
	 * To avoid any instantiation
	 */
	private SchemeCostants() {
		// do nothing
	}

}